<?php
// $Id: RemoveClientContactResponse.php 13527 2009-01-13 11:19:00Z mdmitriev $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-tk/include/sso/SSOBillingFactory.php");

class RemoveClientContactResponse extends RemoveResponseAction {
	function RemoveClientContactResponse() {
		parent::RemoveResponseAction();
		$this->stringRep = "RemoveClientContactResponse";
		$this->d =& new DataSource("contacts");
	}
	
	function setReferral() {
		$this->setReferralActionID(getActionID("RemoveClientContact"));
		$this->setReferralActionFile($this->d->getEntry("names", "file") . ".php");
	}

	function redirect() {
		if(!$this->goBack()) {
			$contact = oneByID("contacts", (int) $_REQUEST["clientContactID"]);
			redirect("clients.php", getActionID("ShowClientContacts"), array("clientID" => $contact["clientID"]));
		}
	}

	function execute() {
		global $CONF;

		$client_contact_id = (int) $_REQUEST["clientContactID"];
		
		SSOBillingFactory::removeDelegationsForClient(array(
			SSOBillingFactory::getClientIDByContactID($client_contact_id)
		));

		parent::execute();
	}
}
?>
