{* $Id: EditGeneralJournalEntry.tpl 7409 2006-06-12 21:59:48Z kbailey $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$entries (array of journal entries data)
 *		generalJournalID
 *		generalDateCreated
 *		generalDescription
 * 		generalDebitAmount
 *		generalCreditAmount
 *      currencyID
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}


{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_ACCOUNTING"
	grandchildName="TRANS_EDIT_GENERAL_JOURNAL_ENTRY"
	sideNavMajor="finances"
	sideNavMinor="accounting"}

<form name="generalform" method="post" action="accounting.php">
    <input type="hidden" name="sid" value="{$sid}">
    <input type="hidden" name="generalJournalID" value="{$generalJournalID}">
    <input type="hidden" name="action" value="{getActionID action="EditGeneralJournalEntryResponse"}">
{section name=i loop=$failreason}
{include
    file="$tplDirectory/widgets/showInvalidCustom.tpl"
    message=$failreason[i]
    identifier=$smarty.section.i.index
    class="highlight"}

{/section}
    <table border="0" width="770" class="tab01">
        <tr>
            <td colspan="2"><h2>{$smarty.const.TRANS_EDIT_GENERAL_JOURNAL_ENTRY}</h2></td>
        </tr>
        <tr>
            <th align="right">{$smarty.const.TRANS_DATE}</th>
            <td align="left">{include file="$tplDirectory/widgets/dateSelector.tpl" param="generalDateCreated" real="generalDateCreated"}</td>
        </tr>
        <tr>
            <th align="right">{$smarty.const.TRANS_GENERAL_JOURNAL_DESCRIPTION}</th>
            <td align="left"><input type="text" size="50" name="generalDescription" value="{$generalDescription}"></td>
        </tr>
        <tr>
            <th align="right">{$smarty.const.TRANS_CURRENCY_ID}</th>
            <td align="left"><input type="text" size="3" maxlength="3" name="currencyID" value="{$currencyID}" onkeyup="this.value=XKfilterString(this.value, 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ');"></td>
        </tr>
   </table>

   <h2>{$smarty.const.TRANS_LEDGER_ENTRY}</h2>

{include file="$tplDirectory/widgets/ledgerForm.tpl"
      containerClass="box01"
      containerName="leDiv"
      fieldPrefix="addGeneral"
      printScript=1
      currency=""
      formname="generalform"
      existingEntries=$existingEntries
      ledgerAccounts=$ledgerAccounts
      ledgerTypes=$ledgerTypes}

<div style="margin-left: 489px;"><input class="submit" type="submit" name="save" value="{$smarty.const.TRANS_SAVE}"></div>

</form>


{include file="$tplDirectory/footer.tpl"}
