{* $Id: CreateVendorUser.tpl 10495 2007-01-17 00:42:58Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit an admin's profile.
 *
 * Smarty Variables:
 *	$admin (array of this admin's data)
 *		adminID			A unique admin ID
 *		adminFirstName	An admin's first name
 *		adminLastName	An admin's last name
 *		adminEmail		An admin's email address
 *		adminUsername	An admin's username
 *		adminActive		The active state of an admin
 *		themeID 		The unique themeID
 *		languageID 		The unique languageID
 *		countriesID 	The unique countriesID
 *	$actionID			The unique action ID for this page view
 *  $actionName			The action name for this action ID
 *	$imageDirectory		The image directory for this theme
 *	$tplDirectory		The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{t c="TRANS_ADD_VENDOR_USER" d="Add Vendor User"}
{t c="TRANS_CREATE_USER" d="Create User"}
{t c="TRANS_VENDOR_NAME" d="Vendor Name"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SYSTEM"
	childName="TRANS_MANAGE_ADMINS"
	grandchildName="TRANS_ADD_VENDOR_USER"
	sideNavMajor="system"
	sideNavMinor="admins"}


<form method="post" action="admins.php" name="addVendorUserForm">
<input type="hidden" name="action" value="{getActionID action="CreateVendorUserResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="vendorReturnURL" value="{$vendorReturnURL}" />

<table border="0" cellpadding="0" cellspacing="3" class="tab01" >

	<tr class="{cycle values="alt1,alt2"}">
		<th align="right">{$smarty.const.TRANS_VENDOR_NAME}: </th>
		<td><input type="hidden" name="vendorName" value="{$vendorName}" /> {$vendorName}</td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<th align="right">{$smarty.const.TRANS_USERNAME}: </th>
		<td><input type="hidden" name="username" value="{$username}" /> {$username}</td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<th align="right">{$smarty.const.TRANS_PASSWORD}: </th>
		<td><input type="hidden" name="password" value="{$password}" /> {$password}</td>
	</tr>
	<tr>
		<td></td>
		<td><input type="submit" class="submit" value="{$smarty.const.TRANS_CREATE_USER}" /></td>
	</tr>

</table>

</form>


{include file="$tplDirectory/footer.tpl"}
