{* $Id: AddAttributeGroup.tpl 9020 2006-09-20 02:41:56Z mfountain $
 * --------------------------------------------------------------
 * This template displays a form to add a new client.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ADD_NEW_GROUP" d="Add New Group"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_ADD_NEW_GROUP"
	sideNavMajor="clients"
	sideNavMinor="clientGroups"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" action="clients.php">
<input type="hidden" name="action" value="{getActionID action="AddAttributeGroupResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />

<div class="box07" style="background-color:#EEEDE9;width:770px;">

<table width="100%" border="0" cellspacing="1" cellpadding="1" class="tabTight">

{********* TRANS_CONTACT_DETAILS *********}
<tr>
	<td colspan="2"><div class="st01"><h1>{$smarty.const.TRANS_ADD_NEW_GROUP}</h1></div></td>
</tr>

<tbody>
<tr class="{if $invalid.contactUsername}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<td class="title"><label for="groupName">{$smarty.const.TRANS_GROUP_NAME}</label>:</td>
	<td><input maxlength="20" type="text" style="width:200px;" id="groupName" name="groupName" value="{$formValues.groupName}" /> {$invalid.groupName}</td>
</tr>
<tr class="{if $invalid.clientActive}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<td class="title"><label for="groupActive">{$smarty.const.TRANS_IS_ACTIVE}</label>:</td>
	<td>
		{* The hidden input is to make sure 0 is set if not checked, which is overridden if checked. PHP uses the last arg sent. *}
		<input type="hidden" name="groupActive" value="0">
		<input type="checkbox" id="groupActive" name="groupActive" value="1" {if $formValues.groupActive}checked="checked" {/if}/>
 		{$invalid.groupActive}
	</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td>
		<br />
		<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE}" />
	</td>
</tr>
</tbody>
</table>

</div>

</form>

{include file="$tplDirectory/footer.tpl"}
