{* $Id: RemoveClientContact.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to remove an existing client contact.
 *
 * Smarty Variables:
 *	$clients (array of this clients data)
 *		clientID			A unique client ID
 *		clientFirstName		A client's first name
 *		clientLastName		A client's last name
 *		clientEmail			A client's email address
 *		clientCompany		A client's company name
 *		clientActive		The active state of a client
 * $contact (array of this client contact)
 *		...
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 * Author: Vic Fryzel
 *}
{t c="TRANS_CONTACTS" d="Contacts"}
{t c="TRANS_MANAGE_CLIENTS" d="Manage Clients"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_REMOVE_CONTACT_MESG" d="Are you sure you want to remove this client contact?"}

{include file="$tplDirectory/header.tpl" parentName="TRANS_MANAGE_CLIENTS" childName="TRANS_CONTACTS"
	grandchildName="TRANS_REMOVE" sideNavMajor="clients" sideNavMinor="clients"}

{include file="$tplDirectory/widgets/context/client.tpl" client=$client}
{include file="$tplDirectory/widgets/context/contact.tpl" client=$client contact=$contact}

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tbody>
<tr>
	<td colspan="5" align="center">
		{$smarty.const.TRANS_REMOVE_CONTACT_MESG}
	</td>
</tr>
<tr>
	<td colspan="5" align="center">
		<form style="display: inline;" method="post" action="clients.php">
			<input type="hidden" name="action" value="{getActionID action="RemoveClientContactResponse"}" />
			<input type="hidden" name="sid" value="{$sid}" />
			<input type="hidden" name="clientContactID" value="{$contact.clientContactID}" />
			<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_YES}" />
		</form>
		<form style="display: inline;" method="get" action="clients.php">
			<input type="hidden" name="action" value="{getActionID action="ShowClientContacts"}" />
			<input type="hidden" name="sid" value="{$sid}" />
			<input type="hidden" name="clientID" value="{$client.clientID}" />
			<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_NO}"><br />
		</form>		
	</td>
</tr>
</tbody>
</table>

{include file="$tplDirectory/footer.tpl"}