{* $Id: EditDomain.tpl 9896 2006-10-31 22:57:21Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to add a new domain.
 *
 * Smarty Variables:
 *	$domain
 *  $registrars
 *
 *}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_EDIT_DOMAIN" d="Edit Domain"}
{t c="TRANS_DOMAIN_SLD" d="SLD"}
{t c="TRANS_DOMAIN_TLD" d="TLD"}
{t c="TRANS_DOMAIN_DATE_CREATED" d="Date Created"}
{t c="TRANS_DOMAIN_DATE_EXPIRES" d="Date Expires"}
{t c="TRANS_DOMAIN_PACKAGE_ID" d="Package ID"}
{t c="TRANS_DOMAIN_CLIENT_ID" d="Client ID"}
{t c="TRANS_DOMAIN_REGISTRAR" d="Registrar"}
{t c="TRANS_DOMAIN_RENEW_TYPE" d="Renew Type"}
{t c="TRANS_DOMAIN_MANAGE" d="Manage this domain at the registrar"}


{include file="$tplDirectory/header.tpl" parentName="TRANS_EDIT_DOMAIN" childName="TRANS_DOMAIN"
	grandchildName="TRANS_EDIT" sideNavMajor="clients" sideNavMinor="domains"}

<form method="post" action="domains.php">
<input type="hidden" name="action" value="{getActionID action="EditDomainResponse"}" />
<input type="hidden" name="domainID" value="{$domain.domainID}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="EditDomainResponse"}">

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tr class="{if $invalid.domainSLD}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="domainName">{$smarty.const.TRANS_DOMAIN_NAME}</label></th>
	<td width="100%"><strong>{$domain.domainSLD}.{$domain.domainTLD}</strong></td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
	<th class="nowrap" scope="row"><label for="domainDateCreated">{$smarty.const.TRANS_DOMAIN_DATE_CREATED}</th>
	<td width="100%">{$domain.domainDateCreated|getDate:long}</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
	<th class="nowrap" scope="row"><label for="domainDateCreated">{$smarty.const.TRANS_DOMAIN_DATE_EXPIRES}</th>
	<td width="100%">{$domain.domainDateExpires|getDate:long}</td>
</tr>

<tr class="{if $invalid.registrarID}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="registrarID">{$smarty.const.TRANS_DOMAIN_REGISTRAR}</label></th>
	<td width="100%">{html_options name=registrarID options=$registrars selected=$domain.registrarID} {$invalid.registrarID}</td>
</tr>


<tr class="{if $invalid.domainRenewType}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="domainRenewType">{$smarty.const.TRANS_DOMAIN_RENEW_TYPE}</label></th>
	<td width="100%">{html_options name=domainRenewType options=$tldRenew selected=$domain.domainRenewType} {$invalid.domainRenewType}</td>
</tr>

<tr class="{cycle values="alt1,alt2"}">
	<td class="nowrap" scope="row"></td>
	<td width="100%"><input class="submit" type="submit" name="submit" value="submit"></td>
</tr>
</form>
</table>
{include file="$tplDirectory/footer.tpl"}