{* $Id: EditEmailTemplateGroup.tpl 12616 2008-02-07 00:29:39Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit an email template.
 *
 * Smarty Variables:
 *	$emailTplGroup  --  An array of data found for the given email template ID.
 *
 *}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_EMAILS"
	childName="TRANS_EMAIL_TEMPLATE_GROUPS"
	sideNavMajor="events"
	sideNavMinor="emails"}

{if $saved}
{include
	file="$tplDirectory/widgets/showInvalidCustom.tpl"
	duration="4"
	message=$smarty.const.TRANS_SETTINGS_SAVED_SUCCESSFULLY}
{/if}

<table width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tr>
{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_EDIT_EMAIL_TPL_GROUP" headerAlign="left"}
</tr>

<tbody>
<tr>
<td>

<form method="post" action="emails.php">
	<input type="hidden" name="action" value="{getActionID action="EditEmailTemplateGroupResponse"}" />
	<input type="hidden" name="emailTplGroupID" value="{$emailTplGroup.emailTplGroupID}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<table summary="{$smarty.const.TRANS_EDIT_EMAIL_TPL_GROUP}" width="100%">
		<tr class="{cycle name="respond" values="alt1,alt2"}">
			<th nowrap="nowrap"scope="row">{$smarty.const.TRANS_EMAIL_ACTION}</th>
			<td colspan="3"><select id="emailActionID" name="emailActionID" size="1">
					{html_options options=$emailActions selected=$emailTplGroup.emailActionID}
				</select></td>
		</tr>
		<tr class="{cycle name="respond" values="alt1,alt2"}">
			<th nowrap="nowrap"scope="row">{$smarty.const.TRANS_EMAIL_TPL_GROUP_NAME}</th>
			<td><input type="text" name="emailTplGroupName" size="20" value="{$emailTplGroup.emailTplGroupName}" /></td>
			<th nowrap="nowrap"scope="row">{$smarty.const.TRANS_EMAIL_TPL_GROUP_PRIORITY}</th>
			<td><select id="emailTplGroupPriority" name="emailTplGroupPriority" size="1" style="width: 40px;">
					<option label="1" value="1" {if $emailTplGroup.emailTplGroupPriority == 1}selected="selected"{/if}>1</option>
					<option label="2" value="2" {if $emailTplGroup.emailTplGroupPriority == 2}selected="selected"{/if}>2</option>
					<option label="3" value="3" {if $emailTplGroup.emailTplGroupPriority == 3}selected="selected"{/if}>3</option>
					<option label="4" value="4" {if $emailTplGroup.emailTplGroupPriority == 4}selected="selected"{/if}>4</option>
					<option label="5" value="5" {if $emailTplGroup.emailTplGroupPriority == 5}selected="selected"{/if}>5</option>
				</select> {$smarty.const.TRANS_EMAIL_PRIORITY_DESC}
			</td>
		</tr>
		<tr class="{cycle name="respond" values="alt1,alt2"}">
			<th nowrap="nowrap"scope="row">{$smarty.const.TRANS_EMAIL_FROM_NAME}</th>
			<td><input name="emailTplGroupFromName" type="text" size="20" maxlength="255" value="{$emailTplGroup.emailTplGroupFromName}" /></td>
			<th nowrap="nowrap"scope="row">{$smarty.const.TRANS_EMAIL_FROM_ADDRESS}</th>
			<td><input name="emailTplGroupFromAddress" type="text" size="30" maxlength="255" value="{$emailTplGroup.emailTplGroupFromAddress}" /></td>
		</tr>
		<tr class="{cycle name="respond" values="alt1,alt2"}">
			<th nowrap="nowrap"scope="row">{$smarty.const.TRANS_EMAIL_REPLY_NAME}</th>
			<td><input name="emailTplGroupReplyName" type="text" size="20" maxlength="255" value="{$emailTplGroup.emailTplGroupReplyName}" /></td>
			<th nowrap="nowrap"scope="row">{$smarty.const.TRANS_EMAIL_REPLY_ADDRESS}</th>
			<td><input name="emailTplGroupReplyAddress" type="text" size="30" maxlength="255" value="{$emailTplGroup.emailTplGroupReplyAddress}" /></td>
		</tr>
		<tr class="{cycle name="respond" values="alt1,alt2"}">
			<th nowrap="nowrap"scope="row">{$smarty.const.TRANS_EMAIL_CC_ADDRESS}</th>
			<td><input name="emailTplGroupCCAddress" type="text" size="20" maxlength="255" value="{$emailTplGroup.emailTplGroupCCAddress}" /></td>
			<th nowrap="nowrap"scope="row">{$smarty.const.TRANS_EMAIL_BCC_ADDRESS}</th>
			<td><input name="emailTplGroupBCCAddress" type="text" size="30" maxlength="255" value="{$emailTplGroup.emailTplGroupBCCAddress}" /></td>
		</tr>
		<tr>
			<td colspan="4" align="center">
				<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE_EMAIL_TPL_GROUP_DATA}" />
				<input class="reset" type="reset" name="reset" value="{$smarty.const.TRANS_CLEAR}" />
			</td>
		</tr>
	</table>
</form>

</td>
</tr>
</tbody>
</table>
<hr />
<table summmary="{$smarty.const.TRANS_EMAIL_TEMPLATES}" width="770" border="0" cellpadding="0" cellspacing="3" class="tab01">
<thead>
<tr>
	<td colspan="4">
		{assign var="emailTplGroupID" value=$emailTplGroup.emailTplGroupID}
		<div class="rm" style="float: right;"><a href="{getHREF page="emails.php" actionName="AddEmailTemplate" args="emailTplGroupID=$emailTplGroupID"}">{$smarty.const.TRANS_ADD_LOCALE}</a></div>
		<h6>{$smarty.const.TRANS_EMAIL_TEMPLATES}</h6>
	</td>
</tr>
<tr>
	<th>{$smarty.const.TRANS_ID}</th>
	<th>{$smarty.const.TRANS_LOCALE_LANGUAGE}</th>
	<th>{$smarty.const.TRANS_LOCALE_REGION}</th>
	<th>{$smarty.const.TRANS_SUBJECT}</th>
	<th>{$smarty.const.TRANS_ACTIONS}</th>
</tr>
</thead>
{section name="i" loop="$emailTemplates"}
	{assign var="emailTplID" value=$emailTemplates[i].emailTplID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}">

	<td class="cursor: pointer;">
		{$emailTemplates[i].emailTplID}
	</td>
	<td class="cursor: pointer;">{$emailTemplates[i].languageName}</td>
	<td>{assign var="countryType" value=$emailTemplates[i].countryType}
	{if ($countryType==0)}
			{$smarty.const.TRANS_COUNTRY}: *
		{elseif ($countryType==1)}
			{assign var="countriesID" value=$emailTemplates[i].countriesID}
			{$smarty.const.TRANS_COUNTRY}: {$countryList[$countriesID]}
		{elseif ($countryType==2)}
			{assign var="regionsID" value=$emailTemplates[i].regionsID}
			{$smarty.const.TRANS_REGION}: {$countryRegions[$regionsID]}
		{/if}
	</td>
	<td>{$emailTemplates[i].emailTplSubject}</td>

	<td>
		{if $previewAvailable}
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="emails.php"
			actionName="PreviewEmailTemplate"
			args="emailActionID=`$emailTplGroup.emailActionID`&emailTplID=$emailTplID"
			icoImage="view"
			icoWidth=16
			icoHeight=16
			altText="TRANS_PREVIEW"
			titleText="TRANS_PREVIEW"}
		{/if}
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="emails.php"
			actionName="EditEmailTemplate"
			args="emailTplID=$emailTplID"
			icoImage="edit"
			icoWidth=16
			icoHeight=16
			altText="TRANS_EDIT"
			titleText="TRANS_EDIT"}
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="emails.php"
			actionName="RemoveEmailTemplate"
			args="emailTplID=$emailTplID"
			icoImage="remove"
			icoWidth=16
			icoHeight=16
			altText="TRANS_REMOVE"
			titleText="TRANS_REMOVE"}
	</td>
</tr>
</tbody>
{sectionelse}
<tr class="alt1">
	<td colspan="5">{$smarty.const.TRANS_NO_EMAIL_TEMPLATES}</td>
</tr>
{/section}
</table>
{include file="$tplDirectory/footer.tpl"}
