{* $Id: AddFAQCategory.tpl 6965 2006-05-19 20:58:44Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to add a new FAQ category. The form must post to faqs.php,
 * with the action ID for the AddFAQCategoryResponse action, so that the POST data can
 * be handled by the server. This template takes the $categorytypes smarty variable, used to display
 * the options for the type of the FAQ category.
 *
 * Smarty Variables:
 *	$faqCategoryTypes -- array of this FAQ category types
 *  $addAdditionalFAQCategory -- 1 if the user wants to keep adding FAQ categories after every post,
 *                               or 0 if otherwise.
 *
 *}

{t c="TRANS_MANAGE_HELPDESK" d="Manage Helpdesk"}
{t c="TRANS_ADD_FAQ_CATEGORY" d="Add FAQ Category"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_ADD_ANOTHER_FAQ_CATEGORY" d="Add another FAQ category?"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_HELPDESK"
	childName="TRANS_ADD_FAQ_CATEGORY"
	sideNavMajor="helpdesk"
	sideNavMinor="faqs"}

<form method="post" action="faqs.php">
<input type="hidden" name="action" value="{getActionID action="AddFAQCategoryResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />

<table  width="770" border="0" cellpadding="0" cellspacing="0" class="list" >
<thead>
	<tr class="headerRow">
		<td scope="col" colspan="2">{$smarty.const.TRANS_ADD_FAQ_CATEGORY}</td>
	</tr>
</thead>
<tbody>
	<tr class="{cycle values="alt1,alt2"}">
		<th class="nowrap" scope="row">{$smarty.const.TRANS_NAME}:</th>
		<td width="100%"><input type="text" name="faqCategoryName" size="50" maxlength="50" value=""></td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<th class="nowrap" scope="row">{$smarty.const.TRANS_TYPE}:</th>
		<td width="100%">
			<select id="faqCategoryType" name="faqCategoryType">
				{html_options options=$faqCategoryTypes}
			</select>
		</td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<th class="nowrap" scope="row">{$smarty.const.TRANS_ADD_ANOTHER_FAQ_CATEGORY}</th>
		<td width="100%">
		{if $addAdditionalFAQCategory}
			<input type="checkbox" name="addAdditionalFAQCategory" value="1" checked="checked" />
		{else}
			<input type="checkbox" name="addAdditionalFAQCategory" value="1" />
		{/if}
		</td>
	</tr>
	<tr>
		<td colspan="2">
			<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_ADD_FAQ_CATEGORY}">
		</td>
	</tr>
</table>
</tbody>
</form>

{include file="$tplDirectory/footer.tpl"}