{* $Id: EditNewsGroup.tpl 7627 2006-06-19 21:48:58Z mgarrett $
 * --------------------------------------------------------------
 * This template displays a form to edit a news group. Using the given smarty variable
 * $newsGroup, the form is prepopulated with the news group's current information. The
 * form should post to news.php, with the action ID for the EditNewsGroupResponse action.
 *
 * Smarty Variables:
 *	$newsGroup -- An array of news group information with the following elements:
 *	                newsGroupID -- The ID of the news group we're editing. This should be set
 *	                               as a hidden form field so that the EditNewsGroupResponse
 *	                               action knows which news group to apply the changes to.
 *	                newsGroupName -- The current name of the news group.
 *	                newsGroupDescription -- The current description of the news group.
 *	                newsGroupActive -- 1 if this news group is currently active and can
 *	                                   receive new news articles, or 0 if otherwise.
 *}
{include file="$tplDirectory/header.tpl"}

Edit news group<br />
<form method="post" action="news.php">
<input type="hidden" name="action" value="{getActionID action="EditNewsGroupResponse"}">
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="newsGroupID" value="{$newsGroup.newsGroupID}" />
newsGroupName: <input type="text" name="newsGroupName" value="{$newsGroup.newsGroupName}" /><br />
newsGroupDescription: <textarea name="newsGroupDescription">{$newsGroup.newsGroupDescription}</textarea><br />
newsGroupActive:
<select name="newsGroupActive">
	{html_options options=$activeInactive selected=$newsGroup.newsGroupActive}
</select><br />
<input class="submit" type="submit" name="submit" value="Edit News Group"><br />
</form>

{include file="$tplDirectory/footer.tpl"}