{* $Id: DowngradePackage.tpl 12256 2007-11-19 17:42:33Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{t c="TRANS_DOWNGRADE_PACKAGE" d="Downgrade Package"}
{t c="TRANS_COUPON_CYCLES" d="Coupon Cycles"}
{t c="TRANS_DOWNGRADE_AT_END_OF_CYCLE" d="End of current cycle"}
{t c="TRANS_DOWNGRADE_NOW" d="Now"}
{t c="TRANS_PROVISION_THE_CHANGES" d="Provision to the Panel"}
{t c="TRANS_PACKAGE_DOWNGRADE_TIME" d="When should this downgrade take place"}
{t c="TRANS_PERFORM_DOWNGRADE" d="Perform Downgrade"}
{t c="TRANS_DOWNGRADED_FROM" d="Downgraded From"}
{t c="TRANS_DOWNGRADE_NOW_WITH_PRORATION_CREDITS" d="Downgrade now and apply proration credits"}
{t c="TRANS_DOWNGRADE_NOW_WITHOUT_PRORATION_CREDITS" d="Downgrade now and DO NOT apply proration credits"}
{t c="TRANS_UPGRADE_DOWNGRADE_PACKAGES" d="Upgrade/Downgrade Packages"}
{t c="TRANS_GENERATE_INVOICE_IF_APPROPRIATE" d="Generage invoice if appropriate"}
{t c="TRANS_ADJUST_ADDONS_ONLY" d="Adjust Addons Only"}
{t c="TRANS_ADJUST_ADDONS" d="Adjust Addons"}

{t c="TRANS_CANNOT_PERFORM_UPGRADES_OR_DOWNGRADES_AT_THIS_TIME" d="The system is unable to perform upgrades or downgrades on an item that has not been invoiced at least once."}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PACKAGES"
	childName="TRANS_UPGRADE_DOWNGRADE_PACKAGES"
	grandchildName="TRANS_DOWNGRADE_PACKAGE"
	sideNavMajor="clients"
	sideNavMinor="packages"}

{include file="$tplDirectory/widgets/context/package.tpl" showActions=1 package=$packageInfo}

{assign var="currencyID" value=$packageInfo.paymentGroupCurrencyID}

<br />
<h6>{$smarty.const.TRANS_DOWNGRADE_PACKAGE}</h6>
<br />

{if $cango}

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="list">

	<tr>
		<th> </th>
		<th align="left">{$smarty.const.TRANS_PRODUCT}</th>
		<th align="left">{$smarty.const.TRANS_PRICE}</th>
		<th align="left">{$smarty.const.TRANS_DOWNGRADE_FEE}</th>
		<th align="left">{$smarty.const.TRANS_COUPON_PRICE}</th>
		<th align="left" colspan="2">{$smarty.const.TRANS_COUPON_CYCLES}</th>
	</tr>


	{foreach key="id" item="product" from=$downgradeProducts}

	<form method="post" action="packages.php">
	<input type="hidden" name="sid" value="{$sid}">
	<input type="hidden" name="action" value="{getActionID action="DowngradePackageResponse"}">
	<input type="hidden" name="packageID" value="{$packageInfo.packageID}">
	<input type="hidden" name="productID" value="{$product.productID}" />
	<input type="hidden" name="productVariantID" value="{$product.productVariantID}" />


	<tr class="{cycle values="alt1,alt2"}">
		<td><input class="button" type="button" name="configure" value="{$smarty.const.TRANS_CONFIGURE}" onclick="XKtoggle('configureRow{$product.productID}');" /></td>
		<td>{$product.productName}{if $product.productVariantName}<br /><strong>{$product.productVariantName}</strong>{/if}</td>
		{if $product.productID==$packageInfo.productID}
			<td colspan="4"><em>{$smarty.const.TRANS_ADJUST_ADDONS_ONLY}</em></td>
			<td align="right"><input type="submit" class="submit" value="{$smarty.const.TRANS_ADJUST_ADDONS}" /></td>
		{else}
			<td><input type="hidden" name="packagePrices[original]" value="{$product.prices.0.productVariantPriceAmount}" /><input type="text" size="10" name="packagePrices[general]" value="{$product.prices.0.productVariantPriceAmount|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
			<td><input type="text" size="7" name="packagePrices[fee]" value="{$product.prices[$feePriceType].productVariantPriceAmount|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
			<td><input type="text" size="10" name="packagePrices[coupon]" value="{0|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
			<td><input type="text" size="3" name="packagePrices[couponcycles]" value="0" onchange="this.value=this.value*1;" /></td>
			<td align="right"><input type="submit" class="submit" value="{$smarty.const.TRANS_PERFORM_DOWNGRADE}" /></td>
		{/if}
	</tr>
	<tbody class="{if $product.productID==$packageInfo.productID}on{else}off{/if}" id="configureRow{$product.productID}">
		<tr>
			<td></td>
			<td colspan="6">
				<table width="100%">
					<tr class="alt1">
						<th>{$smarty.const.TRANS_PACKAGE_DOWNGRADE_TIME}</th>
						<td><select name="packageUpgradeDowngradeType">
							<option value="0">{$smarty.const.TRANS_DOWNGRADE_NOW_WITH_PRORATION_CREDITS}</option>
							<option value="1">{$smarty.const.TRANS_DOWNGRADE_NOW_WITHOUT_PRORATION_CREDITS}</option>
							<option value="2">{$smarty.const.TRANS_DOWNGRADE_AT_END_OF_CYCLE}</option>
						</select></td>
					</tr>
					<tr class="alt2">
						<th>{$smarty.const.TRANS_PROVISION_THE_CHANGES}</th>
						<td><input type="checkbox" name="packageProvision" checked="checked" value="1" /></td>
					</tr>
					<tr class="alt2">
						<th>{$smarty.const.TRANS_GENERATE_INVOICE_IF_APPROPRIATE}</th>
						<td><input type="checkbox" name="generateInvoice" checked="checked" value="1" /></td>
					</tr>
					<tr class="alt1">
						<th>{$smarty.const.TRANS_COMMENTS}</th>
						<td><textarea name="packageComments" rows="3" cols="35">{$smarty.const.TRANS_DOWNGRADED_FROM}: {$packageInfo.packageName}</textarea></td>
					</tr>
				</table>
				
				<table width="100%">
				
				{*****************************************************************************}

				{assign var="firsttime" value="1"}
				{foreach key="id" item="addons" from=$product.addons}
					<tr>
						<td colspan="2"><br /> </td>
					</tr>
					<tr class="alt1">
						<td class="td05" colspan="2"><h1>{assign var="group" value=$product.addonGroups.$id}{$group.productAddonGroupName}</h1></td>
					</tr>
					{assign var="firsttime" value=0}
					{if $group.productAddonGroupInputType=="" || $group.productAddonGroupInputType=="r" || $group.productAddonGroupInputType=="s"}
						{section name="i" loop=$addons}
							{assign var="pid" value=$addons[i].productID}
							
							{assign var="selectedAddon" value=$selectedAddons.$pid}
							
							{if $pid==$selectedAddon.packageAddonProductID} {* && $product.productID==$packageInfo.productID *}
								{assign var="taprice" value=$selectedAddon.packageAddonPrice}
								{assign var="tafeeprice" value=0}
								{assign var="tacouponprice" value=$selectedAddon.couponPrice}
								{assign var="tacouponcycles" value=$selectedAddon.couponNumCycles}
								{assign var="addonSelected" value="1"}
							{else}
								{assign var="taprice" value=$addons[i].prices.0.productVariantPriceAmount}
								{assign var="tafeeprice" value=$addons[i].prices[$feePriceType].productVariantPriceAmount}
								{assign var="tacouponprice" value=$addons[i].prices.0.productVariantPriceAmount}
								{assign var="tacouponcycles" value="0"}
								{assign var="addonSelected" value="0"}
							{/if}

							<tr class="alt2">
								<td class="td05"><label for="addonSelector{$product.productID}_{$pid}"><input type="radio" id="addonSelector{$product.productID}_{$pid}" name="addons[{$id}][]" value="{$pid}"  {if $addonSelected==1}checked="checked"{/if} />&nbsp; - {$addons[i].productName|constant}</label></td>
								<td class="td05">
									<table>
										<tr>
											<td><strong>{$smarty.const.TRANS_PRICE}: </strong></td>
											<td><input type="text" name="prices[{$pid}][general]" value="{$taprice|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
											<td><strong>{$smarty.const.TRANS_COUPON_PRICE}: </strong></td>
											<td><input type="text" name="prices[{$pid}][coupon]" value="{$tacouponprice|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
										</tr>
										<tr>
											<td><strong>{$smarty.const.TRANS_DOWNGRADE_FEE}: </strong></td>
											<td><input type="text" name="prices[{$pid}][fee]" value="{$tafeeprice|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
											<td><strong>{$smarty.const.TRANS_COUPON_NUM_CYCLES}: </strong></td>
											<td><input type="text" name="prices[{$pid}][couponcycles]" value="{$tacouponcycles}" /></td>
										</tr>
									</table>
								</td>
							</tr>
						{/section}
							<tr class="alt2">
								<td class="td05" colspan="2"><input type="radio" name="addons[{$id}][]" value="0" />&nbsp; - {$smarty.const.TRANS_NONE}</td>
							</tr>
					{elseif $group.productAddonGroupInputType=="c"}
						{section name="i" loop=$addons}
							{assign var="pid" value=$addons[i].productID}
							
							{assign var="selectedAddon" value=$selectedAddons.$pid}
							
							{if $pid==$selectedAddon.packageAddonProductID} {* && $product.productID==$packageInfo.productID *}
								{assign var="taprice" value=$selectedAddon.packageAddonPrice}
								{assign var="tafeeprice" value=0}
								{assign var="tacouponprice" value=$selectedAddon.couponPrice}
								{assign var="tacouponcycles" value=$selectedAddon.couponNumCycles}
								{assign var="addonSelected" value="1"}
							{else}
								{assign var="taprice" value=$addons[i].prices.0.productVariantPriceAmount}
								{assign var="tafeeprice" value=$addons[i].prices[$feePriceType].productVariantPriceAmount}
								{assign var="tacouponprice" value=$addons[i].prices.0.productVariantPriceAmount}
								{assign var="tacouponcycles" value="0"}
								{assign var="addonSelected" value="0"}
							{/if}

							<tr class="alt2">
								<td class="td05"><label for="addonSelector{$product.productID}_{$pid}"><input type="checkbox" id="addonSelector{$product.productID}_{$pid}" name="addons[{$id}][]" value="{$pid}"  {if $addonSelected==1}checked="checked"{/if} />&nbsp; - {$addons[i].productName|constant}</label></td>
								<td class="td05">
									<table>
										<tr>
											<td><strong>{$smarty.const.TRANS_PRICE}: </strong></td>
											<td><input type="text" name="prices[{$pid}][general]" value="{$taprice|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
											<td><strong>{$smarty.const.TRANS_COUPON_PRICE}: </strong></td>
											<td><input type="text" name="prices[{$pid}][coupon]" value="{$tacouponprice|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
										</tr>
										<tr>
											<td><strong>{$smarty.const.TRANS_DOWNGRADE_FEE}: </strong></td>
											<td><input type="text" name="prices[{$pid}][fee]" value="{$tafeeprice|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
											<td><strong>{$smarty.const.TRANS_COUPON_NUM_CYCLES}: </strong></td>
											<td><input type="text" name="prices[{$pid}][couponcycles]" value="{$tacouponcycles}" /></td>
										</tr>
									</table>
								</td>
							</tr>
						{/section}

					{/if}
				{foreachelse}
					<tr class="alt2">
						<th class="td05">{$smarty.const.TRANS_NO_ADDONS}</th>
					</tr>
				{/foreach}
					<tr class="alt1">
						<th colspan="2" align="right"><input type="submit" class="submit" value="{if $product.productID==$packageInfo.productID}{$smarty.const.TRANS_ADJUST_ADDONS}{else}{$smarty.const.TRANS_ORDER_DOWNGRADE}{/if}" /></th>
					</tr>
				</table><br />

				{*****************************************************************************}
			</td>
		</tr>
	</tbody>


	</form>

	{/foreach}


</table>

{else}

	{$smarty.const.TRANS_CANNOT_PERFORM_UPGRADES_OR_DOWNGRADES_AT_THIS_TIME}

{/if}



{include file="$tplDirectory/footer.tpl"}



