{* $Id: EditProductAddonGroup.tpl 7256 2006-06-06 05:35:24Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Invoice.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

 {t c="TRANS_SAVE" d="Save"}
 {t c="TRANS_EDIT_ADDON_GROUP" d="Edit Addon Group"}
 {t c="TRANS_MANAGE_ADDON_GROUPS" d="Manage Addon Groups"}
 {t c="TRANS_ADDON_GROUP_INPUT_TYPE" d="Input type"}

{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_PRODUCTS"
    childName="TRANS_MANAGE_ADDON_GROUPS"
    grandchildName="TRANS_EDIT_ADDON_GROUP"
    sideNavMajor="products"
    sideNavMinor="products"
    useMenu="products"}


<form method="post" action="products.php">
<input type="hidden" name="action" value="{getActionID action="EditProductAddonGroupResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="productAddonGroupID" value="{$productAddonGroup.productAddonGroupID}" />
<input type="hidden" name="redirectURL" value="products.php" />
<input type="hidden" name="redirectAction" value="ShowProductAddons" />
<input type="hidden" name="advanced" value="{$smarty.request.advanced}" />
<input type="hidden" name="productID" value="{$smarty.request.productID}" />
<input type="hidden" name="redirectArgs" value="productID={$smarty.request.productID}&advanced={$smarty.request.advanced}" />

<h2>{$smarty.const.TRANS_EDIT_ADDON_GROUP}</h2>

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01">
    <tbody>
        {include
	        file="$tplDirectory/widgets/forms/validateInputText.tpl"
	        name="productAddonGroupName"
	        value=$formValues.productAddonGroupName|stripslashes
	        title="TRANS_NAME"}

        <tr class="{if $invalid.productAddonGroupInputType}highlight{else}{cycle values="alt1,alt2"}{/if}">
	        <th class="nowrap" scope="row">{$smarty.const.TRANS_ADDON_GROUP_INPUT_TYPE}: </th>
	        <td width="100%">
                {html_radios id="productAddonGroupInputType" name="productAddonGroupInputType" options=$types.productAddonGroupInputType selected=$formValues.productAddonGroupInputType separator="<br />"}
            </td>
        </tr>

	<tr>
		<td></td>
		<td><input class="submit" type="submit" value="{$smarty.const.TRANS_SAVE}"></td>
	</tr>	


    </tbody>
</table>

</form>




{include file="$tplDirectory/footer.tpl"}
