{* $Id: ShowTaxZoneDetails.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays a single tax zone's details in a readable manner. This template 
 * will eventually display more information about a tax zone than the ShowtaxZone action; but 
 * for now the same amount of data is shown in both templates.
 *
 * Smarty Variables:
 *	$taxzone - The array representation of the current tax zone. This array is 
 *	               structured as follows:
 *                   taxZoneID --  The ID of the tax zone
 *      	         taxZoneName -- The zones within the country to apply taxes to
 *					 countriesISO2 -- The tax zone country
 *	                 taxZoneAmount -- The tax percentage. Allows a tax up to 999.999%
 *	                 taxZoneDescription -- Description of the tax used in invoices
 *      	         taxZoneActive -- 1 if the tax is active, or 0 if otherwise
 *}
{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_MANAGE_SYSTEM"
    childName="TRANS_MANAGE_TAX_ZONES"
    sideNavMajor="system"
    parentConfigGroupID=0}

<a href="taxes.php?action={getActionID action="EditTaxZone"}&taxZoneID={$taxzone.taxZoneID}&sid={$sid}">Edit</a><br />
<a href="taxes.php?action={getActionID action="RemoveTaxZone"}&taxZoneID={$taxzone.taxZoneID}&sid={$sid}">Remove</a><br />
taxZoneID: {$taxzone.taxZoneID}<br />
countriesISO2: {$taxzone.countriesISO2} - {$taxzone.countryName}<br />
taxZoneName: {$taxzone.taxZoneName}<br />
taxZoneAmount: {$taxzone.taxZoneAmount}%<br />
taxZoneDescription: {$taxzone.taxZoneDescription}<br />
taxZoneActive: {$taxzone.taxZoneActive|getArrayValueByID:$activeInactive}<br />

<a href="taxes.php?action={getActionID action="ShowTaxZones"}&sid={$sid}">Show List</a><br />

{include file="$tplDirectory/footer.tpl"}