{* $Id: sideMenuMajor_helpdesk.tpl 12329 2007-12-07 22:11:44Z kbailey $
 * --------------------------------------------------------------
 * This template displays the side navigation when the helpdesk menu is selected.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/admin/sideMenuMajor_helpdesk.tpl"}
 *
 * Author: Kris Bailey
 *}
{t c="TRANS_DEPARTMENTS" d="Departments"}
{t c="TRANS_EDIT_DEPARTMENTS" d="Edit Departments"}
{t c="TRANS_EDIT_BUCKETS" d="Edit Buckets"}
{t c="TRANS_EDIT_EMAIL_TEMPLATES" d="Edit Email Templates"}
{t c="TRANS_HELPDESK" d="Helpdesk"}
{t c="TRANS_HELPDESK_SETUP" d="Helpdesk Setup"}
{t c="TRANS_FAQS" d="FAQs"}
{t c="TRANS_NEWS" d="News"}
{t c="TRANS_EXPAND_ALL" d="Expand All"}

<div id="majorNavDiv_helpdesk" {if $sideNavMajor!="helpdesk"} style="display: none;"{/if}>

{* system side menu *}
<div class="lbox01">
	<h1>{$smarty.const.TRANS_HELPDESK}</h1>
	
	<div class="lbox01b" style="height: 14.5em;">
		<div class="menu">
			<ul>
				<li><a href="{getHREF page="helpdesk.php" actionName="ShowHelpdesk"}">{$smarty.const.TRANS_HELPDESK}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="helpdesk.php" actionName="ShowHelpdeskBuckets"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" /> {$smarty.const.TRANS_LIST_BUCKETS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					{if $smarty.request.hdBucketID != "" || $hdBucketID != ""}
						{if $hdBucketID == ""}
							{assign var=hdBucketID value=$smarty.request.hdBucketID}
						{/if}
						<li><a href="{getHREF page="helpdesk.php" actionName="ShowHelpdeskBucketDetails" args="hdBucketID=$hdBucketID"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" /> {$smarty.const.TRANS_VIEW_BUCKET}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="{getHREF page="helpdesk.php" actionName="EditHelpdeskBucket" args="hdBucketID=$hdBucketID"}"><img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" /> {$smarty.const.TRANS_EDIT_BUCKET}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="{getHREF page="helpdesk.php" actionName="RemoveHelpdeskBucket" args="hdBucketID=$hdBucketID"}"><img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" /> {$smarty.const.TRANS_REMOVE_BUCKET}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					{/if}
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="helpdesk.php" actionName="ShowHelpdeskDepartments"}">{$smarty.const.TRANS_HELPDESK_SETUP}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="helpdesk.php" actionName="ShowHelpdeskDepartments"}"><img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_EDIT_DEPARTMENTS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="{getHREF page="helpdesk.php" actionName="ShowHelpdeskBuckets"}"><img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_EDIT_BUCKETS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="{getHREF page="helpdesk.php" actionName="ShowHelpdeskResponseTemplates"}"><img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_EDIT_RESPONSE_TEMPLATES}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="faqs.php" actionName="ShowFAQs"}">{$smarty.const.TRANS_FAQS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="faqs.php" actionName="ShowFAQs"}"><img src="{$imageDirectory}/ico/note_edit.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_FAQS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="faqs.php" actionName="AddFAQCategory"}"><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_FAQ_CATEGORY}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="faqs.php" actionName="AddFAQ"}"><img src="{$imageDirectory}/ico/note_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_FAQ}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="news.php" actionName="ShowNews"}">{$smarty.const.TRANS_NEWS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="news.php" actionName="ShowNews"}"><img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_NEWS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="news.php" actionName="AddNewsGroup"}"><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_NEWS_GROUP}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="news.php" actionName="AddNews"}"><img src="{$imageDirectory}/ico/note_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_NEWS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
			</ul>
		</div>
		<div class="lbox01c">
		</div>
	</div>{* lbox01b *}
</div>{* lbox01 *}

</div>