{* $Id: EditProductNotifications.tpl 9860 2006-10-30 21:39:34Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	$product // product array
 *	$adminGroups // key'd array of admin groups
 *
 *}{strip}
{t c="TRANS_NOTIFICATION_GROUP" d="Group To Notify On Event."}
{/strip}
{include file="$tplDirectory/widgets/products/header.tpl"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" name="EditProduct" action="products.php">
<input type="hidden" name="action" value="{getActionID action="EditProductNotificationsResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="advanced" value="{$smarty.request.advanced}" />

<table  width="750" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tbody>
<tr class="{if $invalid.notifyAdminGroupID}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="notifyAdminGroupID">{$smarty.const.TRANS_NOTIFICATION_GROUP}</label></th>
	<td width="100%">
		<select id="notifyAdminGroupID" name="notifyAdminGroupID">
			{html_options options=$adminGroups selected=$product.notifyAdminGroupID}
		</select>
		  {$invalid.welcomeEmailTemplateGroup}
	</td>
</tr>
</tbody>
</table>

<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE_CHANGES}" />
</form>

{include file="$tplDirectory/widgets/products/footer.tpl"}
