{* $Id: AddHelpdeskDepartment.tpl 6370 2006-04-18 20:45:57Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to allow a user to add a new helpdesk department. The form must POST to the 
 * AddHelpdeskDepartmentResponse action, and send the hdDepartmentName, hdDepartmentDescription, 
 * and adminID parameters.
 *
 * Smarty Variables:
 *  $admins - An array of admins of the system. Each element in this array represents an admin, and that array 
 *	          is structured as follows:
 *	            adminID - The ID of the administrator.
 *	            adminFirstName - The first name of the administrator.
 *	            adminLastName - The last name of the administrator.
 *	            adminUsername - The username of the administrator.
 *	            adminEmail - The email of the administrator.
 *	            adminActive - 1 if the admin is active, or 0 if otherwise.
 *	            themeID - The theme ID of the administrator.
 *	            languageID - The language ID of the administrator.
 *	            countriesID - The country ID of the administrator.
 *
 *}
{include file="$tplDirectory/header.tpl"}

<form method="post" action="helpdesk.php">
<input type="hidden" name="action" value="{getActionID action="AddHelpdeskDepartmentResponse"}">
hdDepartmentName: <input type="text" name="hdDepartmentName" /><br />
hdDepartmentDescription: <textarea name="hdDepartmentDescription"></textarea><br />
admin: <select name="adminIDs[]" size="3" multiple="multiple">
{section name="i" loop="$admins"}
	<option value="{$admins[i].adminID}">{$admins[i].adminUsername} ({$admins[i].adminFirstName} {$admins[i].adminLastName})</option>
{/section}
</select>
<input class="submit" type="submit" name="submit" value="submit"><br />
</form>

{include file="$tplDirectory/footer.tpl"}