{* $Id: RemoveHelpdeskDepartment.tpl 8274 2006-08-08 16:43:05Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to remove an existing helpdesk department from the database. The form must
 * post the hdDepartmentID to the RemoveHelpdeskDepartmentResponse action in order to remove the
 * department, or return the user to the ShowHelpdeskDepartments action.
 *
 * Smarty Variables:
 *	$helpdeskDepartment - An array of helpdesk department information, which is structured as follows:
 *	                         hdDepartmentID -- The ID of the helpdesk department.
 *	                         hdDepartmentName -- The name of the helpdesk department.
 *	                         hdDepartmentDescription -- The description of the helpdesk department.
 *}
{strip}
{t c="TRANS_REMOVE_HELPDESK_DEPT" d="Remove helpdesk department with ID"}
{t c="TRANS_HELPDESK_DEPT_HAS_BUCKETS" d="Sorry, this helpdesk department has buckets and tickets associated with it, please remove/reassociate them before removing the department."}
{/strip}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_HELPDESK"
	childName="TRANS_DEPARTMENTS"
	grandchildName="TRANS_REMOVE"

	sideNavMajor="helpdesk"
	sideNavMinor="helpdesksetup"}

{if $helpdeskDepartment.bucketCount > 0}
	{$smarty.const.TRANS_HELPDESK_DEPT_HAS_BUCKETS}
	<p><input type="button" class="button" value="{$smarty.const.TRANS_GO_BACK}" onClick="javascript:history.go(-1);" /></p>
{else}
	{$smarty.const.TRANS_REMOVE_HELPDESK_DEPT}: "{$helpdeskDepartment.hdDepartmentID}"?
	
	<table border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td>
			<form method="post" action="helpdesk.php">
			<input type="hidden" name="action" value="{getActionID action="RemoveHelpdeskDepartmentResponse"}">
			<input type="hidden" name="sid" value="{$sid}" />
			<input type="hidden" name="hdDepartmentID" value="{$helpdeskDepartment.hdDepartmentID}">
			<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_YES}">
			</form>
		</td>
		<td>
			&nbsp;
		</td>
		<td>
			<form method="post" action="helpdesk.php">
			<input type="hidden" name="action" value="{getActionID action="ShowHelpdeskDepartments"}">
			<input type="hidden" name="sid" value="{$sid}" />
			<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_NO}"><br />
			</form>
		</td>
	</tr>
	</table>
{/if}
{include file="$tplDirectory/footer.tpl"}