{* $Id: ShowClientStats.tpl 5823 2006-03-27 20:34:40Z mfountain $
 * --------------------------------------------------------------
 * This template displays a mini client stats report.
 *
 * Smarty Variables:
 *	$clientStats (array of client status and their count)
 *		clientStatus
 *		numClients
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_CLIENTS" d="Clients"}
{t c="TRANS_MANAGE_CLIENTS" d="Manage Clients"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TOTAL" d="Total"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_CLIENTS"
	grandchildName="TRANS_QUICK_STATS"
	sideNavMajor="clients"
	sideNavMinor="clients"}

<table width="95%" border="0" cellpadding="0" cellspacing="3" class="tab04" >
<tr>
	<th scope="row" align="right">{$smarty.const.TRANS_STATUS}</th>
	{section name=i loop=$statusLabels}
	    <th scope="col" width="14%">{$statusLabels[i]}</th>
	{/section}
	<th scope="col">{$smarty.const.TRANS_TOTAL}</th>
</tr>
{assign var="total" value="0"}
<tr>
	<th scope="row" align="right">{$smarty.const.TRANS_CLIENTS}</th>
	{section name=i loop=$statusValues}
	    <td align="center">{$statusValues[i]}</td>
	{/section}
	<td align="center">{$statusTotal}</td>
</tr>
</table>

<br />
<br />

<center>
[[place holder for more reports]]
</center>

<br />
<br />

{include file="$tplDirectory/footer.tpl"}