{* $Id: ShowLicenseDefAttributes.tpl 7727 2006-06-23 21:14:17Z mfountain $
 * --------------------------------------------------------------
 *}

{assign var="softwareAppID" value=$softwareApp[0].softwareAppID}
{assign var="licenseDefID" value=$licenseDef[0].licenseDefID}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_LICENSE_DEFS"
	childName="TRANS_EDIT"
	tabMajor="software"
	tabMinor="license"}

<img src="{$imageDirectory}/ico/cd_details.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
<b>{$smarty.const.TRANS_SOFTWARE_APP_DETAILS}</b>
<hr size="1" color="#6F005A" />

<table width="100%" border="0" cellspacing="2" cellpadding="0" class="list">
<tbody>
<tr class="alt1">
    <td style="text-align: right;" width="25%"><strong>{$smarty.const.TRANS_SOFTWARE}:</strong></td>
	<td>
		<a href="{getHREF page="software.php" actionName="ShowSoftwareAppDetails" args="softwareAppID=$softwareAppID"}" style="font-size: 100%;">
			{$softwareApp[0].softwareAppName}
		</a>
	</td>
</tr>
<tr class="alt1">
    <td style="text-align: right;" width="25%"><strong>{$smarty.const.TRANS_LICENSE}:</strong></td>
	<td>
		<a href="{getHREF page="licenses.php" actionName="ShowLicenseDefs" args="softwareAppID=$softwareAppID"}" style="font-size: 100%;">
			{$licenseDef[0].licenseDefName}
		</a>
	</td>
</tr>
</tbody>
</table>

<br clear="all" />

<img src="{$imageDirectory}/ico/attributes.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
<b>{$smarty.const.TRANS_LICENSE_ATTRIBUTES}</b>       
<hr size="1" color="#6F005A" />

<table style="margin-left:auto;margin-right:auto;" cellpadding="2" cellspacing="2" width="100%">
<tr>
    <td style="text-align: left;" width="40%">
        <form method="post" action="licenses.php">
        <input type="hidden" name="action" value="{getActionID action="CloneLicenseDefAttributesResponse"}" />
        <input type="hidden" name="licenseDefID" value="{$licenseDefID}" />
        <input type="hidden" name="sid" value="{$sid}" />
        <img src="{$imageDirectory}/ico/copy_attributes.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
        <b>{$smarty.const.TRANS_COPY_FROM}:</b>
	    <select id="cloneLicenseDefID" name="cloneLicenseDefID">
            {html_options options=$licenseDefs} 
        </select>
        <input type="submit" name="submit" value="{$smarty.const.TRANS_COPY}" />        
        </form>
    </td>
    <td style="text-align: center;" width="10%">&nbsp;</td>
    <td style="text-align: right;" width="40%">
        {include file="$tplDirectory/widgets/actionLink.tpl"
	        page="licenses.php"
	        actionName="ClearLicenseDefAttributesResponse"
	        args="licenseDefID=$licenseDefID"
	        icoImage="remove_attributes.gif"
	        icoWidth=""
	        icoHeight=""
	        icoStyle=""
	        altText="TRANS_CLEAR_ALL"
	        titleText=""
	        linkText="TRANS_CLEAR_ALL"
	        noSpace="0"
        }
    </td>    
</tr>
</table>

<br clear="all" />

<form method="post" action="licenses.php">
<input type="hidden" name="redirectURL" value="licenses.php" />
<input type="hidden" name="redirectAction" value="ShowLicenseDefAttributes" />
<input type="hidden" name="redirectArgs" value="licenseDefID={$licenseDefID}" />
<input type="hidden" name="action" value="{getActionID action="AddLicenseDefAttributeResponse"}" />
<input type="hidden" name="licenseDefID" value="{$licenseDefID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table width="100%" border="0" cellspacing="2" cellpadding="0" class="list">
<thead>
<tr class="subHeaderRow" bgcolor="#CCCCCC">
	<td class="firstTD" style="text-align: center;" width="33%">
		{$smarty.const.TRANS_ATTRIBUTE_INTERNAL_NAME}
	</td>
	<td style="text-align: center;" width="33%">
		{$smarty.const.TRANS_ATTRIBUTE_INTERNAL_VALUE}
	</td>
	<td style="text-align: center;" width="33%">
		{$smarty.const.TRANS_ACTIONS}
	</td>
</tr>
</thead>
<tbody>
{section name=i loop="$licenseDefAttributes"}
{assign var="licenseDefAttributeID" value=$licenseDefAttributes[i].licenseDefAttributeID}
<tr class="alt1">
	<td style="text-align: center;">{$licenseDefAttributes[i].licenseDefAttributeName|default:$smarty.const.TRANS_EMPTY}</td>
	<td style="text-align: center;">{$licenseDefAttributes[i].licenseDefAttributeValue|default:$smarty.const.TRANS_EMPTY}</td>
	<td style="text-align: center;">
		{strip}
        {include file="$tplDirectory/widgets/actionLink.tpl"
		    page="licenses.php"
		    actionName="EditLicenseDefAttribute"
		    args="licenseDefAttributeID=$licenseDefAttributeID&licenseDefID=$licenseDefID"
		    icoImage="edit"
		    icoWidth=""
		    icoHeight=""
		    icoStyle=""
		    altText="TRANS_EDIT"
		    titleText=""
		    linkText="TRANS_EDIT"
		    noSpace="1"
		}
		&nbsp;
        {include file="$tplDirectory/widgets/actionLink.tpl"
		    page="licenses.php"
		    actionName="RemoveLicenseDefAttribute"
		    args="licenseDefAttributeID=$licenseDefAttributeID&licenseDefID=$licenseDefID"
		    icoImage="remove"
		    icoWidth=""
		    icoHeight=""
		    icoStyle=""
		    altText="TRANS_REMOVE"
		    titleText=""
		    linkText="TRANS_REMOVE"
		    noSpace="1"
		}
		{/strip}
	</td>
</tr>
{/section}
<tr class="alt2">
	<td style="text-align: center;">
		<input type="text" name="licenseDefAttributeName" value="" style="width: 222px;" />
	</td>
	<td style="text-align: center;">
		<input type="text" name="licenseDefAttributeValue" value="" style="width: 222px;" />
	</td>
	<td style="text-align: center;">
		<input type="submit" name="submit" value="{$smarty.const.TRANS_ADD_ATTRIBUTE}" />
	</td>
</tr>
</tbody>
</table>

</form>

{include file="$tplDirectory/footer.tpl"}