{* $Id: ShowLicenses.tpl 11943 2007-09-21 19:13:39Z kbailey $
 * --------------------------------------------------------------
 *}

{assign var="resellerID" value=$smarty.request.resellerID}
{assign var="licenseStatus" value=$smarty.request.licenseStatus}
{assign var="statuses" value=$statuses.licenseStatus}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_LICENSES"
	childName="TRANS_SHOW_ALL"
	tabMajor="licenses"
	tabMinor="show"}

<img src="{$imageDirectory}/ico/license.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
<b>{$smarty.const.TRANS_LICENSES}</b>
<hr size="1" color="#6F005A" />

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" addEmptyTD=1 headerClass="firstTD" headerName="TRANS_LICENSE" sortColumn="licenseDefID"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" addEmptyTD=1 headerName="TRANS_LICENSEE" sortColumn="licenseLicenseeName"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" addEmptyTD=1 headerName="TRANS_LICENSEE_COMPANY" sortColumn="licenseLicenseeCompany"}
	{if !$resellerID}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" addEmptyTD=1 headerName="TRANS_RESELLER" sortColumn="resellerID"}
	{/if}
	{include file="$tplDirectory/widgets/table/listHeaderSortDate.tpl" addEmptyTD=1 headerName="TRANS_CREATE_DATE" sortColumn="licenseCreateDate"}
	{include file="$tplDirectory/widgets/table/listHeaderSortDate.tpl" addEmptyTD=1 headerName="TRANS_EXP_DATE" sortColumn="licenseExpireDate"}
	{include file="$tplDirectory/widgets/table/listHeaderFilter.tpl" addEmptyTD=1 filterName="TRANS_STATUS" filterColumn="licenseStatus" filterOptions="$statuses"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerClass="lastTD" headerName="TRANS_ACTIONS"}
</tr>
<tbody>
{section name=i loop="$licenses"}
{assign var="licenseID" value=$licenses[i].licenseID}
<tr class="{cycle values="alt1,alt2"}">
	<td>
		{$licenses[i].licenseDef[0].licenseDefID} - 
		{$licenses[i].licenseDef[0].licenseDefName}
	</td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
	<td>
		{$licenses[i].licenseLicenseeName|truncate:20}
	</td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
	<td>
		{$licenses[i].licenseLicenseeCompany|truncate:20}
	</td>
	{if !$resellerID}
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
	<td>
		{$licenses[i].reseller[0].resellerCompany|truncate:15}
	</td>
	{/if}
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
	<td style="text-align: center;">
		{$licenses[i].licenseCreateDate|getDate:"short"}
	</td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
	<td style="text-align: center;">
		{$licenses[i].licenseExpireDate|getDate:"short"}
	</td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
	<td style="text-align: center;">
		{$licenses[i].licenseStatus|getStatusName:"license"}
	</td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
	<td style="text-align: center;" class="nowrap">
		{strip}
        {include file="$tplDirectory/widgets/actionLink.tpl"
		    page="licenses.php"
		    actionName="ShowLicenseDetails"
		    args="licenseID=$licenseID"
		    icoImage="view.gif"
		    icoWidth=""
		    icoHeight=""
		    icoStyle=""
		    altText="TRANS_DETAILS"
		    titleText=""
		    linkText="TRANS_DETAILS"
		    noSpace="1"
		}
		{/strip}
	</td>
</tr>
{/section}
</tbody>
</table>

{include file="$tplDirectory/widgets/genericPaginationLinks.tpl"}
{include file="$tplDirectory/footer.tpl"}