{* $Id: ShowRegistryGroups.tpl 7419 2006-06-13 15:36:57Z mfountain $
 * --------------------------------------------------------------
 *}

{assign var="softwareAppID" value=$smarty.request.softwareAppID}
{assign var="filterArgs" value="registryActive=$registryActive&registryStatus=$registryStatus"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SOFTWARE"
	childName="TRANS_MANAGE_REGISTRY_GROUPS"
	tabMajor="software"
	tabMinor="registry"}

<img src="{$imageDirectory}/ico/cd_details.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
<b>{$smarty.const.TRANS_SOFTWARE_APP_DETAILS}</b>
<hr size="1" color="#6F005A" />

<table width="100%" border="0" cellspacing="2" cellpadding="0" class="list">
<tbody>
<tr class="alt1">
    <td style="text-align: right;" width="25%"><strong>{$smarty.const.TRANS_SOFTWARE}:</strong></td>
	<td>
		<a href="{getHREF page="software.php" actionName="ShowSoftwareAppDetails" args="softwareAppID=$softwareAppID"}" style="font-size: 100%;">
			{$softwareApp[0].softwareAppName}
		</a>
	</td>
</tr>
</tbody>
</table>

<br clear="all" />

<img src="{$imageDirectory}/ico/registry_groups.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
<b>{$smarty.const.TRANS_REGISTRY_GROUPS}</b>
<hr size="1" color="#6F005A" />

<form method="post" action="registry.php">
<input type="hidden" name="redirectURL" value="registry.php" />
<input type="hidden" name="redirectAction" value="ShowRegistryGroups" />
<input type="hidden" name="redirectArgs" value="softwareAppID={$softwareAppID}" />
<input type="hidden" name="action" value="{getActionID action="AddRegistryGroupResponse"}" />
<input type="hidden" name="softwareAppID" value="{$softwareAppID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table width="100%" border="0" cellspacing="2" cellpadding="0" class="list">
<thead>
<tr class="subHeaderRow" bgcolor="#CCCCCC">
	<td class="firstTD" style="text-align: center;" width="25%">
		{$smarty.const.TRANS_REGISTRY_NAME}
	</td>
	<td style="text-align: center;" width="25%">
		{$smarty.const.TRANS_REGISTRY_TYPE}
	</td>
	<td style="text-align: center;" width="25%">
		{$smarty.const.TRANS_REGISTRY_SLOT}
	</td>
	<td style="text-align: center;" width="25%">
		{$smarty.const.TRANS_ACTIONS}
	</td>
</tr>
</thead>
<tbody>
{section name=i loop="$registryGroups"}
{assign var="registryGroupID" value=$registryGroups[i].registryGroupID}
{assign var="registrySlotID" value=$registryGroups[i].registrySlotID}
<tr class="alt1">
	<td style="text-align: center;">{$registryGroups[i].registryGroupName}</td>
	<td style="text-align: center;">{$registryGroups[i].registryGroupType|getTypeName:"registry"}</td>
	<td style="text-align: center;">{$registrySlots[$registrySlotID]}</td>
	<td style="text-align: center;">
		{strip}
        {include file="$tplDirectory/widgets/actionLink.tpl"
		    page="registry.php"
		    actionName="EditRegistryGroup"
		    args="registryGroupID=$registryGroupID&softwareAppID=$softwareAppID"
		    icoImage="edit"
		    icoWidth=""
		    icoHeight=""
		    icoStyle=""
		    altText="TRANS_EDIT"
		    titleText=""
		    linkText="TRANS_EDIT"
		    noSpace="1"
		}
		&nbsp;
        {include file="$tplDirectory/widgets/actionLink.tpl"
		    page="registry.php"
		    actionName="RemoveRegistryGroup"
		    args="registryGroupID=$registryGroupID&softwareAppID=$softwareAppID"
		    icoImage="remove"
		    icoWidth=""
		    icoHeight=""
		    icoStyle=""
		    altText="TRANS_REMOVE"
		    titleText=""
		    linkText="TRANS_REMOVE"
		    noSpace="1"
		}
		&nbsp;
		<nobr>
        {include file="$tplDirectory/widgets/actionLink.tpl"
		    page="registry.php"
		    actionName="ShowRegistryItems"
		    args="registryGroupID=$registryGroupID&softwareAppID=$softwareAppID"
		    icoImage="registry_items.gif"
		    icoWidth=""
		    icoHeight=""
		    icoStyle=""
		    altText="TRANS_REGISTRY_ITEMS"
		    titleText=""
		    linkText="TRANS_ITEMS"
		    noSpace="1"
		}
		</nobr>
		{/strip}
	</td>
</tr>
{/section}
<tr class="alt2">
	<td style="text-align: center;">
		<input type="text" name="registryGroupName" value="" style="width: 171px;" />
	</td>
	<td style="text-align: center;">
		<input type="radio" name="registryGroupType" value="0" checked /> {$smarty.const.TRANS_CORE}
		&nbsp;
		<input type="radio" name="registryGroupType" value="1" /> {$smarty.const.TRANS_OPEN}
	</td>
	<td style="text-align: center;">
		<select id="registrySlotID" name="registrySlotID">
			{html_options options=$registrySlots}
		</select>
	</td>
	<td style="text-align: center;">
		<input type="submit" name="submit" value="{$smarty.const.TRANS_ADD_GROUP}" />
	</td>
</tr>
</tbody>
</table>

</form>

{include file="$tplDirectory/footer.tpl"}