{* $Id: ShowRegistryItems.tpl 7419 2006-06-13 15:36:57Z mfountain $
 * --------------------------------------------------------------
 *}

{assign var="softwareAppID" value=$softwareApp[0].softwareAppID}
{assign var="registryGroupID" value=$registryGroup[0].registryGroupID}
{assign var="registrySlotID" value=$registryGroup[0].registrySlotID}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SOFTWARE"
	childName="TRANS_MANAGE_REGISTRY_GROUPS"
	tabMajor="software"
	tabMinor="registry"}

<img src="{$imageDirectory}/ico/cd_details.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
<b>{$smarty.const.TRANS_SOFTWARE_APP_DETAILS}</b>
<hr size="1" color="#6F005A" />

<table width="100%" border="0" cellspacing="2" cellpadding="0" class="list">
<tbody>
<tr class="alt1">
    <td align="right" width="25%"><b>{$smarty.const.TRANS_SOFTWARE_NAME}:</b></td>
	<td>
		<a href="{getHREF page="software.php" actionName="ShowSoftwareAppDetails" args="softwareAppID=$softwareAppID"}" style="font-size: 100%;">
			{$softwareApp[0].softwareAppName}
		</a>
	</td>
</tr>
<tr class="alt1">
	<td align="right" width="25%"><b>{$smarty.const.TRANS_REGISTRY_GROUP}:</b></td>
	<td>
		<a href="{getHREF page="registry.php" actionName="ShowRegistryGroups" args="softwareAppID=$softwareAppID"}" style="font-size: 100%;">
			{$registryGroup[0].registryGroupName}
		</a>
	</td>
</tr>
</tbody>
</table>

<br clear="all" />

<img src="{$imageDirectory}/ico/registry_items.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
<b>{$smarty.const.TRANS_REGISTRY_ITEMS}</b>

<hr size="1" color="#6F005A" />

<form method="post" action="registry.php">
<input type="hidden" name="redirectURL" value="registry.php" />
<input type="hidden" name="redirectAction" value="ShowRegistryItems" />
<input type="hidden" name="redirectArgs" value="registryGroupID={$registryGroupID}&softwareAppID={$softwareAppID}" />
<input type="hidden" name="action" value="{getActionID action="AddRegistryItemResponse"}" />
<input type="hidden" name="softwareAppID" value="{$softwareAppID}" />
<input type="hidden" name="registryGroupID" value="{$registryGroupID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table width="100%" border="0" cellspacing="2" cellpadding="0" class="list">
<tr class="subHeaderRow" bgcolor="#CCCCCC">
	<td style="text-align: center;" width="50%">
		{$smarty.const.TRANS_REGISTRY_ITEM_INTERNAL_VALUE}
	</td>
	<td style="text-align: center;" width="50%">
		{$smarty.const.TRANS_ACTIONS}
	</td>
</tr>
<tbody>
{section name=i loop="$registryItems"}
{assign var="registryItemID" value=$registryItems[i].registryItemID}
{assign var="registrySlotID" value=$registryItems[i].registrySlotID}
<tr class="alt1">
	<td style="text-align: left;">{$registryItems[i].registryItemValue}</td>
	<td style="text-align: center;">
		{strip}
        {include file="$tplDirectory/widgets/actionLink.tpl"
		    page="registry.php"
		    actionName="EditRegistryItem"
		    args="registryItemID=$registryItemID&softwareAppID=$softwareAppID"
		    icoImage="edit"
		    icoWidth=""
		    icoHeight=""
		    icoStyle=""
		    altText="TRANS_EDIT"
		    titleText=""
		    linkText="TRANS_EDIT"
		    noSpace="1"
		}
		&nbsp;
        {include file="$tplDirectory/widgets/actionLink.tpl"
		    page="registry.php"
		    actionName="RemoveRegistryItem"
		    args="registryItemID=$registryItemID&softwareAppID=$softwareAppID"
		    icoImage="remove"
		    icoWidth=""
		    icoHeight=""
		    icoStyle=""
		    altText="TRANS_REMOVE"
		    titleText=""
		    linkText="TRANS_REMOVE"
		    noSpace="1"
		}
		{/strip}
	</td>
</tr>
{/section}
<tr class="alt2">
	<td style="text-align: center;">
		<input type="text" name="registryItemValue" value="" style="width: 348px;" />
	</td>
	<td style="text-align: center;">
		<input type="submit" name="submit" value="{$smarty.const.TRANS_NEW_ITEM}" />
	</td>
</tr>
</tbody>
</table>

</form>

{include file="$tplDirectory/footer.tpl"}