{* $Id: listHeaderText.tpl 7419 2006-06-13 15:36:57Z mfountain $
 * --------------------------------------------------------------
 * This widget template is used to display each <th></th> with no sorting or filtering.
 *
 * Smarty Variables:
 *	$headerName  	The constant representation of that column name.
 *	$headerAlign  	The text alignment of the header name.
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_X" headerAlign="center"}
 *}
{if $headerAlign==""}
	{assign var="headerAlign" value="center"}
{/if}

{if $smarty.const.$headerName == "" && $headerName != ""}
	{assign var="headerName" value=$headerName}
{else}
	{assign var="headerName" value=$smarty.const.$headerName}
{/if}
{strip}
<td align="{$headerAlign}"{if $colWidth>0} width="{$colWidth}"{/if} class="$headerClass" style="text-align:{$headerAlign};" nowrap="nowrap">
	{$headerName}
</td{if $colWidth>0} width="{$colWidth}"{/if}>
{if $addEmptyTD}
<td>&nbsp;</td>
{/if}
{/strip}