{* $Id: ShowDomains.tpl 9448 2006-10-11 22:41:28Z eradtke $
 * --------------------------------------------------------------
 * This template displays the domains.
 *
 * Smarty Variables:
 *  $domains (array of domain data)
 *
 * 	$cssDirectory	The relative path to the theme's css directory
 *	$jsDirectory	The relative path to the theme's javascript directory
 *	$imageDirectory	The relative path to the theme's image directory
 *	$tplDirectory	The relative path to the theme's template directory
 *
 * Author: Andy Christ
 *}

{t c="TRANS_DOMAINS" d="Domains"}
{t c="TRANS_DOMAIN_NAME" d="Domain Name"}
{t c="TRANS_DOMAIN_EXPIRES" d="Expires"}

{include file="$tplDirectory/header.tpl" tabMajor="packages" tabMinor="domains"}

<div class="box07x">
	<div class="st01x"><div style="float: left;"><img src="{$imageDirectory}/ico/domain-icon.gif" width="30" height="30" border="0" alt="" /></div><h1>{$smarty.const.TRANS_DOMAINS}</h1></div>
	<table width="100%"  border="0" cellspacing="1" cellpadding="0" class="listClient">
    <tr class="subHeaderRowClient" bgcolor="#CCCCCC">
	    <td class="firstTD">
		    {$smarty.const.TRANS_DOMAIN_NAME}
	    </td>
	    <td  style="text-align: center;">
		    {$smarty.const.TRANS_DOMAIN_EXPIRES}
	    </td>
    </tr>
    {section name=i loop=$domains}
		{assign var=domainID value=$domains[i].domainID}
        <tr>
            <td>
				<a href="{getHREF page="domains.php"
					actionName="ShowDomainDetails"
					args="domainID=$domainID"}">{$domains[i].domainSLD}.{$domains[i].domainTLD}</a>

            </td>
            <td style="text-align: center;">
                {$domains[i].domainDateExpires|getDate}
            </td>
        </tr>
    {sectionelse}
        <tr>
            <td style="text-align: left;" colspan="2"><i>{$smarty.const.TRANS_NONE}</i></td>
        </tr>
    {/section}
	</table>
</div>{* box07 *}
<br />

{include file="$tplDirectory/footer.tpl"}