{* $Id: AddPackageAddon.tpl 7822 2006-06-28 04:30:46Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{include file="$tplDirectory/header.tpl" tabMajor="packages" tabMinor="packages"}

<br />
<h6>{$smarty.const.TRANS_ADD_ADDON}</h6>
<br />

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="list">

	{assign var="firsttime" value="1"}
	{foreach key="id" item="addons" from=$products}
		<form method="post" action="packages.php">
		<input type="hidden" name="sid" value="{$sid}">
		<input type="hidden" name="action" value="{getActionID action="AddPackageAddonResponse"}">
		<input type="hidden" name="packageID" value="{$packageInfo.packageID}">
		<tr class="alt1">
			<td class="td05" colspan="2"><h6>{assign var="group" value=$addonGroups.$id}{$group.productAddonGroupName}</h6></td>
		</tr>
		{assign var="firsttime" value=0}
		{if $group.productAddonGroupInputType=="" || $group.productAddonGroupInputType=="r" || $group.productAddonGroupInputType=="s"}
			{section name="i" loop=$addons}
				{assign var="pid" value=$addons[i].productID}
				<tr class="alt2">
					<td class="td05"><input type="radio" name="addons[]" value="{$pid}" />&nbsp; - {$addons[i].productName|constant}</td>
					<td class="td05">
						<table>
							<tr>
								<td><strong>{$smarty.const.TRANS_PRICE}: </strong></td>
								<td><input type="text" name="prices[{$pid}][general]" value="{$addons[i].prices.0.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
								<td><strong>{$smarty.const.TRANS_COUPON_PRICE}: </strong></td>
								<td><input type="text" name="prices[{$pid}][coupon]" value="{$addons[i].prices.0.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
							</tr>
							<tr>
								<td><strong>{$smarty.const.TRANS_PLUS_SETUP}: </strong></td>
								<td><input type="text" name="prices[{$pid}][setup]" value="{$addons[i].prices.1.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
								<td><strong>{$smarty.const.TRANS_COUPON_NUM_CYCLES}: </strong></td>
								<td><input type="text" name="prices[{$pid}][couponcycles]" value="0" /></td>
							</tr>
						</table>
					</td>
				</tr>
			{/section}
		{elseif $group.productAddonGroupInputType=="c"}
			{section name="i" loop=$addons}
				{assign var="pid" value=$addons[i].productID}
				<tr class="alt2">
					<td class="td05"><input type="checkbox" name="addons[]" value="{$pid}" />&nbsp; - {$addons[i].productName|constant}</td>
					<td class="td05">
						<table>
							<tr>
								<td><strong>{$smarty.const.TRANS_PRICE}: </strong></td>
								<td><input type="text" name="prices[{$pid}][general]" value="{$addons[i].prices.0.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
								<td><strong>{$smarty.const.TRANS_COUPON_PRICE}: </strong></td>
								<td><input type="text" name="prices[{$pid}][coupon]" value="{$addons[i].prices.0.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
							</tr>
							<tr>
								<td><strong>{$smarty.const.TRANS_PLUS_SETUP}: </strong></td>
								<td><input type="text" name="prices[{$pid}][setup]" value="{$addons[i].prices.1.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
								<td><strong>{$smarty.const.TRANS_COUPON_NUM_CYCLES}: </strong></td>
								<td><input type="text" name="prices[{$pid}][couponcycles]" value="0" /></td>
							</tr>
						</table>
					</td>
				</tr>
			{/section}

		{/if}
			<tr>
				<td class="td05" colspan="2"><input class="submit" type="submit" value="{$smarty.const.TRANS_ADD}"></td>
			</tr>
			<tr>
				<td colspan="2"><br /> </td>
			</tr>
		</form>
	{foreachelse}
		<tr class="alt2">
			<td class="td05">{$smarty.const.TRANS_NO_ADDONS}</td>
		</tr>
	{/foreach}

</table>




{include file="$tplDirectory/footer.tpl"}



