{t c="TRANS_GOOGLE_ACCEPTED_OFFER" d="Google AdWords&#8482; Accepted Offer"}
{t c="TRANS_QUALIFIED_PRODUCT" d="Qualified Product"}
{t c="TRANS_CREDIT_AMOUNT" d="Credit Amount"}
{t c="TRANS_RECEIVE_CODE" d="Receive Code"}
{t c="TRANS_CREDIT_CODE" d="Credit Code"}

{t c="TRANS_THANK_YOU_FOR_YOUR_BUSINESS" d="Thank you for your business."}

{assign var="codeID" value=$ppcCode.codeID}
<div class="box07">
	<div class="st01"><h1>{$smarty.const.TRANS_GOOGLE_ACCEPTED_OFFER}</h1></div>
    <div style="padding: 5px; background-color: #fff; text-align: center;">
        <center>
            <a href="https://adwords.google.com/select/main?cmd=Login&sourceid=modernbill" target="_blank">
                <img src="{$imageDirectory}/logos/AdWords.gif" width="143" height="59" border="0" alt="Google AdWords" />
            </a>
        </center>
        <p style="font-size:12px;">
        <b>{$smarty.const.TRANS_THANK_YOU_FOR_YOUR_BUSINESS}</b>
        <br />
        <br />
        Here's <b>{$ppcCode.codeValue|getAmount:$codeCurrencyID}</b> worth of targeted advertising and customer
        leads for you to try Google AdWords&#8482; *
        </p>
        <center>
        <table class="tab01" >
        <tr bgcolor="#EEEDE9">
            <th align="right"><b>{$smarty.const.TRANS_QUALIFIED_PRODUCT}:</b></th>
            <th>{$ppcCode.codeProductName}</th>
        </tr>
        <tr bgcolor="#EEEDE9">
            <th align="right"><b>{$smarty.const.TRANS_CREDIT_AMOUNT}:</b></th>
            <th>{$ppcCode.codeValue|getAmount:$codeCurrencyID}</th>
        </tr>
        <tr bgcolor="#EEEDE9">
            <th align="right"><b>{$smarty.const.TRANS_CREDIT_CODE}:</b></th>
            <th>{$ppcCode.codeToUse}</th>
        </tr>
        </table>
        </center>
        <blockquote style="padding: 5px; background-color: #fff; text-align: left;">
        <b>To activate your credit:</b>
        <ol>
            <li>Visit the <a href="https://adwords.google.com/select/main?cmd=Login&sourceid=modernbill" target="_blank">Google AdWords&#8482; Center</a>.</li>
            <li>Signup for a new AdWords&#8482; account. *</li>
            <li>When asked for billing info, enter the 12-digit code provided above.</li>
        </ol>
        </blockquote>
        <hr size="1" width="96%" />
        <p style="text-align:justify; margin-right:15px; margin-left:15px; font-size:9px;">
        <b>*</b> <b>Terms and conditions:</b> Promotional credit must be applied to a new AdWords account within <b>15 days</b> of creating the account
        and is <b><i>valid only for new Google AdWords customers</i></b> with assisted signup accounts ("Jumpstart Accounts")
        or self-managed signup. Advertisers will be charged for advertising that exceeds the promotional credit.
        Advertisers will need to suspend their ads if they do not wish to receive additional charges beyond the free credit amount.
        Subject to ad approval, valid registration and acceptance of the Google AdWords Program standard terms and conditions.
        The promotional credit is non-transferable and may not be sold or bartered. Offer may be revoked at any time for any reason by Google Inc.
        <u><b>One promotional credit per customer.</b></u> Advertisers with self-managed signup accounts are subject to an $5 activation
        fee that will be deducted from the promotional credit. Advertisers with assisted signup accounts can apply the promotional
        credit and receive free ad clicks after their Jumpstart prepayment balance is depleted. <b>Expires: 12/31/2006</b>
        <br />
        <br />
        Above offers for North America based Site Owners only.
        Should you purchase more than one qualified product, you will receive the highest eligible credit value.
        Subsequent purchases do not qualify for additional Google AdWords&#8482; credits.
        </p>
        <hr size="1" width="96%" />
        <b><a href="{getHREF page="ppc.php" actionName="SuppressPPCCodeResponse" args="codeID=$codeID"}">Once you have activated your account, click here to hide this box.</a></b>
    </div>
</div>

