{* $Id: CreateVendorUserResponse.tpl 10484 2007-01-15 18:49:46Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit an admin's profile.
 *
 * Smarty Variables:
 *	$admin (array of this admin's data)
 *		adminID			A unique admin ID
 *		adminFirstName	An admin's first name
 *		adminLastName	An admin's last name
 *		adminEmail		An admin's email address
 *		adminUsername	An admin's username
 *		adminActive		The active state of an admin
 *		themeID 		The unique themeID
 *		languageID 		The unique languageID
 *		countriesID 	The unique countriesID
 *	$actionID			The unique action ID for this page view
 *  $actionName			The action name for this action ID
 *	$imageDirectory		The image directory for this theme
 *	$tplDirectory		The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{t c="TRANS_VENDOR_USER_SUCCESSFULLY_CREATED" d="Vendor user successfully created."}
{t c="TRANS_INVALID_USER_INFORMATION_PASSED" d="Not enough vendor information passed to create user."}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SYSTEM"
	childName="TRANS_MANAGE_ADMINS"
	grandchildName="TRANS_ADD_VENDOR_USER"
	sideNavMajor="system"
	sideNavMinor="admins"}

{if $adminID}
	<strong>{$smarty.const.TRANS_VENDOR_USER_SUCCESSFULLY_CREATED}</strong>
{else}
	<strong>{$smarty.const.TRANS_INVALID_USER_INFORMATION_PASSED}</strong>
{/if}

{include file="$tplDirectory/footer.tpl"}
