{* $Id: ResetContactPassword.tpl 8782 2006-09-11 17:32:56Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to edit an existing client.
 *
 * Smarty Variables:
 *	$formValues (array of this clients data)
 *		clientContactID			A unique client contact ID
 *		contactFirstName		A client's first name
 *		contacttLastName		A client's last name
 *		contactEmail			A client's email address
 *		contactActive		The active state of a client
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Brian Smith
 *}{strip}
{t c="TRANS_RESET_PASSWORD" d="Reset Password"}
{/strip}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_CONTACT"
	grandchildName="TRANS_RESET_PASSWORD"
	sideNavMajor="clients"
	sideNavMinor="clients"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/context/contact.tpl" contact=$contact}

<form method="post" action="clients.php">
<input type="hidden" name="action" value="{getActionID action="ResetContactPasswordResponse"}" />
<input type="hidden" name="clientContactID" value="{$formValues.clientContactID}" />
<input type="hidden" name="sid" value="{$sid}" />

<center>
	<table cellpadding="0" cellspacing="0" border="0" class="tab01" width="150">
	<tr>
		<td colspan="2"><h2>{$smarty.const.TRANS_RESET_PASSWORD}</h2></td>
	</tr>
	
	<tr>
		<td align="center">
			<input type="submit" class="submit" value="{$smarty.const.TRANS_YES}" />
		</td>
		<td align="center">
			<input type="button" class="submit" value="{$smarty.const.TRANS_NO}" onClick="javascript:document.location.href='{getHREF page="clients.php" actionName="ShowClientContacts" args="clientID=`$formValues.clientID`&clientContactID=`$formValues.clientContactID`"}';" />
		</td>
	</tr>
	</table>
</center>

</form>

{include file="$tplDirectory/footer.tpl"}
