{t c="TRANS_SSO_ADMIN_SETTINGS" d="Admin CP Settings"}
{t c="TRANS_SSO_CLIENT_SETTINGS" d="Client CP Settings"}
{t c="TRANS_SSO_SYSTEM_SETTINGS_EDIT" d="Edit SSO Settings"}
{t c="TRANS_SSO_SYSTEM_SETTINGS_EDIT_WARNING" d="Here you can register your Parallels Plesk Billing in Sing Sign On system (SSO). But remember that when you turn off 'Register in SSO' all Global Accounts will be dropped from SSO as well."}

{include file="$tplDirectory/header.tpl"
	parentName=$smarty.const.TRANS_SYSTEM_SETTINGS
	childName=$smarty.const.TRANS_SSO_SYSTEM_SETTINGS
	grandchildName=$smarty.const.TRANS_SSO_SYSTEM_SETTINGS_EDIT
	sideNavMajor=$sideNavMajor
	sideNavMinor=$sideNavMinor}

{if $admin_sso_err}
<div class="msgError"><span class="title">{$smarty.const.TRANS_SSO_ADMIN_SETTINGS} {$smarty.const.TRANS_ERROR}:</span>
{$admin_sso_err}
</div>
{/if}
{if $client_sso_err}
<div class="msgError"><span class="title">{$smarty.const.TRANS_SSO_CLIENT_SETTINGS} {$smarty.const.TRANS_ERROR}:</span>
{$client_sso_err}
</div>
{/if}

<div class="msgWarning"><span class="title">{$smarty.const.TRANS_WARNING}:</span>
{$smarty.const.TRANS_SSO_SYSTEM_SETTINGS_EDIT_WARNING}
</div>

<form method="post" action="configs.php">
<input type="hidden" name="action" value="{getActionID action="EditSSOConfigResponse"}">
<input type="hidden" name="sid" value="{$sid}" />
<fieldset>
	<legend>{$smarty.const.TRANS_SSO_ADMIN_SETTINGS}</legend>
	<table width="100%" class="list">
	<tbody>
	<tr>
		<td class="title">{$smarty.const.TRANS_SSO__SP_REGISTERED}:</td>
		<td>
			<input type="checkbox" name="sso_settings[admin][sp_registered]" value="1"{if $admin.sp_registered} checked{/if}>
			&nbsp;
		{if $admin.sp_registered}
			{$admin.props.api_url}
			<input type="hidden" style="width: 200px;" name="sso_settings[admin][props][api_url]" value="{$admin.props.api_url}">
		{else}
			<input type="text" style="width: 200px;" name="sso_settings[admin][props][api_url]" value="{$admin.props.api_url}">
		{/if}
		</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_SSO__ENABLED}:</td>
		<td>
		{if $admin.sp_registered}
			<input type="checkbox" name="sso_settings[admin][sso_enabled]" value="1"{if $admin.sso_enabled} checked{/if}>
		{else}
			<input type="checkbox" name="sso_settings[admin][sso_enabled]" value="1"{if $admin.sso_enabled} checked{/if} disabled>
			<input type="hidden" {if $admin.sso_enabled} checked{/if}>
		{/if}
		</td>
	</tr>
	</tbody>
	</table>
</fieldset>

<fieldset>
	<legend>{$smarty.const.TRANS_SSO_CLIENT_SETTINGS}</legend>
	<table width="100%" class="list">
	<tbody>
	<tr>
		<td class="title">{$smarty.const.TRANS_SSO__SP_REGISTERED}:</td>
		<td>
			<input type="checkbox" name="sso_settings[client][sp_registered]" value="1"{if $client.sp_registered} checked{/if}>
			&nbsp;
		{if $client.sp_registered}
			{$client.props.api_url}
			<input type="hidden" style="width: 200px;" name="sso_settings[client][props][api_url]" value="{$client.props.api_url}">
		{else}
			<input type="text" style="width: 200px;" name="sso_settings[client][props][api_url]" value="{$client.props.api_url}">
		{/if}
		</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_SSO__ENABLED}:</td>
		<td>
		{if $client.sp_registered}
			<input type="checkbox" name="sso_settings[client][sso_enabled]" value="1"{if $client.sso_enabled} checked{/if}>
		{else}
			<input type="checkbox" name="sso_settings[client][sso_enabled]" value="1"{if $client.sso_enabled} checked{/if} disabled>
			<input type="hidden" {if $client.sso_enabled} checked{/if}>
		{/if}
		</td>
	</tr>
	</tbody>
	</table>
</fieldset>

<br />
	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
	<tr class="listButtons">
		<td><div>
<input class="submit" type="submit" value="{$smarty.const.TRANS_SUBMIT_CHANGES}" />
		</div></td>
	</tr>
	</table>
<br />

</form>

{include file="$tplDirectory/footer.tpl"}
