{* $Id: EditDbgPageloadsSettings.tpl 9488 2006-10-12 17:55:08Z mfountain $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}
{t c="TRANS_DEBUG_SETTINGS" d="Debug Settings"}
{t c="TRANS_DEBUG_LOG" d="Debug Log"}
{t c="TRANS_SETTINGS" d="Settings"}
{t c="TRANS_ENABLE_DEBUG_LOGGING_NOW" d="Enable Debug Logging Now"}
{t c="TRANS_DISABLE_DEBUG_LOGGING_NOW" d="Disable Debug Logging Now"}
{t c="TRANS_DEBUG_LOGGING_NOTICE_ON" d="<b>Warning:</b> DEBUG LOGGING IN NOW ENABLED! Every action performed by you or any user in the system is now being logged. This <u>WILL</u> impact your server's performance and you should disable debugging as soon as possible."}
{t c="TRANS_DEBUG_LOGGING_NOTICE_OFF" d="<b>Warning:</b> You should only enable debug logging on a case-by-case basis. <u>DO NOT</u> leave debug running all the time as it will impact your server's performance."}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_EVENTS"
	childName="TRANS_DEBUG_LOG"
	grandchildName="TRANS_SETTINGS"
	sideNavMajor="events"
	sideNavMinor="dbg"}

{if $smarty.request.saved}
{include
	file="$tplDirectory/widgets/showInvalidCustom.tpl"
	duration="4"
	message=$smarty.const.TRANS_SETTINGS_SAVED_SUCCESSFULLY}
	<br />
{/if}

<div class="box07" style="background-color:#EEEDE9;width:770px;">

<table width="100%" border="0" cellspacing="1" cellpadding="1" class="tabTight">

<tr>
	<td><div class="st01"><h1>{$smarty.const.TRANS_EDIT_DEBUG_SETTINGS}</h1></div></td>
</tr>
{if $debugToLog=="1"}
	<tr class="{cycle values="alt1,alt2"}">
		<td>
			<blockquote>
			<p style="color:red;">
			{$smarty.const.TRANS_DEBUG_LOGGING_NOTICE_ON}
			</p>
			</blockquote>
		</td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<td style="text-align:center;">
			<br />
			<form method="post" action="events.php">
			<input type="hidden" name="action" value="{getActionID action="EditDbgPageloadsSettingsResponse"}">
			<input type="hidden" name="debugToLog" value="0" />
			<input type="hidden" name="sid" value="{$sid}" />
			<input class="submit" style="background-color:blue;" type="submit" name="submit" value="{$smarty.const.TRANS_DISABLE_DEBUG_LOGGING_NOW}" />
			</form>
			<br />
		</td>
	</tr>
{else}
	<tr class="{cycle values="alt1,alt2"}">
		<td>
			<blockquote>
			<p style="color:red;">
			{$smarty.const.TRANS_DEBUG_LOGGING_NOTICE_OFF}
			</p>
			</blockquote>
		</td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<td style="text-align:center;">
			<br />
			<form method="post" action="events.php">
			<input type="hidden" name="action" value="{getActionID action="EditDbgPageloadsSettingsResponse"}">
			<input type="hidden" name="debugToLog" value="1" />
			<input type="hidden" name="sid" value="{$sid}" />
			<input class="submit" style="background-color:red;" type="submit" name="submit" value="{$smarty.const.TRANS_ENABLE_DEBUG_LOGGING_NOW}" />
			</form>
			<br />
		</td>
	</tr>
{/if}
</table>

</div> {* box07 *}

<br />

{include file="$tplDirectory/footer.tpl"}
