{* $Id: RemoveFAQ.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to confirm the removal of a FAQ. The form must post to faqs.php,
 * with the action ID for the RemoveFAQResponse action, so that the POST data can
 * be handled by the server. This template takes the $categorytypes smarty variable, used to display
 * the options for the type of the FAQ category.
 *}

{t c="TRANS_REMOVE_FAQ_MESG" d="Are you sure you want to remove this FAQ?"}

{include file="$tplDirectory/header.tpl" parentName="TRANS_MANAGE_HELPDESK" childName="TRANS_FAQS"
	grandchildName="TRANS_REMOVE" sideNavMajor="helpdesk" sideNavMinor="faqs"}

{include file="$tplDirectory/widgets/context/faq.tpl" faq=$faq}

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tbody>
<tr>
	<td colspan="5" align="center">
		{$smarty.const.TRANS_REMOVE_FAQ_MESG}
	</td>
</tr>
<tr>
	<td colspan="5" align="center">
		<form style="display: inline;" method="post" action="faqs.php">
			<input type="hidden" name="action" value="{getActionID action="RemoveFAQResponse"}" />
			<input type="hidden" name="sid" value="{$sid}" />
			<input type="hidden" name="faqID" value="{$faq.faqID}" />
			<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_YES}" />
		</form>
		<form style="display: inline;" method="get" action="faqs.php">
			<input type="hidden" name="action" value="{getActionID action="ShowFAQs"}" />
			<input type="hidden" name="sid" value="{$sid}" />
			<input type="hidden" name="faqID" value="{$faq.faqID}" />
			<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_NO}"><br />
		</form>
	</td>
</tr>
</tbody>
</table>

{include file="$tplDirectory/footer.tpl"}