{* $Id: footer.tpl 12971 2008-07-04 12:44:05Z agordienko $
 * --------------------------------------------------------------
 * This is the primary footer template for the Admin GUI of ModernBill. Note that this footerr.tpl
 * file will closed several HTML tags that were left open by the header.tpl file.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/footer.tpl"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_CLIENTS" d="Clients"}
{t c="TRANS_EVENTS" d="Events"}
{t c="TRANS_EXECUTION_TIME" d="Execution Time"}
{t c="TRANS_LAST_LOGGED_IN_FROM" d="Last Logged in From"}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_HELPDESK" d="Helpdesk"}
{t c="TRANS_MODULES" d="Modules"}
{t c="TRANS_PRODUCTS" d="Products"}
{t c="TRANS_SYSTEM" d="System"}
{t c="TRANS_REGISTERED_TO" d="Registered to"}
{t c="TRANS_LICENSE" d="License"}
{t c="TRANS_EXPIRES_ON" d="Expires on"}
{t c="TRANS_RENEWS_DATE" d="Renew Date"}
{t c="TRANS_MISCELLANEOUS_OPTIONS" d="Miscellaneous Options"}

{if $smarty.request.__print==1}
	{include
		file="$tplDirectory/footer.print.tpl"}
{else}

 				</div>{* close div block02 from header.tpl *}
			</div>{* close div block03 from header.tpl *}
		</div>{* close div style="width:1005px" from header.tpl *}
	</td>{* close td from header.tpl *}
</tr>{* close tr from header.tpl *}
</tbody>
<tbody class="on">
<tr>
	<td valign="bottom" class="bot">
		<div class="bot03"><img src="{$imageDirectory}/spacer.gif" width="1" height="10" alt="" title="" /></div>
		<div style="width:1000px">
			<div style="float: left; margin-left: 5px; margin-top: 4px;">
				{include file="$tplDirectory/widgets/showBookmarks.tpl"}
			</div>
			<div style="float: right; margin-right: 0px; margin-top: 4px;">
				{include file="$tplDirectory/widgets/showSearchBox.tpl" searchBoxID="bottomSearchQueryBox"}
			</div>
			<div class="bot01"><img src="{$imageDirectory}/spacer.gif" width="100" height="1" alt="" title="" /></div>
			<div class="foot01"><img src="{$imageDirectory}/logos/mbmini.gif" width="66" height="57" alt="" title="" /><img src="{$imageDirectory}/bg/04.gif" width="1" height="60" alt="" title="" style="margin:0px" /><img src="{$imageDirectory}/logos/enx.gif" width="66" height="57" alt="" title="" /></div>
			<div class="foot02">
				<a href="{getHREF page="clients.php" actionName="ShowClientStats"}" onmouseover="showSubNav('clients');">{$smarty.const.TRANS_CLIENTS}<br /><img src="{$imageDirectory}/spacer.gif" width="112" height="1" alt="" title="" /></a>
				<a href="{getHREF page="helpdesk.php" actionName="ShowHelpdesk"}" onmouseover="showSubNav('helpdesk');">{$smarty.const.TRANS_HELPDESK}<br /><img src="{$imageDirectory}/spacer.gif" width="112" height="1" alt="" title="" /></a>
				<a href="{getHREF page="invoices.php" actionName="ShowInvoices"}" onmouseover="showSubNav('finances');">{$smarty.const.TRANS_FINANCES}<br /><img src="{$imageDirectory}/spacer.gif" width="112" height="1" alt="" title="" /></a>
				{assign var="argsSystemQueueStatus" value="queue"|getStatusID:"new"}
				<a href="{getHREF page="events.php" actionName="ShowEvents" args="systemQueueStatus=$argsSystemQueueStatus"}" onmouseover="showSubNav('events');">{$smarty.const.TRANS_EVENTS}<br /><img src="{$imageDirectory}/spacer.gif" width="112" height="1" alt="" title="" /></a>
				<a href="{getHREF page="products.php" actionName="ShowProducts"}" onmouseover="showSubNav('products');">{$smarty.const.TRANS_PRODUCTS}<br /><img src="{$imageDirectory}/spacer.gif" width="113" height="1" alt="" title="" /></a>
				<a href="reports.php?sid={$sid}&action={getActionID action="ShowReports"}" onmouseover="showSubNav('reports');">{$smarty.const.TRANS_REPORTS}<br /><img src="{$imageDirectory}/spacer.gif" width="113" height="1" alt="" title="" /></a>
				<a href="{getHREF page="configs.php" actionName="ShowConfigs" args="parentConfigGroupID=0"}" onmouseover="showSubNav('system');">{$smarty.const.TRANS_SYSTEM}<br /><img src="{$imageDirectory}/spacer.gif" width="113" height="1" alt="" title="" /></a>
			</div>{* foot02 *}
			<div class="foot03"><img src="{$imageDirectory}/spacer.gif" width="100" height="1" alt="" title="" /></div>
			<div class="foot04" style="color:#666666">
                {$appParentName} {$appParentVersion} {if $appParentBuild > 0}Release Build {$appParentBuild}{else}Beta{/if} :: {$appCurrentName}:{$appCurrentVersion} ::
                {$smarty.const.TRANS_EXECUTION_TIME|capitalize:1}: {$executionTime} 
                <br />
                {$licenseType} ::
                {$smarty.const.TRANS_RENEWS_DATE}: {$licenseExp|getDate} {if $currentClientUsage} :: {$currentClientUsage}{/if}
		<br />
		{$smarty.const.TRANS_REGISTERED_TO}: {$licenseCompany} :: {$smarty.const.TRANS_LAST_LOGGED_IN_FROM}: {$loginlastIP}
            </div>
			<div class="ceonex" style="color:#666666">{strip}
                <a href="http://validator.w3.org/check?uri=referer">
                    <img src="{$imageDirectory}/valid_xhtml10s.png" alt="Valid XHTML 1.0" title="Valid XHTML 1.0" width="44" height="16" align="top" />
                </a>
                &nbsp;
                <strong>EvolutioNX Theme by</strong>
                &nbsp;
                <a href="http://www.ceonex.com/"><img src="{$imageDirectory}/logos/ceonexmini.gif" alt="" title="" width="10" height="10" align="top" /></a>
                &nbsp;
                <a href="http://www.ceonex.com/">Ceonex</a>
                <br />
                &copy; Copyright 1999-2008, <a href="http://www.parallels.com/">Parallels</a> All rights reserved
            {/strip}</div>
		</div>{* style="width:1000px" *}
	</td>
</tr>
</tbody>
</table>
<div id="calDiv" style="position: absolute; top: 300; left: 300; display: none; visibility: hidden;"></div>
{* $ees *}

<span id="overLibReplacementDiv" style="visibility: hidden; display: none; position: absolute; background-color: #fff; border: 1px outset #000;">
	<table border="0" cellpadding="1" cellspacing="1" class="overLibRepTab">
	<tr>
		<th id="overLibReplacementDivHandle" style="cursor: pointer; text-align: left;" valign="middle">
			<span style="float: right; cursor: pointer;" onclick="hideobjbyid('overLibReplacementDiv');">
				<img src="{$imageDirectory}/ico/remove.gif" width="13" height="13" border="0" alt="" />
			</span>
			<span id="overLibReplacementDivCaption"></span>
		</th>
	</tr>
	<tr>
		<td>
			<span id="overLibReplacementDivContentCell"></span>
		</td>
	</tr>
	</table>
</span>
<div style="display: none;" id="productActionMenuTemplate">
	<div onclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);"
	style="background-image: url({$imageDirectory}/ico/remove.gif); background-repeat: no-repeat; background-position: 97% 40%; padding-right: 13px;">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="products.php"
				actionName="EditProductOrderForms"
				args="productID=THEPRODUCTID"
				icoImage="../product_icons/orderform.gif"
				icoWidth="13"
				icoHeight="13"
				icoStyle=""
				altText="TRANS_ORDER_FORMS"
				titleText=""
				linkText="TRANS_ORDER_FORMS"
			}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="products.php"
				actionName="EditProductCycles"
				args="productID=THEPRODUCTID"
				icoImage="../product_icons/cycles.gif"
				icoWidth="13"
				icoHeight="13"
				icoStyle=""
				altText="TRANS_CYCLES"
				titleText=""
				linkText="TRANS_CYCLES"
			}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="products.php"
				actionName="ShowProductVariants"
				args="productID=THEPRODUCTID&productVariantActive=1"
				icoImage="../product_icons/pricing.gif"
				icoWidth="13"
				icoHeight="13"
				icoStyle=""
				altText="TRANS_PRICES"
				titleText=""
				linkText="TRANS_PRICES"
			}
	</div>
{*	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="products.php"
				actionName="EditUsagePricing"
				args="productID=THEPRODUCTID"
				icoImage="../product_icons/usage.gif"
				icoWidth="13"
				icoHeight="13"
				icoStyle=""
				altText="TRANS_USAGE_PRICING"
				titleText=""
				linkText="TRANS_USAGE_PRICING"
			}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="products.php"
				actionName="EditProductCoupons"
				args="productID=THEPRODUCTID"
				icoImage="../product_icons/coupon.gif"
				icoWidth="13"
				icoHeight="13"
				icoStyle=""
				altText="TRANS_COUPONS"
				titleText=""
				linkText="TRANS_COUPONS"
			}
	</div> *}
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="products.php"
				actionName="EditProductServerGroups"
				args="productID=THEPRODUCTID"
				icoImage="../product_icons/servergroups.gif"
				icoWidth="13"
				icoHeight="13"
				icoStyle=""
				altText="TRANS_SERVER_GROUPS"
				titleText=""
				linkText="TRANS_SERVER_GROUPS"
			}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="products.php"
				actionName="EditProductAttributes"
				args="productID=THEPRODUCTID"
				icoImage="../product_icons/attributes.gif"
				icoWidth="13"
				icoHeight="13"
				icoStyle=""
				altText="TRANS_ATTRIBUTES"
				titleText=""
				linkText="TRANS_ATTRIBUTES"
			}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="products.php"
				actionName="ShowProductAddons"
				args="productID=THEPRODUCTID"
				icoImage="../product_icons/addons.gif"
				icoWidth="13"
				icoHeight="13"
				icoStyle=""
				altText="TRANS_ADDONS"
				titleText=""
				linkText="TRANS_ADDONS"
			}
	</div>
{*	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="products.php"
				actionName="EditProductEmails"
				args="productID=THEPRODUCTID"
				icoImage="../product_icons/emails.gif"
				icoWidth="13"
				icoHeight="13"
				icoStyle=""
				altText="TRANS_EMAILS"
				titleText=""
				linkText="TRANS_EMAILS"
			}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="products.php"
				actionName="EditOneProductRelations"
				args="productID=THEPRODUCTID"
				icoImage="../product_icons/cycles.gif"
				icoWidth="13"
				icoHeight="13"
				icoStyle=""
				altText="TRANS_UPGRADE_DOWNGRADE"
				titleText=""
				linkText="TRANS_UPGRADE_DOWNGRADE"
			}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="products.php"
				actionName="EditProductNotifications"
				args="productID=THEPRODUCTID"
				icoImage="../product_icons/emails.gif"
				icoWidth="13"
				icoHeight="13"
				icoStyle=""
				altText="TRANS_NOTIFICATIONS"
				titleText=""
				linkText="TRANS_NOTIFICATIONS"
			}
	</div> *}
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="products.php"
				actionName="EditProductMiscellaneous"
				args="productID=THEPRODUCTID"
				icoImage="../product_icons/options.gif"
				icoWidth="13"
				icoHeight="13"
				icoStyle=""
				altText="TRANS_MISCELLANEOUS_OPTIONS"
				titleText=""
				linkText="TRANS_MISCELLANEOUS_OPTIONS"
			}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="products.php"
				actionName="CloneProductResponse"
				args="productID=THEPRODUCTID"
				icoImage="../product_icons/clone.gif"
				icoWidth="13"
				icoHeight="13"
				icoStyle=""
				altText="TRANS_PLUS_CLONE_PRODUCT"
				titleText=""
				linkText="TRANS_PLUS_CLONE_PRODUCT"
			}
	</div>
</div>
<div style="display: none;" id="packageActionMenuTemplate">
	<div onclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);"
	style="background-image: url({$imageDirectory}/ico/remove.gif); background-repeat: no-repeat; background-position: 97% 40%; padding-right: 13px;">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="packages.php"
				actionName="EditPackage"
				args="packageID=THEPACKAGEID"
				icoImage="view"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_EDIT_PACKAGE"
				titleText=""
				linkText="TRANS_EDIT_PACKAGE"
				noSpace="1"
			}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="packages.php"
			actionName="UpgradePackage"
			args="packageID=THEPACKAGEID"
			icoImage="upgrade.gif"
			icoWidth=""
			icoHeight=""
			icoStyle=""
			altText="TRANS_UPGRADE"
			titleText=""
			linkText="TRANS_UPGRADE"
			noSpace="1"
		}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="packages.php"
			actionName="DowngradePackage"
			args="packageID=THEPACKAGEID"
			icoImage="downgrade.gif"
			icoWidth=""
			icoHeight=""
			icoStyle=""
			altText="TRANS_DOWNGRADE"
			titleText=""
			linkText="TRANS_DOWNGRADE"
			noSpace="1"
		}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="packages.php"
			actionName="ShowPackageAttributes"
			args="packageID=THEPACKAGEID"
			icoImage="cube_molecule.gif"
			icoWidth=""
			icoHeight=""
			icoStyle=""
			altText="TRANS_ATTRIBUTES"
			titleText=""
			linkText="TRANS_ATTRIBUTES"
			noSpace="1"
		}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="packages.php"
			actionName="ShowPackageAddons"
			args="packageID=THEPACKAGEID"
			icoImage="cubes_other.gif"
			icoWidth=""
			icoHeight=""
			icoStyle=""
			altText="TRANS_ADDONS"
			titleText=""
			linkText="TRANS_ADDONS"
			noSpace="1"
		}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
		{strip}
		<a href="javascript:void(0);" onclick="return overlib('&lt;div style=\'white-space: nowrap\'&gt;
			&lt;form method=\'post\' action=\'packages.php\'&gt;
			&lt;input type=\'hidden\' name=\'action\' value=\'{getActionID action="ChangePackageClient"}\' /&gt;
			&lt;input type=\'hidden\' name=\'packageID\' value=\'THEPACKAGEID\' /&gt;
			&lt;input type=\'hidden\' name=\'sid\' value=\'{$sid}\' /&gt;
			{$smarty.const.TRANS_CLIENT_ID}:&nbsp;&lt;input type=\'text\' name=\'clientID\' value=\'\' onClick=\'javascript:this.form.editValue.focus();this.form.editValue.select();\' /&gt;
			&lt;input type=\'submit\' name=\'submit\' value=\'{$smarty.const.TRANS_TRANSFER}\' /&gt;
			&lt;/form&gt;&lt;/div&gt;',
			BGCLASS, 'popupBG',
			FGCLASS, 'popupFG',
			CAPTIONFONTCLASS, 'popupCaption',
			CENTER, STICKY,
			CAPTION, '{$smarty.const.TRANS_TRANSFER_PACKAGE}: {$packageID}', CLOSECLICK, CLOSETEXT, '&lt;img src={$imageDirectory}/ico/remove.gif width=13 height=13 border=0 /&gt;');" onmouseout="return nd();">
			<img src="{$imageDirectory}/ico/arrow_right_blue.gif" alt="{$smarty.const.TRANS_MOVE}" title="{$smarty.const.TRANS_MOVE}" />
		</a>
		&nbsp;
		<a href="javascript:void(0);" onclick="return overlib('&lt;div style=\'white-space: nowrap\'&gt;
			&lt;form method=\'post\' action=\'packages.php\'&gt;
			&lt;input type=\'hidden\' name=\'action\' value=\'{getActionID action="ChangePackageClient"}\' /&gt;
			&lt;input type=\'hidden\' name=\'packageID\' value=\'THEPACKAGEID\' /&gt;
			&lt;input type=\'hidden\' name=\'sid\' value=\'{$sid}\' /&gt;
			{$smarty.const.TRANS_CLIENT_ID}:&nbsp;&lt;input type=\'text\' name=\'clientID\' value=\'\' onClick=\'javascript:this.form.editValue.focus();this.form.editValue.select();\' /&gt;
			&lt;input type=\'submit\' name=\'submit\' value=\'{$smarty.const.TRANS_TRANSFER}\' /&gt;
			&lt;/form&gt;&lt;/div&gt;',
			BGCLASS, 'popupBG',
			FGCLASS, 'popupFG',
			CAPTIONFONTCLASS, 'popupCaption',
			CENTER, STICKY,
			CAPTION, '{$smarty.const.TRANS_TRANSFER_PACKAGE}: THEPACKAGEID', CLOSECLICK, CLOSETEXT, '&lt;img src={$imageDirectory}/ico/remove.gif width=13 height=13 border=0 /&gt;');" onmouseout="return nd();">
			{$smarty.const.TRANS_TRANSFER_PACKAGE}
		</a>
		{/strip}
	</div>
</div>
<div style="display: none;" id="clientActionMenuTemplate">
	<div onclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);"
		style="background-image: url({$imageDirectory}/ico/remove.gif); background-repeat: no-repeat; background-position: 97% 40%; padding-right: 13px;">
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="clients.php"
			actionName="EditClient"
			args="clientID=THECLIENTID"
			icoImage="client_edit.gif"
			icoWidth=""
			icoHeight=""
			icoStyle=""
			altText="TRANS_EDIT_DETAILS"
			titleText=""
			linkText="TRANS_EDIT_DETAILS"}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="ForwardToClientInterface"
				args="clientID=THECLIENTID&clientContactID=THECLIENTCONTACTID"
				icoImage="id_card.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_LOGIN_AS_PRIMARY_CONTACT"
				titleText=""
				linkText="TRANS_LOGIN_AS_PRIMARY_CONTACT"
				target="_BLANK"}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="EditClientContact"
				args="clientContactID=THECLIENTCONTACTID"
				icoImage="contact_edit.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_EDIT_PRIMARY_CONTACT"
				titleText=""
				linkText="TRANS_EDIT_PRIMARY_CONTACT"}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="AddClientContact"
				args="clientID=THECLIENTID"
				icoImage="contact_add.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_ADD_NEW_CONTACT"
				titleText=""
				linkText="TRANS_ADD_NEW_CONTACT"}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);"
		style="border-bottom: 1px solid #888;">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="ShowClientContacts"
				args="clientID=THECLIENTID"
				icoImage="contacts.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_SHOW_ALL_CONTACTS"
				titleText=""
				linkText="TRANS_SHOW_ALL_CONTACTS"}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="invoices.php"
				actionName="ShowInvoices"
				args="clientID=THECLIENTID"
				icoImage="invoice.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_VIEW_ALL_INVOICES"
				titleText=""
				linkText="TRANS_VIEW_ALL_INVOICES"}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="invoices.php"
				actionName="ShowGenerateInvoiceMenu"
				args="clientID=THECLIENTID"
				icoImage="invoice_generate.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_GENERATE_INVOICES"
				titleText=""
				linkText="TRANS_GENERATE_INVOICES"}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);"
		style="border-bottom: 1px solid #888;">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="TakeClientPayment"
				args="clientID=THECLIENTID"
				icoImage="creditcards.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_TAKE_CLIENT_PAYMENT"
				titleText=""
				linkText="TRANS_TAKE_CLIENT_PAYMENT"}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="ShowBillingAccounts"
				args="clientID=THECLIENTID"
				icoImage="creditcards.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_SHOW_ALL_BILLING_ACCOUNTS"
				titleText=""
				linkText="TRANS_SHOW_ALL_BILLING_ACCOUNTS"}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);"
		style="border-bottom: 1px solid #888;">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="AddBillingAccount"
				args="clientID=THECLIENTID&clientContactID=THECLIENTCONTACTID"
				icoImage="creditcards_add.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_ADD_NEW_TO_PRIMARY"
				titleText=""
				linkText="TRANS_ADD_NEW_TO_PRIMARY"}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="packages.php"
				actionName="ShowPackages"
				args="clientID=THECLIENTID"
				icoImage="package_view.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_SHOW_ALL_PACKAGES"
				titleText=""
				linkText="TRANS_SHOW_ALL_PACKAGES"}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);"
		style="border-bottom: 1px solid #888;">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="domains.php"
				actionName="ShowDomains"
				args="clientID=THECLIENTID"
				icoImage="earth_view.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_SHOW_ALL_DOMAINS"
				titleText=""
				linkText="TRANS_SHOW_ALL_DOMAINS"}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="ManageClientNotes"
				args="clientID=THECLIENTID"
				icoImage="note_view.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_READ_ADD_NOTES"
				titleText=""
				linkText="TRANS_READ_ADD_NOTES"}
	</div>
	<div xonclick="setTimeout('hideobjbyid(\'THEOBJECTNAME\');', 100);">
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="EditBasicClientAttributes"
				args="clientID=THECLIENTID"
				icoImage="attributes.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_EDIT_CLIENT_ATTRIBUTES"
				titleText=""
				linkText="TRANS_EDIT_CLIENT_ATTRIBUTES"}
	</div>
</div>
<script language="javascript">
<!--
	{literal}new Draggable('overLibReplacementDiv',{handle:'overLibReplacementDivHandle'});{/literal}
// -->
</script>
</body>
</html>

{/if} {* END IF FOR PRINT=1 *}
