{* $Id: EditPackageAddon.tpl 7529 2006-06-16 19:10:08Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PACKAGES"
	childName="TRANS_MANAGE_PACKAGE_ADDONS"
	grandchildName="TRANS_ADD_PACKAGE_ADDON"
	sideNavMajor="clients"
	sideNavMinor="packages"}

{include file="$tplDirectory/widgets/context/package.tpl" package=$packageInfo}

<br />
<h6>{$smarty.const.TRANS_ADD_ADDON}</h6>
<br />

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="list">

	{assign var="firsttime" value="1"}
	{foreach key="id" item="addons" from=$products}
		<form method="post" action="packages.php">
		<input type="hidden" name="sid" value="{$sid}">
		<input type="hidden" name="action" value="{getActionID action="EditPackageAddonResponse"}">
		<input type="hidden" name="packageID" value="{$packageInfo.packageID}">
		<tr class="alt1">
			<td class="td05" colspan="2"><h6>{assign var="group" value=$addonGroups.$id}{$group.productAddonGroupName}</h6></td>
		</tr>
		{assign var="firsttime" value=0}
		{if $group.productAddonGroupInputType=="" || $group.productAddonGroupInputType=="r" || $group.productAddonGroupInputType=="s"}
			{section name="i" loop=$addons}
				{assign var="pid" value=$addons[i].productID}
				<tr class="alt2">
					<td class="td05"><input type="radio"{if $addons[i].selected} checked="checked"{/if} name="addons[]" value="{$pid}" />&nbsp; - {$addons[i].productName|constant}
					{if $addons[i].selected}<input type="hidden" name="packageAddonIDs[]" value="{$addons[i].packageAddonID}" />{/if}</td>
					<td class="td05">
						<table>
							<tr>
								<td><strong>{$smarty.const.TRANS_PRICE}: </strong></td>
								<td><input type="text" name="prices[{$pid}][general]" value="{$addons[i].prices.general|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
								<td><strong>{$smarty.const.TRANS_COUPON_PRICE}: </strong></td>
								<td><input type="text" name="prices[{$pid}][coupon]" value="{$addons[i].prices.coupon|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
							</tr>
							<tr>
								<td><strong>{$smarty.const.TRANS_PLUS_SETUP}: </strong></td>
								<td><input type="text" name="prices[{$pid}][setup]" value="{$addons[i].prices.setup|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
								<td><strong>{$smarty.const.TRANS_COUPON_NUM_CYCLES}: </strong></td>
								<td><input type="text" name="prices[{$pid}][couponcycles]" value="{$addons[i].prices.couponcycles}" /></td>
							</tr>
						</table>
					</td>
				</tr>
			{/section}
			<tr class="alt2">
				<td class="td05" colspan="2"><input type="radio" name="addons[]" value="0" /> - {$smarty.const.TRANS_NONE}</td>
			</tr>
		{elseif $group.productAddonGroupInputType=="c"}
			{section name="i" loop=$addons}
				{assign var="pid" value=$addons[i].productID}
				<tr class="alt2">
					<td class="td05"><input type="checkbox"{if $addons[i].selected} checked="checked"{/if} name="addons[]" value="{$pid}" />&nbsp; - {$addons[i].productName|constant}
							{if $addons[i].selected}<input type="hidden" name="packageAddonIDs[]" value="{$addons[i].packageAddonID}" />{/if}</td>
					<td class="td05">
						<table>
							<tr>
								<td><strong>{$smarty.const.TRANS_PRICE}: </strong></td>
								<td><input type="text" name="prices[{$pid}][general]" value="{$addons[i].prices.general|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
								<td><strong>{$smarty.const.TRANS_COUPON_PRICE}: </strong></td>
								<td><input type="text" name="prices[{$pid}][coupon]" value="{$addons[i].prices.coupon|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
							</tr>
							<tr>
								<td><strong>{$smarty.const.TRANS_PLUS_SETUP}: </strong></td>
								<td><input type="text" name="prices[{$pid}][setup]" value="{$addons[i].prices.setup|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
								<td><strong>{$smarty.const.TRANS_COUPON_NUM_CYCLES}: </strong></td>
								<td><input type="text" name="prices[{$pid}][couponcycles]" value="{$addons[i].prices.couponcycles}" /></td>
							</tr>
						</table>
					</td>
				</tr>
			{/section}

		{/if}
			<tr>
				<td class="td05" colspan="2"><input class="submit" type="submit" value="{$smarty.const.TRANS_UPDATE}"></td>
			</tr>
			<tr>
				<td colspan="2"><br /> </td>
			</tr>
		</form>
	{foreachelse}
		<tr class="alt2">
			<td class="td05">{$smarty.const.TRANS_NO_ADDONS}</td>
		</tr>
	{/foreach}

</table>




{include file="$tplDirectory/footer.tpl"}



