{* $Id: EditCoupon.tpl 13022 2008-07-17 21:26:35Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to add a new coupon.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_COUPONS" d="Coupons"}
{t c="TRANS_COUPON" d="Coupon"}

{t c="TRANS_COUPON_ID" d="Coupon ID"}
{t c="TRANS_COUPON_CODE" d="Coupon Code"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_DISCOUNT" d="Discount"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_START_DATE" d="Start Date"}
{t c="TRANS_END_DATE" d="End Date"}
{t c="TRANS_NUM_CYCLES" d="Number of cycles"}
{t c="TRANS_COUNT" d="Count"}
{t c="TRANS_RESET" d="Reset"}
{t c="TRANS_MAX_COUNT" d="Max Count"}
{t c="TRANS_NEW_SIGNUPS" d="New Signups"}
{t c="TRANS_ALLOW_ONLY" d="Allow Only"}

{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_EDIT_COUPON" d="Edit Coupon"}

 {include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_COUPONS"
	grandchildName="TRANS_EDIT"
	sideNavMajor="products"
	sideNavMinor="coupons"}


{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/context/coupon.tpl" coupon=$coupon}

<form method="post" action="products.php" onsubmit="XKselectAllOptionsInMultiSelects(this);">
<input type="hidden" name="action" value="{getActionID action="EditCouponResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="couponID" value="{$formValues.couponID}" />

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tbody>
<tr>
	<th scope="col" colspan="2">{$smarty.const.TRANS_COUPON}</th>
</tr>
<tr class="{cycle values="alt1,alt2"}">
	<th class="nowrap" scope="row"><label for="couponID">{$smarty.const.TRANS_COUPON_ID}</label></th>
	<td width="100%">{$formValues.couponID}</td>
</tr>
<tr class="{if $invalid.couponCode}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="couponCode">{$smarty.const.TRANS_COUPON_CODE}</label></th>
	<td width="100%"><input size="32" maxlength="255" type="text" id="couponCode" name="couponCode" value="{$formValues.couponCode}" /> {$invalid.couponCode}</td>
</tr>
<tr class="{if $invalid.couponType}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="couponType">{$smarty.const.TRANS_TYPE}</label></th>
	<td width="100%"><select id="couponType" name="couponType"> {html_options options=$couponTypes selected=$formValues.couponType} </select> {$invalid.couponType}</td>
</tr>
<tr class="{if $invalid.couponDiscount}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="couponDiscount">{$smarty.const.TRANS_DISCOUNT}</label></th>
	<td width="100%"><input size="32" maxlength="255" type="text" id="couponDiscount" name="couponDiscount" value="{$formValues.couponDiscount}" /> {$invalid.couponDiscount}</td>
</tr>
<tr class="{if $invalid.couponComments}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="couponComments">{$smarty.const.TRANS_COMMENTS}</label></th>
	<td width="100%"><textarea id="couponComments" name="couponComments" rows="10" cols="35">{$formValues.couponComments}</textarea> {if $invalid.couponComment}<br />{$invalid.couponComments}{/if}</td>
</tr>
<tr class="{if $invalid.couponActive}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="couponActive">{$smarty.const.TRANS_ACTIVE}</label></th>
	<td width="100%">
		<!-- The hidden input is to make sure 0 is set if not checked, which is overridden if checked. PHP uses the last arg sent. -->
		<input type="hidden" name="couponActive" value="0" />
		<input type="checkbox" id="couponActive" name="couponActive" value="1" {if $formValues.couponActive}checked="checked" {/if}/> <label for="couponActive">{$smarty.const.TRANS_ACTIVE}</label>
 		{$invalid.couponActive}
	</td>
</tr>
<tr class="{if $invalid.couponDateStarted}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="couponDateStarted">{$smarty.const.TRANS_START_DATE}</label></th>
	<td width="100%">
		{include file="$tplDirectory/widgets/dateSelector.tpl" param="couponDateStarted"}
	</td>
</tr>
<tr class="{if $invalid.couponDateEnded}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="couponDateEnded">{$smarty.const.TRANS_END_DATE}</label></th>
	<td width="100%">
		{include file="$tplDirectory/widgets/dateSelector.tpl" param="couponDateEnded" optional="yes"}
	</td>
</tr>
<tr class="{if $invalid.couponCount}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="couponCount">{$smarty.const.TRANS_COUNT}</label></th>
	<td width="100%">
		{$formValues.couponCount}
		<input type="checkbox" id="couponCount" name="couponCount" value="0" /> <label for="couponCount">{$smarty.const.TRANS_RESET}</label>
 		{$invalid.couponCount}
	</td>
</tr>
<tr class="{if $invalid.couponNumCycles}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="couponNumCycles">{$smarty.const.TRANS_NUM_CYCLES}</label></th>
	<td width="100%"><input size="32" maxlength="255" type="text" id="couponNumCycles" name="couponNumCycles" value="{$formValues.couponNumCycles}" /> {$invalid.couponNumCycles}</td>
</tr>
<tr class="{if $invalid.couponMaxCount}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="couponMaxCount">{$smarty.const.TRANS_MAX_COUNT}</label></th>
	<td width="100%"><input size="32" maxlength="255" type="text" id="couponMaxCount" name="couponMaxCount" value="{$formValues.couponMaxCount}" /> {$invalid.couponMaxCount}</td>
</tr>
<tr class="{if $invalid.couponNewOnly}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="couponNewOnly">{$smarty.const.TRANS_NEW_SIGNUPS}</label></th>
	<td width="100%">
		<!-- The hidden input is to make sure 0 is set if not checked, which is overridden if checked. PHP uses the last arg sent. -->
		<input type="hidden" name="couponNewOnly" value="0">
		<input type="checkbox" id="couponNewOnly" name="couponNewOnly" value="1" {if $formValues.couponNewOnly}checked="checked" {/if}/> <label for="couponNewOnly">{$smarty.const.TRANS_ALLOW_ONLY}</label>
 		{$invalid.couponNewOnly}
	</td>
</tr>

<tr class="{cycle values="alt1,alt2"}">
	<th class="nowrap" scope="row"><label for="couponApplyNumber">{$smarty.const.TRANS_APPLY_ONCE_PER_ORDER}</label></th>
	<td width="100%">
		<input type="checkbox" id="couponApplyNumber" name="couponApplyNumber" value="1" {if $formValues.couponApplyNumber}checked="checked" {/if}/> 
	</td>
</tr>

<tr class="{cycle values="alt1,alt2"}">
	<th scope="row">{$smarty.const.TRANS_ORDER_FORMS}</th>
	<td>{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="orderFormIDs"
			comboOptionsLeft=$selectedOrderForms

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableOrderFormIDs"
			comboOptionsRight=$selectableOrderForms
			formName=""
			comboWidth="270"
			submitName="suppress"}
	</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
	<th scope="row">{$smarty.const.TRANS_PRODUCTS}</th>
	<td>{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="productIDs"
			comboOptionsLeft=$selectedProducts

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableProductIDs"
			comboOptionsRight=$selectableProducts
			formName=""
			comboWidth="270"
			submitName="suppress"}
	</td>
</tr>

<tr>
	<td colspan="2">
		<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_EDIT_COUPON}" />
		<input class="reset" type="reset" value="{$smarty.const.TRANS_RESET}" />
	</td>
</tr>
</tbody>
</table>
</form>

{include file="$tplDirectory/footer.tpl"}
