{* $Id: EditProduct.tpl 7627 2006-06-19 21:48:58Z mgarrett $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{t c="TRANS_EDIT_PRODUCT" d="Edit Product"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_PRODUCTID" d="Product ID"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_PRODUCTS" d="Show Products"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_UNDEFINED" d="Undefined"}
{t c="TRANS_REGULAR" d="Regular"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_CERT" d="Cert"}
{t c="TRANS_EDIT_PRODUCT" d="Edit Product"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DISPLAY_ORDER" d="Display Order"}
{t c="TRANS_STOP_NUM_CYCLES" d="Cycles to Bill For"}
{t c="TRANS_PRORATABLE" d="Proratable"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{t c="TRANS_SIGNUP_EMAIL" d="Signup Email"}
{t c="TRANS_WELCOME_EMAIL" d="Welcome Email"}
{t c="TRANS_CHILDREN" d="Children"}
{t c="TRANS_ORDER_FORMS" d="Order Forms"}
{t c="TRANS_SERVER_GROUPS" d="Server Groups"}
{t c="TRANS_CYCLES" d="Cycles"}


{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_EDIT_PRODUCT"
	sideNavMajor="products"
	sideNavMinor="products"}
	
{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/context/product.tpl" product=$product types=$types}

<form method="post" name="EditProduct" action="products.php">
<input type="hidden" name="action" value="{getActionID action="EditProductResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tbody>
<tr class="{cycle values="alt1,alt2"}">
	<th class="nowrap" scope="row"><label for="productID">{$smarty.const.TRANS_PRODUCTID}</label></th>
	<td width="100%">{$product.productID}</td>
</tr>
<tr class="{if $invalid.productName}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="productName">{$smarty.const.TRANS_NAME}</label></th>
	<td width="100%"><input size="100" maxlength="100" type="text" type="text" id="productName" name="productName" value="{$formValues.productName}" />  {$invalid.productName}</td>
</tr>
<tr class="{if $invalid.productType}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="productType">{$smarty.const.TRANS_TYPE}</label></th>
	<td width="100%"><select id="productType" id="productType" name="productType">{html_options options=$types selected=$formValues.productType}</select>  {$invalid.productType}</td>
</tr>
<tr class="{if $invalid.productComments}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="productComments">{$smarty.const.TRANS_COMMENTS}</label></th>
	<td width="100%"><textarea cols="80" rows="4" id="productComments" name="productComments">{$formValues.productComments}</textarea> {$invalid.productComments}</td>
</tr>
<tr class="{if $invalid.productActive}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="productActive">{$smarty.const.TRANS_ACTIVE}</label></th>
	<td width="100%">
		<!-- The hidden input is to make sure 0 is set if not checked, which is overridden if checked. PHP uses the last arg sent. -->
		<input type="hidden" name="productActive" value="0">
		<input type="checkbox" id="productActive" name="productActive" value="1" {if $formValues.productActive}checked="checked" {/if}/> <label for="productActive">{$smarty.const.TRANS_ACTIVE}</label>
 		{$invalid.productActive}
	</td>
</tr>
<tr class="{if $invalid.productProratable}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="productActive">{$smarty.const.TRANS_PRORATABLE}</label></th>
	<td width="100%">
		<!-- The hidden input is to make sure 0 is set if not checked, which is overridden if checked. PHP uses the last arg sent. -->
		<input type="hidden" name="productProratable" value="0">
		<input type="checkbox" id="productProratable" name="productProratable" value="1" {if $formValues.productProratable}checked="checked" {/if}/> <label for="productProratable">{$smarty.const.TRANS_PRORATABLE}</label>
 		{$invalid.productProratable}
	</td>
</tr>
<tr class="{if $invalid.productStopNumCycles}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="productStopNumCycles">{$smarty.const.TRANS_STOP_NUM_CYCLES}</label></th>
	<td width="100%"><input size="10" maxlength="10" type="text" type="text" id="productStopNumCycles" name="productStopNumCycles" value="{$formValues.productStopNumCycles}" />  {$invalid.productStopNumCycles}</td>
</tr>
<!--
<tr class="{if $invalid.signupEmailActionGroup}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="signupEmailActionGroup">{$smarty.const.TRANS_SIGNUP_EMAIL}</label></th>
	<td width="100%"><select id="signupEmailActionGroup" name="signupEmailActionGroup">{html_options options=$signupEmailActionGroups selected=$formValues.signupEmailActionGroup}</select>  {$invalid.signupEmailActionGroup}</td>
</tr>
<tr class="{if $invalid.welcomeEmailActionGroup}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="welcomeEmailActionGroup">{$smarty.const.TRANS_WELCOME_EMAIL}</label></th>
	<td width="100%"><select id="welcomeEmailActionGroup" name="welcomeEmailActionGroup">{html_options options=$welcomeEmailActionGroups selected=$formValues.welcomeEmailActionGroup}</select>  {$invalid.welcomeEmailActionGroup}</td>
</tr>
<tr class="{if $invalid.productChildren}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="productChildren">{$smarty.const.TRANS_CHILDREN}</label></th>
	<td width="100%">
		{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="productChildren"
			comboOptionsLeft=$selectedChildren

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableProductChildren"
			comboOptionsRight=$selectableChildren
			formName="EditProduct"
			submitName="suppress"
		}
		{$invalid.productChildren}
	</td>
</tr>
<tr class="{if $invalid.orderForms}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="orderForms">{$smarty.const.TRANS_ORDER_FORMS}</label></th>
	<td width="100%">
		{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="orderForms"
			comboOptionsLeft=$selectedOrderForms

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableOrderForms"
			comboOptionsRight=$selectableOrderForms
			formName="EditProduct"
			submitName="suppress"
		}
		{$invalid.orderForms}
	</td>
</tr>
<tr class="{if $invalid.serverGroups}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="serverGroups">{$smarty.const.TRANS_SERVER_GROUPS}</label></th>
	<td width="100%">
		{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="serverGroups"
			comboOptionsLeft=$selectedServerGroups

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableServerGroups"
			comboOptionsRight=$selectableServerGroups
			formName="EditProduct"
			submitName="suppress"
		}
		{$invalid.serverGroups}
	</td>
</tr>
<tr class="{if $invalid.cycles}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="cycles">{$smarty.const.TRANS_CYCLES}</label></th>
	<td width="100%">
		{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="cycles"
			comboOptionsLeft=$selectedCycles

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableCycles"
			comboOptionsRight=$selectableCycles
			formName="EditProduct"
			submitName="suppress"
		}
		{$invalid.cycles}
	</td>
</tr>
-->
</tbody>
</table>

<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_EDIT_PRODUCT}" onclick="selectAllOptions(document.EditProduct.elements['productChildren[]']);selectAllOptions(document.EditProduct.elements['orderForms[]']);selectAllOptions(document.EditProduct.elements['serverGroups[]']);selectAllOptions(document.EditProduct.elements['cycles[]']);" />
</form>

{include file="$tplDirectory/footer.tpl"}