{* $Id: EditIPLog.tpl 7616 2006-06-19 19:39:12Z bsmith $
 * --------------------------------------------------------------
 * This template displays a list of servers.
 *
 * Smarty Variables:
 *	$ip (array of IPs that match criteria)
 *  $panels (array of panels with their config_group_id)
 *
 *}

{t c="TRANS_EDIT_IPLOG" d="Edit IP Log"}
{t c="TRANS_IP_RANGE" d="IP Range"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SYSTEM"
	childName="TRANS_EDIT_IPLOG"

	sideNavMajor="system"}

<form method="post" action="servers.php">
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="ip" value="{$ipLog.ip}" />
<input type="hidden" name="action" value="{getActionID action="EditIPLogResponse"}" />

<table border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_EDIT_IPLOG" headerClass="firstTD" addEmptyTD="1"}
</tr>
</thead>

<tbody>
<tr class="{cycle values="alt1,alt2"}">
	<td>{$smarty.const.TRANS_IP_RANGE}:</td>
	<td>{$ipLog.ip}</td>
</tr>

<!--
<tr class="{cycle values="alt1,alt2"}">
	<td>externalID:</td>
	<td><input type="text" name="externalID" value="{$ip.externalID}" /></td>
</tr>
//-->

<tr class="{cycle values="alt1,alt2"}">
	<td>{$smarty.const.TRANS_DOMAIN_SERVER}:</td>
	<td>
		<select id="configGroupID" name="configGroupID">
		{html_options options=$panels selected=$ipLog.configGroupID}
		</select>
	</td>
</tr>
</tbody>
</table>

<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SUBMIT}" />
</form>

{include file="$tplDirectory/footer.tpl"}