{* $Id: sideMenuMajor_clients.tpl 12329 2007-12-07 22:11:44Z kbailey $
 * --------------------------------------------------------------
 * This template displays the side navigation when the client's menu is selected.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/admin/header.tpl"}
 *
 * Author: Kris Bailey
 *}
{t c="TRANS_SHOW_ACTIVE" d="Show Active"}
{t c="TRANS_SHOW_INACTIVE" d="Show Inactive"}
{t c="TRANS_SHOW" d="Show"}

<div id="majorNavDiv_clients" {if $sideNavMajor!="clients"} style="display: none;"{/if}>

{* system side menu *}
<div class="lbox01">
	<h1>{$smarty.const.TRANS_CLIENTS}</h1>
	<div class="lbox01b">
		<div class="menu">
			<ul>
				<li><a href="{getHREF page="clients.php" actionName="ShowClients" args="clientActive=1"}">{$smarty.const.TRANS_CLIENTS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="clients.php" actionName="ShowClientStats"}"><img src="{$imageDirectory}/ico/line_chart.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_QUICK_STATS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="clients.php" actionName="ShowNewOrders"}"><img src="{$imageDirectory}/ico/client_new.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_NEW_CLIENTS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="clients.php" actionName="ShowClients" args="clientActive=1"}"><img src="{$imageDirectory}/ico/clients.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_LIVE_CLIENTS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="clients.php" actionName="ShowClients" args="clientActive=0"}"><img src="{$imageDirectory}/ico/clients_archived.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_ARCHIVED_CLIENTS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="clients.php" actionName="AddClient"}"><img src="{$imageDirectory}/ico/client_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_NEW_CLIENT}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="clients.php" actionName="ShowClients" args="clientActive=1"}"><span class="drop"><span><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" style="margin:0px;" /> {$smarty.const.TRANS_FILTER_BY}:</span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								{assign var="clientStatuses" value="client"|getStatuses}
								{foreach item="statusName" key="statusID" from=$clientStatuses}
									<li><a href="{getHREF page="clients.php" actionName="ShowClients" args="clientActive=1&clientStatus=$statusID"}">&nbsp;{$statusName}</a></li>
								{/foreach}
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="packages.php" actionName="ShowPackages"}">{$smarty.const.TRANS_PACKAGES}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="packages.php" actionName="ShowPackages"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_ALL}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						{assign var="packageStatuses" value="package"|getStatuses}
						{foreach item="statusName" key="statusID" from=$packageStatuses}
							<li><a href="{getHREF page="packages.php" actionName="ShowPackages" args="packageStatus=$statusID"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW}: {$statusName}</a></li>
						{/foreach}
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="domains.php" actionName="ShowDomains"}">{$smarty.const.TRANS_DOMAINS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="domains.php" actionName="ShowDomains"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_ALL}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="domains.php" actionName="ShowDomains" args="domainStatus=1"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_ACTIVE}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="domains.php" actionName="ShowDomains" args="domainStatus=0"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_INACTIVE}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="certs.php" actionName="ShowCerts"}">{$smarty.const.TRANS_SSLCERTS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="certs.php" actionName="ShowCerts"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_ALL}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="certs.php" actionName="ShowCerts" args="certStatus=1"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_ACTIVE}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="certs.php" actionName="ShowCerts" args="certStatus=0"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_INACTIVE}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="clients.php" actionName="ShowAttributeGroups"}">{$smarty.const.TRANS_CLIENT_GROUPS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="clients.php" actionName="AddAttributeGroup"}"><img src="{$imageDirectory}/ico/groups_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_NEW_CLIENT_GROUPS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="clients.php" actionName="ShowAttributeGroups"}"><img src="{$imageDirectory}/ico/groups_show.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_CLIENT_GROUPS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="clients.php" actionName="ShowGroupAttributes"}"><img src="{$imageDirectory}/ico/groups_attributes.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MANAGE_GROUP_ATTRIBUTES}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
			</ul>
		</div>
		<div class="lbox01c">
		</div>
	</div>{* lbox01b *}
</div>{* lbox01 *}

</div>