{* $Id: sideMenuMajor_products.tpl 12329 2007-12-07 22:11:44Z kbailey $
 * --------------------------------------------------------------
 * This template widget displays the side navigation when the products's menu is selected.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/menus/sideMenuMajor_products.tpl"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_WEBSITE_WIDGETS" d="Website Widgets"}
{t c="TRANS_PRODUCTS" d="Products"}
{t c="TRANS_VARIANTS" d="Variants"}
{t c="TRANS_PRICING" d="Pricing"}
{t c="TRANS_PPC" d="PPC"}
{t c="TRANS_CALENDAR" d="Calendar"}
{t c="TRANS_ADDONS" d="Add-ons"}
{t c="TRANS_TLDS" d="TLDs"}
{t c="TRANS_COUPONS" d="Coupons"}
{t c="TRANS_TIME_CYCLES" d="Time Cycles"}
{t c="TRANS_EXPAND_ALL" d="Expand All"}
{t c="TRANS_PRODUCT_RELATIONS" d="Product Relations"}
{t c="TRANS_CYCLE_DISCOUNTS" d="Cycle Discounts"}
{t c="TRANS_PRODUCT_GROUPS" d="Product Groups"}
{t c="TRANS_VENDORS" d="Vendors"}

<div id="majorNavDiv_products" {if $sideNavMajor!="products"} style="display: none;"{/if}>

{* system side menu *}
<div class="lbox01">
	<h1>{$smarty.const.TRANS_PRODUCTS}</h1>
	<div class="lbox01b">
		<div class="menu">
			<ul>
				<li><a href="{getHREF page="products.php" actionName="ShowProducts"}">{$smarty.const.TRANS_PRODUCTS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="products.php" actionName="ShowProducts"}"><span class="drop"><span><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_PRODUCTS} </span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								{assign var="productTypes" value="products"|getTypes}
								{foreach item="typeName" key="typeID" from=$productTypes}
									<li><a href="{getHREF page="products.php" actionName="ShowProducts" args="productType=$typeID"}">&nbsp;{$typeName}</a></li>
								{/foreach}
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="{getHREF page="products.php" actionName="AddProductResponse" args="productType=1"}"><span class="drop"><span><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" style="margin:0px;" /> {$smarty.const.TRANS_CREATE_NEW_PRODUCT} </span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								{assign var="productTypes" value="products"|getTypes}
								{foreach item="typeName" key="typeID" from=$productTypes}
									<li><a href="{getHREF page="products.php" actionName="AddProductResponse" args="productType=$typeID"}">&nbsp;{$typeName}</a></li>
								{/foreach}
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="products.php" actionName="ShowTLDs"}">{$smarty.const.TRANS_TLDS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="products.php" actionName="ShowTLDs"}"><img src="{$imageDirectory}/ico/view.gif" width="16" height="16" alt="{$smarty.const.TRANS_SHOW_TLDS}" title="" /> {$smarty.const.TRANS_SHOW_TLDS} <!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="{getHREF page="products.php" actionName="AddTLD"}"><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_TLD} <!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="websitewidgets.php" actionName="ShowWebsiteWidgets"}">{$smarty.const.TRANS_WEBSITE_WIDGETS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="websitewidgets.php" actionName="ShowWebsiteWidgets"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_WEBSITE_WIDGETS} <!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="{getHREF page="websitewidgets.php" actionName="AddWebsiteWidget"}"><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_WEBSITE_WIDGET} <!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="products.php" actionName="ShowCoupons"}">{$smarty.const.TRANS_COUPONS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="products.php" actionName="ShowCoupons"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_COUPONS} <!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="{getHREF page="products.php" actionName="AddCoupon"}"><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_NEW_COUPON} <!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>

				<li><a href="javascript:;">{$smarty.const.TRANS_ADVANCED}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
					{if $smarty.const.MB_VENDOR==1}
						<li><a href="{getHREF page="vendors.php" actionName="ShowVendors"}"><span class="drop"><span>{$smarty.const.TRANS_VENDORS} </span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								<li><a href="{getHREF page="vendors.php" actionName="ShowVendors"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MANAGE_VENDORS}</a></li>
								<li><a href="{getHREF page="vendors.php" actionName="AddVendor"}"><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_INSTALL_VENDOR}</a></li>
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					{/if}
						<li><a href="{getHREF page="products.php" actionName="ShowProductGroups"}"><span class="drop"><span>{$smarty.const.TRANS_PRODUCT_GROUPS} </span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								<li><a href="{getHREF page="products.php" actionName="ShowProductGroups"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_ALL}</a></li>
								<li><a href="{getHREF page="products.php" actionName="AddProductGroup"}"><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_PRODUCT_GROUP}</a></li>
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="{getHREF page="products.php" actionName="ShowProductRelations"}"><span class="drop"><span>{$smarty.const.TRANS_PRODUCT_RELATIONS} </span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								<li><a href="{getHREF page="products.php" actionName="ShowProductRelations"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_PRODUCT_RELATIONS}</a></li>
								<li><a href="{getHREF page="products.php" actionName="AddProductRelation"}"><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_PRODUCT_RELATIONS}</a></li>
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="{getHREF page="products.php" actionName="ShowCycleDiscountGroups"}"><span class="drop"><span>{$smarty.const.TRANS_CYCLE_DISCOUNTS} </span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								<li><a href="{getHREF page="products.php" actionName="ShowCycleDiscountGroups"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_ALL}</a></li>
								<li><a href="{getHREF page="products.php" actionName="AddCycleDiscountGroup"}"><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_DISCOUNT_GROUP}</a></li>
								<li><a href="{getHREF page="products.php" actionName="ShowCycleDiscounts"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_ALL_DISCOUNTS}</a></li>
								<li><a href="{getHREF page="products.php" actionName="AddCycleDiscount"}"><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_DISCOUNT}</a></li>
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="{getHREF page="products.php" actionName="ShowCycles"}"><span class="drop"><span>{$smarty.const.TRANS_TIME_CYCLES} </span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								<li><a href="{getHREF page="products.php" actionName="ShowCycles"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_ALL}</a></li>
								<li><a href="{getHREF page="products.php" actionName="AddCycle"}"><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_CYCLE}</a></li>
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="{getHREF page="products.php" actionName="ShowProductVariants"}&amp;productVariantActive=1"><span class="drop"><span>{$smarty.const.TRANS_PRICING} </span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								<li><a href="{getHREF page="products.php" actionName="ShowProductVariants"}&amp;productVariantActive=1"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_PRICING}</a></li>
								<li><a href="{getHREF page="products.php" actionName="AddProductVariable"}"><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_PRICING_OPTION}</a></li>
								<li><a href="{getHREF page="products.php" actionName="AddProductVariableValue"}"><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_PRICING_OPTION_VALUE}</a></li>
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
			</ul>
		</div>
		<div class="lbox01c">
		</div>
	</div>{* lbox01b *}
</div>
	
</div>