{* $Id: sideMenuMajor_system.tpl 13514 2009-01-08 18:42:39Z kbailey $
 * --------------------------------------------------------------
 * This template displays the side navigation when the client's menu is selected.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/admin/header.tpl"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_MANAGE_SYSTEM" d="Manage System"}
{t c="TRANS_EXPAND_ALL" d="Expand All"}

{t c="TRANS_SYSTEM_SETTINGS" d="System Settings"}
{t c="TRANS_MAIN_SYSTEM_SETTINGS" d="Main System Settings"}
{t c="TRANS_THEME_SETTINGS" d="Theme Settings"}
{t c="TRANS_ADMIN_SETTINGS" d="Admin Settings"}

{t c="TRANS_PAYMENT_SETTINGS" d="Payment Settings"}
{t c="TRANS_PAYMENT_SETTINGS" d="Payment Settings"}
{t c="TRANS_ENCRYPTION_SETTINGS" d="Encryption Settings"}
{t c="TRANS_GATEWAY_MODULES" d="Gateway Modules"}

{t c="TRANS_DOMAIN_SETTINGS" d="Domain Settings"}
{t c="TRANS_DOMAIN_TLD_SETTINGS" d="Domain TLD Settings"}
{t c="TRANS_REGISTRAR_MODULES" d="Registrar Modules"}

{t c="TRANS_SERVER_SETTINGS" d="Server Settings"}
{t c="TRANS_SERVER_SETTINGS" d="Server Settings"}
{t c="TRANS_SERVER_MODULES" d="Server Modules"}

{t c="TRANS_BILLING_SETTINGS" d="Invoice &amp; Billing Settings"}
{t c="TRANS_INVOICE_SETTINGS" d="Invoice Settings"}
{t c="TRANS_BILLING_SETTINGS" d="Billing Settings"}
{t c="TRANS_TAX_SETTINGS" d="Tax Settings"}
{t c="TRANS_ACCOUNTING_SETTINGS" d="Accounting Settings"}

{t c="TRANS_ORDER_SETTINGS" d="Order Settings"}
{t c="TRANS_ORDER_FORM_SETTINGS" d="Order Form Settings"}
{t c="TRANS_SHOW_ORDER_FORMS" d="Order Form Settings"}
{t c="TRANS_FRAUD_PREVENTION_SETTINGS" d="Fraud Prevention Settings"}

{t c="TRANS_EMAIL_SETTINGS" d="Email Settings"}
{t c="TRANS_EMAIL_TEMPLATES" d="Email Templates"}
{t c="TRANS_EMAIL_BANNING" d="Email Banning"}
{t c="TRANS_SHOW_BANS" d="Show Bans"}
{t c="TRANS_ADD_BAN" d="Add Ban"}

{t c="TRANS_PRODUCT_SETTINGS_CONFIGURATION" d="Product Settings"}
{t c="TRANS_PRODUCT_SETTINGS" d="Product Settings"}
{t c="TRANS_SSLCERT_SETTINGS" d="SSL Cert Setttings"}

{t c="TRANS_AUTOMATION_SETTINGS" d="Automation Settings"}
{t c="TRANS_SYSTEM_QUEUE_SETTINGS" d="System Queue Settings"}
{t c="TRANS_IP_QUEUE_SETTINGS" d="IP Queue Settings"}
{t c="TRANS_CRON_SETTINGS" d="Cron Settings"}
{t c="TRANS_AUTOSUSPEND_SETTINGS" d="Auto-suspend Settings"}
{t c="TRANS_MBALERT_MODULE" d="MBAlert Module"}

{t c="TRANS_USER_SETTINGS" d="User Settings"}
{t c="TRANS_USER_SETTINGS" d="User Settings"}
{t c="TRANS_EXTRA_USER_VARIABLES" d="Extra User Variables"}
{t c="TRANS_FORUMS_SETTINGS" d="Forum Settings"}
{t c="TRANS_PPC_MODULES" d="PPC Modules"}

{t c="TRANS_OTHER_SETTINGS" d="Other Settings"}
{t c="TRANS_FAQ_SETTINGS" d="FAQ Settings"}
{t c="TRANS_NEWS_SETTINGS" d="News Settings"}
{t c="TRANS_AFFILIATE_SETTINGS" d="Affiliate Settings"}
{t c="TRANS_AFFILIATE_MODULES" d="Affiliate Modules"}

{t c="TRANS_CONFIG_MANUAL" d="Configuration Manual"}
{t c="TRANS_OP_MANUAL" d="Operations Manual"}
{t c="TRANS_KNOWLEDGE_BASE" d="Knowledge Base"}
{t c="TRANS_HELPDESK" d="Helpdesk Support"}
{t c="TRANS_MEMBERS_AREA" d="Members Area / Downloads"}
{t c="TRANS_MEMBERS_FORUMS" d="Members Forums"}
{t c="TRANS_SYSTEM_CONFIGURATION" d="System Configuration"}
{t c="TRANS_HELP_AND_SUPPORT" d="Help & Support"}


<div id="majorNavDiv_system" {if $sideNavMajor!="system"} style="display: none;"{/if}>
{* system side menu *}
<div class="lbox01">
	<h1>{$smarty.const.TRANS_MANAGE_SYSTEM}</h1>
	<div class="lbox01b">
		<div class="menu">
			<ul>
			{section name=i loop=$navConfigGroups}
				{assign var="configGroupID" value=$navConfigGroups[i].configGroupID}
				{assign var="configGroupTransKey" value=$navConfigGroups[i].configGroupTransKey}
				<li><a href="{getHREF page="configs.php" actionName="ShowConfigs" args="configGroupID=$configGroupID"}">{$smarty.const.$configGroupTransKey}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
					{if $navConfigGroups[i].configGroupName=="server"}
						<li><a href="{getHREF page="servergroups.php" actionName="ShowServerGroups"}"> {$smarty.const.TRANS_SERVER_GROUPS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						<li><a href="{getHREF page="modules.php" actionName="ShowSystemModuleInfo"}"> {$smarty.const.TRANS_SYSTEM_INFO}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemLicenseInfo"}"><img src="{$imageDirectory}/ico/registry.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MODERNBILL_LICENSE_INFO}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemModuleInfo"}"><img src="{$imageDirectory}/ico/cubes.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MODERNBILL_MODULE_INFO}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemServerInfo"}"><img src="{$imageDirectory}/ico/cpu.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SERVER_INFO}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowMBRequirementsTest"}"><img src="{$imageDirectory}/ico/server_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SYSTEM_REQUIREMENTS_TEST}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowPHPInfo"}"><img src="{$imageDirectory}/ico/tip.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_PHP_INFO}</a></li>
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					{else}
						{section name=link loop=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup}
							{assign var="configChildGroupTransKey" value=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupTransKey}
							{assign var="configChildGroupID" value=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupID}
							{assign var="configChildGroupActionFile" value=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupActionFile}
							{assign var="configChildGroupActionName" value=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupActionName}
		
							{if $configChildGroupTransKey!=""}
								{assign var="linkTitle" value=$smarty.const.$configChildGroupTransKey}
							{else}
								{assign var="linkTitle" value=$configChildGroupTransKey}
							{/if}
							{if $configChildGroupActionFile!="" && $configChildGroupActionName!=""}
							<li><a href="{getHREF page=$configChildGroupActionFile actionName=$configChildGroupActionName args="configGroupID=$configChildGroupID"}"> {$linkTitle}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
								{if $navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupActionName=="ShowAttributes"}
								<ul>
									<li><a href="{getHREF page="orderforms.php" actionName="ShowAttributes"}"><img src="{$imageDirectory}/ico/details.gif" width="13" height="13" alt="" title="" /> {$smarty.const.TRANS_MANAGE_ATTRIBUTES}</a></li>
									<li><a href="{getHREF page="orderforms.php" actionName="ShowWizardQuestions"}"><img src="{$imageDirectory}/ico/details.gif" width="13" height="13" alt="" title="" /> {$smarty.const.TRANS_MANAGE_QUESTIONS}</a></li>
								</ul>
								{elseif $navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupActionName=="ShowTaxZones"}
								<ul>
									<li><a href="{getHREF page="taxes.php" actionName="ShowTaxZones"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_TAX_ZONES}</a></li>
									<li><a href="{getHREF page="taxes.php" actionName="ShowTaxZoneGroups"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_TAX_ZONE_GROUPS}</a></li>
								</ul>
								{elseif $navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupActionName=="ShowAdmins"}
								<ul>
									<li><a href="{getHREF page="admins.php" actionName="EditMyProfile"}"><img src="{$imageDirectory}/ico/id_card.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MYPROFILE}</a></li>
									<li><a href="{getHREF page="admins.php" actionName="AddAdmin"}"><img src="{$imageDirectory}/ico/businessman_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_NEW_ADMIN}</a></li>
									<li><a href="{getHREF page="admins.php" actionName="ShowAdminGroups"}"><img src="{$imageDirectory}/ico/businessmen.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MANAGE_ADMIN_GROUPS}</a></li>
								</ul>
								{elseif $navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupActionName=="MigrateIntro"}
								<ul>
									<li><a href="{getHREF page="migrate.php" actionName="MigrateIntro"}"><img src="{$imageDirectory}/ico/data.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_INTRODUCTION}</a></li>
									<li><a href="{getHREF page="migrate.php" actionName="ShowMigrationConfigs"}"><img src="{$imageDirectory}/ico/data.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_MIGRATIONS}</a></li>
									<li><a href="{getHREF page="migrate.php" actionName="AddMigrationConfig"}"><img src="{$imageDirectory}/ico/data.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_MIGRATION}</a></li>
								</ul>
								{elseif $navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupActionName=="ShowOrderForms"}
								<ul>
									<li><a href="{getHREF page="orderforms.php" actionName="ShowOrderForms"}"><img src="{$imageDirectory}/ico/data.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_ORDER_FORMS}</a></li>
									<li><a href="{getHREF page="orderforms.php" actionName="ShowBans"}"><img src="{$imageDirectory}/ico/data.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_BANS}</a></li>
									<li><a href="{getHREF page="orderforms.php" actionName="AddBan"}"><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_BAN}</a></li>
								</ul>
								{/if}
								<!--[if lte IE 6]></td></tr></table></a><![endif]-->
							</li>
							{else}
							<li><a href="{getHREF page="configs.php" actionName="ShowConfigs" args="configGroupID=$configChildGroupID"}"> {$linkTitle}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
								<!--[if lte IE 6]></td></tr></table></a><![endif]-->
							</li>
							{/if}
						{/section}
					{/if}
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
			{sectionelse}
				<li><a href="configs.php?sid={$sid}&action={getActionID action="ShowConfigs"}&parentConfigGroupID=0">{$smarty.const.TRANS_SYSTEM_CONFIGURATION}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="configs.php" actionName="ShowConfigs" args="configGroupID=$configGroupID"}">{$smarty.const.TRANS_SERVER_SETTINGS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="servergroups.php" actionName="ShowServerGroups"}"> {$smarty.const.TRANS_SERVER_GROUPS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						<li><a href="{getHREF page="modules.php" actionName="ShowSystemModuleInfo"}"> {$smarty.const.TRANS_SYSTEM_INFO}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemLicenseInfo"}"><img src="{$imageDirectory}/ico/registry.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MODERNBILL_LICENSE_INFO}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemModuleInfo"}"><img src="{$imageDirectory}/ico/cubes.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MODERNBILL_MODULE_INFO}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemServerInfo"}"><img src="{$imageDirectory}/ico/cpu.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SERVER_INFO}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowMBRequirementsTest"}"><img src="{$imageDirectory}/ico/server_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SYSTEM_REQUIREMENTS_TEST}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowPHPInfo"}"><img src="{$imageDirectory}/ico/tip.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_PHP_INFO}</a></li>
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="migrate.php" actionName="MigrateIntro"}"> {$smarty.const.TRANS_MIGRATION_SETTINGS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="migrate.php" actionName="MigrateIntro"}"><img src="{$imageDirectory}/ico/data.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_INTRODUCTION}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						<li><a href="{getHREF page="migrate.php" actionName="ShowMigrationConfigs"}"><img src="{$imageDirectory}/ico/data.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_MIGRATIONS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						<li><a href="{getHREF page="migrate.php" actionName="AddMigrationConfig"}"><img src="{$imageDirectory}/ico/data.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_MIGRATION}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
			{/section}
				
				<li><a href="https://www.parallels.com/support/pleskbilling/form/" target="_blank">{$smarty.const.TRANS_HELP_AND_SUPPORT}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="http://download.ppb.parallels.com/6.0/doc/v6co/" target="_blank"> {$smarty.const.TRANS_CONFIG_MANUAL}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="http://download.ppb.parallels.com/6.0/doc/v6op/" target="_blank"> {$smarty.const.TRANS_OP_MANUAL}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="http://kb.modernbill.com/v5/" target="_blank"> {$smarty.const.TRANS_KNOWLEDGE_BASE}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="https://www.parallels.com/support/pleskbilling/form/" target="_blank"> {$smarty.const.TRANS_HELPDESK}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="https://billing.pleskbilling.com/client/" target="_blank"> {$smarty.const.TRANS_MEMBERS_AREA}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="https://www.parallels.com/support/pleskbilling/form/" target="_blank"> {$smarty.const.TRANS_MEMBERS_FORUMS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>

			</ul>
		</div>
		<div class="lbox01c">
		</div>
	</div>{* lbox01b *}
</div>{* lbox01 *}

</div>