{* $Id: pageInfo.tpl 8991 2006-09-19 19:30:58Z mfountain $
 * --------------------------------------------------------------
 * This widget template is used to display page information.
 *
 * Smarty Variables:
 *	$parentName		The constant representation of the parent page name.
 *	$childName		The constant representation of that child page name.
 *	$grandchildName	The constant representation of that grandchild page name.
 *  $query			A query if provided.
 *  $amountQuery	A amount query if provided.
 *  $dateQuery		A date query if provided.
 *	$fileNameLinks.paginationStats.totalRows	The number of rows displayed on this page.
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/pageInfo.tpl" parentName="TRANS_X" childName="TRANS_Y" grandchildName="TRANS_Z"}
 *}
{t c="TRANS_AMOUNT_QUERY" d="Amount Query"}
{t c="TRANS_DATE_QUERY" d="Date Query"}
{t c="TRANS_SEARCH_QUERY" d="Search Query"}
{t c="TRANS_ADVANCED_DISPLAY_OPTIONS" d="Adavanced Display Options"}

{assign var="pageInfoSet" value=0}

<div class="pageInfo">
	<h1>
	{if ($parentName!="")}
		{strip}
		<strong>{$smarty.const.$parentName|default:$parentName}</strong>
		{if ($childName!="")}
			&nbsp;&raquo; <strong>{$smarty.const.$childName|default:$childName}</strong>
		{/if}
		{if ($grandchildName!="")}
			&nbsp;&raquo; <strong>{$smarty.const.$grandchildName|default:$grandchildName}</strong>
		{/if}
	    {if ($query!='')}
	    	&nbsp;&raquo; <strong>{$smarty.const.TRANS_SEARCH_QUERY}</strong>: <i>{$query}</i>
	    {/if}
	    {if $amountQuery}
			{foreach from=$amountQuery item=amount}
		        &nbsp;&raquo; <strong>{$smarty.const.TRANS_AMOUNT_QUERY}</strong>: <i>{$amount|getAmount}</i>
			{/foreach}
	    {/if}
	    {if $dateQuery}
			{foreach from=$dateQuery item=date}
		        &nbsp;&raquo; <strong>{$smarty.const.TRANS_DATE_QUERY}</strong>: <i>{$date|getDate}</i>
			{/foreach}
	    {/if}
	    {if $fileNameLinks.paginationStats.totalRows>0}
	        <!--&nbsp;(<a href="#advanced">{$smarty.const.TRANS_ADVANCED_DISPLAY_OPTIONS}</a>)-->
	    {/if}
  		{/strip}
	{else}
		&nbsp;
	{/if}
	</h1>
</div>
