{* $Id: ProductPricesForm.tpl 12604 2008-02-04 22:10:19Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}


<form method="post" name="EditProduct" action="products.php">
<input type="hidden" name="action" value="{getActionID action="EditProductVariantPricesResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="productVariantID" value="{$productVariant.productVariantID}" />
<input type="hidden" name="productType" value="{$product.productType}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="singleVariant" value="{$singleVariant}" />

<table width="770" border="0" cellpadding="0" cellspacing="3" class="tab01">
	<tr class="alt1">
		<th scope="row">{$smarty.const.TRANS_TAX_ZONE_GROUP}: </th>
		<td><select name="taxZoneGroupID" style="width: 200px;">
			<option value="0">{$smarty.const.TRANS_NONE}</option>
			{html_options options=$selectableTaxZoneGroups selected=$productVariant.taxZoneGroupID}
			</select>
		</td>
	</tr>
	<tr class="alt2">
		<th scope="row">{$smarty.const.TRANS_CYCLE_DISCOUNT_GROUP}: </th>
		<td><select name="cycleDiscountGroupID" style="width: 200px;">
			{html_options options=$selectableCycleDiscountGroups selected=$productVariant.cycleDiscountGroupID}
			</select>
		</td>
	</tr>
</table>

<table width="770" border="0" cellpadding="0" cellspacing="3" class="tab01">
<tbody>
{assign var=domain value=$smarty.const.TRANS_DOMAIN_PRODUCT}
{assign var=general value=$smarty.const.TRANS_GENERAL}
{assign var=setup value=$smarty.const.TRANS_SETUP}
{assign var=transfer value=$smarty.const.TRANS_TRANSFER}

{if $product.productType == $productTypeIndex.$domain}
	{assign var="isDomain" value=1}
{else}
	{assign var="isDomain" value=0}
{/if}


	{foreach from=$questions key=currencyID item=cyclePrices}

	<tr class="{cycle values="alt1,alt2"}">
		<th scope="row" class="nowrap">{$currencyID}</th>
		<td style="width: 100%">
			<table border="0" cellpadding="0" cellspacing="3" class="tab01" width="100%">

		{foreach from=$cyclePrices key=cycleID item=typePrices}
		
				<tr class="{cycle values="alt1,alt2"}">
					<th scope="row" class="nowrap">{$cycles.$cycleID}</th>
					<td style="width: 100%">
						<table border="0" cellpadding="0" cellspacing="3" class="tab01">
					
			{foreach from=$typePrices key=priceType item=prices}
		
							{if $priceType != $transferPriceType || $priceType == $transferPriceType && $cycleID == $TLD.tldTransferMinimumCycleID}
							<tr class="{cycle values="alt1,alt2"}">
								<th scope="row">{$priceTypes.$priceType}
									{assign var=inputname value="id_`$currencyID`_`$cycleID`_`$priceType`"}
									<input type="hidden" name="{$inputname}" value="{$prices.1}" />
								</th>
								{assign var=inputname value="price_`$currencyID`_`$cycleID`_`$priceType`"}
								<td><input name="{$inputname}" id="{$inputname}" size="18" type="text" value="{$prices.0|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" /></td>
							</tr>
							{/if}
		
			{/foreach}
		
						</table>
					</td>
				</tr>
		
		{foreachelse}
		{$smarty.const.TRANS_NEED_CYCLES}
		{/foreach}
	
			</table>
		</td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<th scope="row" class="nowrap">{$smarty.const.TRANS_UPDATE_PACKAGES}</th>
		<td style="width: 100%">
			<select id="updatePackages" name="updatePackages" style="width: 50%;">
				<option value="none" selected="selected"0>{$smarty.const.TRANS_UPDATE_NO_PACKAGES}</option>
				<option value="unlocked">{$smarty.const.TRANS_UPDATE_UNLOCKED_PACKAGES}</option>
				<option value="all">{$smarty.const.TRANS_UPDATE_ALL_PACKAGES}</option>
			</select>
		</td>
	</tr>
	{foreachelse}
	{$smarty.const.TRANS_NEED_ORDER_FORMS}
	{/foreach}

</tbody>
</table>

<br />

<center>
<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE_CHANGES}" />
</center>

</form>

