{* $Id: wizardQuestionInputTextarea.tpl 12708 2008-02-28 17:01:59Z kbailey $
 * --------------------------------------------------------------
 * This widget template displays a question input text field.
 *
 * Smarty Variables:
 *	$question		The question.
 *  $inputName		The name of the select menu.
 *  $inputValue		The value of the input.
 *  $inputSize		The size of the input field.
 *  $inputMaxlength	The maxlength of the input field.
 *  $appendText		The appended text messege.
 *
 * Example Usage:
 *  {include file="$tplDirectory/admin/widgets/wizard/questionInputText.tpl" question="Some Question" inputName="" inputValue="" inputSize="" inputMaxlength="" appendText=""}
 *}
 
{if $smarty.const.WIZARD_CART_DISPLAY==1}

	<tr class="{if $questionErrorMesgs}highlight{else}{cycle values="alt1,alt2"}{/if}">
		<td align="right" valign="top"><label for="{$questionID}">{$question}</label></td>
		<td>
			<textarea name="{$questionID}" {if ($questionMaxLength)}cols="{$questionMaxLength}"{else}cols="40"{/if} {if ($questionSize)}rows="{$questionSize}"{else}rows="5"{/if}>{$questionAnswers.0.answer}</textarea> {if $questionDescription}<br />{$questionDescription}{/if} {if $questionErrorMesgs}<br />{$questionErrorMesgs}{/if}
		</td>
	</tr>

{elseif $smarty.const.WIZARD_ADMIN_ADDON_DISPLAY==1}

	<textarea name="addonValues[{literal}{ID}{/literal}][{$questionID}]" {if ($questionMaxLength)}cols="{$questionMaxLength}"{else}cols="40"{/if} {if ($questionSize)}rows="{$questionSize}"{else}rows="5"{/if}>{$questionAnswers.0.answer}</textarea> {if $questionDescription}<br />{$questionDescription}{/if} {if $questionErrorMesgs}<br />{$questionErrorMesgs}{/if}

{else}

	<tr class="{if $questionErrorMesgs}highlight{else}{cycle values="alt1,alt2"}{/if}">
		<th class="nowrap" valign="top" scope="row"><label for="{$questionID}">{$question}</label></th>
		<td width="100%">
			<textarea name="{$questionID}" {if ($questionMaxLength)}cols="{$questionMaxLength}"{else}cols="40"{/if} {if ($questionSize)}rows="{$questionSize}"{else}rows="5"{/if}>{$questionAnswers.0.answer}</textarea> {if $questionDescription}<br />{$questionDescription}{/if} {if $questionErrorMesgs}<br />{$questionErrorMesgs}{/if}
		</td>
	</tr>

{/if}
