{* $Id: RemoveHelpdeskResponseTemplate.tpl 7173 2006-06-01 22:56:29Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to remove an existing helpdesk response template from the database. The
 * form must post the hdRespTplID to the RemoveHelpdeskResponseTemplateResponse action in
 * order to remove the response template, or return the user to the ShowHelpdeskResponseTemplates action.
 *
 * Smarty Variables:
 *	$helpdeskResponseTemplate - An array of helpdesk response template information, which is structured as follows:
 *	                              hdRespTplID -- The ID of the helpdesk response template.
 *	                              hdRespTplName -- The name of the helpdesk response template.
 *	                              hdRespTplBody -- The body of the helpdesk response template.
 *}

{t c="TRANS_REMOVE_HELPDESK_RESPONSE_TEMPLATE" d="Remove Helpdesk response template with ID"}
{t c="TRANS_MANAGE_HELPDESK_TEMPLATES" d="Manage Helpdesk Templates"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_HELPDESK_TEMPLATES"
	childName="TRANS_REMOVE"
	sideNavMajor="helpdesk"
	sideNavMinor="helpdesksetup"}


{$smarty.const.TRANS_REMOVE_HELPDESK_RESPONSE_TEMPLATE}: "{$helpdeskResponseTemplate.hdRespTplID}"?<br />

<table border="0">
<tr>
	<td>
		<form method="post" action="helpdesk.php" />
		<input type="hidden" name="action" value="{getActionID action="RemoveHelpdeskResponseTemplateResponse"}" />
		<input type="hidden" name="sid" value="{$sid}" />
		<input type="hidden" name="hdRespTplID" value="{$helpdeskResponseTemplate.hdRespTplID}" />
		<input class="submit" type="submit" name="submit" value="Yes" />
		</form>
	</td>
	<td>
		<form method="post" action="helpdesk.php">
		<input type="hidden" name="action" value="{getActionID action="ShowHelpdeskResponseTemplates"}" />
		<input type="hidden" name="sid" value="{$sid}" />
		<input type="hidden" name="hdRespTplID" value="{$helpdeskResponseTemplate.hdRespTplID}" />
		<input class="submit" type="submit" name="submit" value="No" />
		</form>
	</td>
</tr>
</table>


{include file="$tplDirectory/footer.tpl"}