{* $Id: ShowHelpdeskBucketDetails.tpl 7395 2006-06-09 21:49:02Z bsmith $
 * --------------------------------------------------------------
 * This template displays a single helpdesk bucket's details.
 *
 * Smarty Variables:
 *	$helpdeskbucket (array of this helpdeskbucket's data)
 *
 *}
{t c="TRANS_MANAGE_HELPDESK" d="Manage Helpdesk"}

{t c="TRANS_HELPDESK_BUCKET_INFO" d="Helpdesk Bucket Information"}

{t c="TRANS_HELPDESK_BUCKET_ID" d="Helpdesk Bucket ID"}
{t c="TRANS_HELPDESK_BUCKET_NAME" d="Helpdesk Bucket Name"}

{t c="TRANS_DEPARTMENT_ID" d="Department ID"}

{t c="TRANS_RELATED_HELPDESK_DEPTS" d="Related Helpdesk Departments"}
{t c="TRANS_RELATED_HELPDESK_ADMINS" d="Related Helpdesk Admins"}

{assign var=hdBucketID value=$helpdeskBucket.hdBucketID}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_HELPDESK"
	childName="TRANS_BUCKETS"
	grandchildName="TRANS_DETAILS"
	
	sideNavMajor="helpdesk"
	sideNavMinor="helpdesk_buckets"}


<table border="0" class="list" cellpadding="0" cellspacing="0">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_HELPDESK_BUCKET_INFO" headerClass="firstTD"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerClass="lastTD"}
</tr>
</thead>

<tbody>
<tr class="{cycle values="alt1,alt2"}">
	<td>{$smarty.const.TRANS_HELPDESK_BUCKET_ID}:</td>
	<td>{$helpdeskBucket.hdBucketID}</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
	<td>{$smarty.const.TRANS_HELPDESK_BUCKET_NAME}:</td>
	<td>{$helpdeskBucket.hdBucketName}</td>
</tr>
</tbody>
</table>
<br /><br />


<table border="0" class="list" cellpadding="0" cellspacing="0">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_RELATED_HELPDESK_DEPTS" headerClass="firstTD"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerClass="lastTD"}
</tr>
</thead>

<tbody>
{foreach from=$helpdeskBucket.hdDepartments item=dept}
	{if $className == "alt2"}
		{assign var=className value="alt1"}
	{else}
		{assign var=className value="alt2"}
	{/if}
	<tr class="{$className}">
		<td>{$smarty.const.TRANS_DEPARTMENT_ID}:</td>
		<td>{$dept.hdDepartmentID}</td>
	</tr>
	<tr class="{$className}">
		<td>{$smarty.const.TRANS_DEPARTMENT_NAME}:</td>
		<td>{$dept.hdDepartmentName}</td>
	</tr>
	<tr class="{$className}">
		<td>{$smarty.const.TRANS_DEPARTMENT_DESCRIPTION}:</td>
		<td>{$dept.hdDepartmentDescription}</td>
	</tr>
{foreachelse}
	<tr class="alt1">
		<td colspan="2">{$smarty.const.TRANS_NORESULTS}</td>
	</tr>
{/foreach}
</tbody>
</table>
<br /><br />

<table border="0" class="list" cellpadding="0" cellspacing="0">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_RELATED_HELPDESK_ADMINS" headerClass="firstTD"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerClass="lastTD"}
</tr>
</thead>

<tbody>
{assign var=className value=""}
{foreach from=$helpdeskBucket.admins item=admin}
	{if $className == "alt2"}
		{assign var=className value="alt1"}
	{else}
		{assign var=className value="alt2"}
	{/if}
	<tr class="{$className}">
		<td>{$smarty.const.TRANS_ADMIN_ID}:</td>
		<td>{$admin.adminID}</td>
	</tr>
	<tr class="{$className}">
		<td>{$smarty.const.TRANS_FIRST_NAME}:</td>
		<td>{$admin.adminFirstName}</td>
	</tr>
	<tr class="{$className}">
		<td>{$smarty.const.TRANS_LAST_NAME}:</td>
		<td>{$admin.adminLastName}</td>
	</tr>
	<tr class="{$className}">
		<td>{$smarty.const.TRANS_EMAIL_ADDRESS}:</td>
		<td>{$admin.adminEmail}</td>
	</tr>
	<tr class="{$className}">
		<td>{$smarty.const.TRANS_USERNAME}:</td>
		<td>{$admin.adminUsername}</td>
	</tr>
	<tr class="{$className}">
		<td>{$smarty.const.TRANS_ACTIVE}:</td>
		<td>{$admin.adminActive|getArrayValueByID:$yesNo}</td>
	</tr>
{foreachelse}
	<tr class="alt1">
		<td colspan="2">{$smarty.const.TRANS_NORESULTS}</td>
	</tr>
{/foreach}
</tbody>
</table>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}
{include file="$tplDirectory/footer.tpl"}