{* $Id: ProvisionGoogleCode.tpl 6066 2006-04-11 19:36:31Z mfountain $
 * --------------------------------------------------------------
 * This template displays a form to provision a google code.
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_RESELLERS" d="Resellers"}
{t c="TRANS_MANAGE_RESELLERS" d="Manage Resellers"}
{t c="TRANS_ADD" d="Add"}
{t c="TRANS_ADD_RESELLER" d="Add Reseller"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_COMPANY" d="Company"}
{t c="TRANS_BILLING_METHOD" d="Billing Method"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_USERNAME" d="Username"}
{t c="TRANS_ACTIVE" d="Active"}
{t c="TRANS_PASSWORD" d="New Password"}
{t c="TRANS_CONFIRM_PASSWORD" d="Confirm Password"}
{t c="TRANS_TAX_ID_NUMBER" d="Tax ID Number"}
{t c="TRANS_APPLY" d="Apply"}
{t c="TRANS_TAX" d="Tax"}
{t c="TRANS_ACCOUNT" d="Account"}
{t c="TRANS_PERSONAL" d="Personal"}
{t c="TRANS_BILLING" d="Billing"}
{t c="TRANS_RESET" d="Reset"}
{t c="TRANS_LANGUAGE" d="Language"}
{t c="TRANS_COUNTRY" d="Country"}
{t c="TRANS_THEME" d="Theme"}
{t c="TRANS_ADDRESS" d="Street Address"}
{t c="TRANS_ADDRESS2" d="Suite/Apartment"}
{t c="TRANS_CITY" d="City"}
{t c="TRANS_STATE" d="State"}
{t c="TRANS_ZIP" d="Zip"}
{t c="TRANS_PRIMARY_PHONE" d="Primary Phone"}
{t c="TRANS_SECONDARY_PHONE" d="Secondary Phone"}
{t c="TRANS_FAX" d="Fax"}

{t c="TRANS_PROVISION" d="Provision"}
{t c="TRANS_CUSTOMER_KEY" d="Customer Key"}
{t c="TRANS_CUSTOMER_NAME" d="Customer Name"}
{t c="TRANS_CUSTOMER_EMAIL" d="Customer Email"}
{t c="TRANS_CUSTOMER_COUNTRY" d="Customer Country"}
{t c="TRANS_ORDER_AMOUNT" d="Order Amount"}
{t c="TRANS_PRODUCT_KEY" d="Product Key"}
{t c="TRANS_PRODUCT_PRICE" d="Product Price"}

{t c="TRANS_SELECT_RESELLER" d="Select the customer's reseller."}
{t c="TRANS_ENTER_CUSTOMER_INFORMATION" d="Enter the customer's information."}
{t c="TRANS_ENTER_ORDER_INFORMATION" d="Enter the order details."}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_GOOGLE_CODES"
	sideNavMajor="ppc"
	sideNavMinor="add"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" action="ppc.php">
<input type="hidden" name="action" value="{getActionID action="ProvisionGoogleCodeContinue"}" />
<input type="hidden" name="sid" value="{$sid}" />

<table border="0" width="100%" cellpadding="0" cellspacing="12"  class="tab01">
<tr>
    <td>
		<div class="box07">
			<div class="st01"><h1>{$smarty.const.TRANS_GOOGLE_CODES} &gt; {$smarty.const.TRANS_PROVISION}</h1></div>

            <table width="100%"  border="0" cellspacing="2" cellpadding="0" class="tab01">
            <tbody>
            <tr>
                <th colspan="2"><br />{$smarty.const.TRANS_ENTER_CUSTOMER_INFORMATION}</th>
            </tr>
            <tr class="{if $invalid.customerKey}highlight{else}alt2{/if}">
	            <th class="nowrap" scope="row" style="text-align:right;"><label for="customerKey">{$smarty.const.TRANS_CUSTOMER_KEY}:</label></th>
	            <td width="100%"><input size="5" maxlength="11" type="text" id="customerKey" name="customerKey" value="{$formValues.customerKey}" /> {$invalid.customerKey}</td>
            </tr>
            <tr class="{if $invalid.customerName}highlight{else}alt2{/if}">
	            <th class="nowrap" scope="row" style="text-align:right;"><label for="customerName">{$smarty.const.TRANS_CUSTOMER_NAME}:</label></th>
	            <td width="100%"><input size="50" maxlength="255" type="text" id="customerName" name="customerName" value="{$formValues.customerName}" /> {$invalid.customerName}</td>
            </tr>
            <tr class="{if $invalid.customerEmail}highlight{else}alt2{/if}">
	            <th class="nowrap" scope="row" style="text-align:right;"><label for="customerEmail">{$smarty.const.TRANS_CUSTOMER_EMAIL}:</label></th>
	            <td width="100%"><input size="50" maxlength="255" type="text" id="customerEmail" name="customerEmail" value="{$formValues.customerEmail}" /> {$invalid.customerEmail}</td>
            </tr>
            <tr class="{if $invalid.countriesID}highlight{else}alt2{/if}">
	            <th class="nowrap" scope="row" style="text-align:right;"><label for="countriesID">{$smarty.const.TRANS_CUSTOMER_COUNTRY}:</label></th>
	            <td width="100%"><select id="countriesID" name="countriesID"> {html_options options=$countryList selected=$formValues.countriesID} </select> {$invalid.countriesID}</td>
            </tr>
            <tr>
                <th colspan="2"><br />{$smarty.const.TRANS_SELECT_RESELLER}</th>
            </tr>
            <tr class="{if $invalid.resellerID}highlight{else}alt2{/if}">
	            <th class="nowrap" scope="row" style="text-align:right;"><label for="resellerID">{$smarty.const.TRANS_RESELLER}:</label></th>
	            <td width="100%"><select id="resellerID" name="resellerID"> {html_options options=$resellers selected=$formValues.resellerID} </select> {$invalid.resellerID}</td>
            </tr>
            <tr>
                <th colspan="2"><br />{$smarty.const.TRANS_ENTER_ORDER_INFORMATION}</th>
            </tr>
            <tr class="{if $invalid.customerOrderAmount}highlight{else}alt2{/if}">
	            <th class="nowrap" scope="row" style="text-align:right;"><label for="customerOrderAmount">{$smarty.const.TRANS_ORDER_AMOUNT}:</label></th>
	            <td width="100%"><input size="10" maxlength="11" type="text" id="customerOrderAmount" name="customerOrderAmount" value="{$formValues.customerOrderAmount}" /> {$invalid.customerOrderAmount}</td>
            </tr>
            <tr class="{if $invalid.productKey}highlight{else}alt2{/if}">
	            <th class="nowrap" scope="row" style="text-align:right;"><label for="productKey">{$smarty.const.TRANS_PRODUCT_KEY}:</label></th>
	            <td width="100%"><input size="5" maxlength="11" type="text" id="productKey" name="productKey" value="{$formValues.productKey}" /> {$invalid.productKey}</td>
            </tr>
            <tr class="{if $invalid.productName}highlight{else}alt2{/if}">
	            <th class="nowrap" scope="row" style="text-align:right;"><label for="productName">{$smarty.const.TRANS_PRODUCT_NAME}:</label></th>
	            <td width="100%"><input size="50" maxlength="50" type="text" id="productName" name="productName" value="{$formValues.productName}" /> {$invalid.productName}</td>
            </tr>
            <tr class="{if $invalid.productPrice}highlight{else}alt2{/if}">
	            <th class="nowrap" scope="row" style="text-align:right;"><label for="productPrice">{$smarty.const.TRANS_PRODUCT_PRICE}:</label></th>
	            <td width="100%"><input size="10" maxlength="11" type="text" id="productPrice" name="productPrice" value="{$formValues.productPrice}" /> {$invalid.productPrice}</td>
            </tr>
            <tr>
	            <td colspan="2">
		            <input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_CONTINUE}" />
	            </td>
            </tr>
            </tbody>
            </table>

		</div>{* box07 *}

    </td>
</tr>

</table>

</form>

{include file="$tplDirectory/footer.tpl"}
