{* $Id: ShowGoogleCodes.tpl 6945 2006-05-17 16:51:28Z mgarrett $
 * --------------------------------------------------------------
 * This template displays a list of google codes.
 *
 * Smarty Variables:
 *	$codes (array of ppc codes that match criteria)
 *	$productType			The $_REQUEST value of product Type filter option
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *  $sid					The current sessionID
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_PRODUCTS" d="Show Products"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_UNDEFINED" d="Undefined"}
{t c="TRANS_REGULAR" d="Regular"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_CERT" d="Cert"}

{assign var="filterArgs" value="codeActive=$codeActive"}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_GOOGLE_CODES"
	sideNavMajor="ppc"}

<table  border="0" width="98%" cellpadding="0" cellspacing="12"  class="tab01">
<tr>
    <td colspan="2">
		<div class="box07">
			<div class="st01"><h1>{$smarty.const.TRANS_GOOGLE_CODES}</h1></div>

            <table width="100%"  border="0" cellspacing="2" cellpadding="0" class="tab01">
            <thead>
            <tr>
	            {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_GOOGLE_CODE" sortColumn="codeToUse"}
	            {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_VALUE" sortColumn="codeValue"}
	            {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_CURRENCY" sortColumn="codeCurrencyID"}
	            {include file="$tplDirectory/widgets/table/tableFilterHeader.tpl" filterName="TRANS_STATUS" filterColumn="codeActive" filterOptions="$activeInactive"}
            </tr>
            </thead>
            {section name=i loop="$codes"}
            {assign var="codeID" value=$codes[i].codeID}
            {if $className=="alt1"}
                {assign var="className" value="alt2"}
            {else}
                {assign var="className" value="alt1"}
            {/if}
            <tbody>
            <tr class="{cycle values="alt1,alt2"}"
	            onmouseover="this.className='althover';"
	            onmouseout="this.className='{$className}';">
	            <td>
		            {$codes[i].codeToUse}
	            </td>
	            <td align="right">
		            {$codes[i].codeValue|getAmount:$codes[i].codeCurrencyID}
	            </td>
	            <td align="center">
		            {$codes[i].codeCurrencyID}
	            </td>
	            <td align="center">
		            {$codes[i].codeActive|getArrayValueByID:$activeInactive}
	            </td>
            </tr>
            </tbody>
            {sectionelse}
            <tr class="alt1">
	            <td colspan="4">{$smarty.const.TRANS_NORESULTS}</td>
            </tr>
            {/section}
            </table>

		</div>{* box07 *}
    </td>
</tr>

</table>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}
{include file="$tplDirectory/footer.tpl"}
