{* $Id: AddReseller.tpl 6070 2006-04-11 20:07:39Z mfountain $
 * --------------------------------------------------------------
 * This template displays a form to add a new reseller.
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_RESELLERS" d="Resellers"}
{t c="TRANS_MANAGE_RESELLERS" d="Manage Resellers"}
{t c="TRANS_ADD" d="Add"}
{t c="TRANS_ADD_RESELLER" d="Add Reseller"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_COMPANY" d="Company"}
{t c="TRANS_BILLING_METHOD" d="Billing Method"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_USERNAME" d="Username"}
{t c="TRANS_ACTIVE" d="Active"}
{t c="TRANS_PASSWORD" d="New Password"}
{t c="TRANS_CONFIRM_PASSWORD" d="Confirm Password"}
{t c="TRANS_TAX_ID_NUMBER" d="Tax ID Number"}
{t c="TRANS_APPLY" d="Apply"}
{t c="TRANS_TAX" d="Tax"}
{t c="TRANS_ACCOUNT" d="Account"}
{t c="TRANS_PERSONAL" d="Personal"}
{t c="TRANS_BILLING" d="Billing"}
{t c="TRANS_RESET" d="Reset"}
{t c="TRANS_LANGUAGE" d="Language"}
{t c="TRANS_COUNTRY" d="Country"}
{t c="TRANS_THEME" d="Theme"}
{t c="TRANS_ADDRESS" d="Street Address"}
{t c="TRANS_ADDRESS2" d="Suite/Apartment"}
{t c="TRANS_CITY" d="City"}
{t c="TRANS_STATE" d="State"}
{t c="TRANS_ZIP" d="Zip"}
{t c="TRANS_PRIMARY_PHONE" d="Primary Phone"}
{t c="TRANS_SECONDARY_PHONE" d="Secondary Phone"}
{t c="TRANS_FAX" d="Fax"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_RESELLERS"
	sideNavMajor="resellers"
	sideNavMinor="add"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" action="resellers.php">
<input type="hidden" name="action" value="{getActionID action="AddResellerResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />

<table border="0" width="100%" cellpadding="0" cellspacing="12"  class="tab01">
<tr>
    <td>
		<div class="box07">
			<div class="st01"><h1>{$smarty.const.TRANS_RESELLERS} &gt; {$smarty.const.TRANS_ADD}</h1></div>

            <table width="100%"  border="0" cellspacing="2" cellpadding="0" class="tab01">
            <tbody>
            <tr class="{if $invalid.resellerCompany}highlight{else}{cycle values="alt1,alt2"}{/if}">
	            <th class="nowrap" scope="row"><label for="resellerCompany">{$smarty.const.TRANS_COMPANY}</label></th>
	            <td width="100%"><input size="100" maxlength="100" type="text" id="resellerCompany" name="resellerCompany" value="{$formValues.resellerCompany}" /> {$invalid.resellerCompany}</td>
            </tr>
            <tr class="{if $invalid.resellerFirstName}highlight{else}{cycle values="alt1,alt2"}{/if}">
	            <th class="nowrap" scope="row"><label for="resellerFirstName">{$smarty.const.TRANS_FIRST_NAME}</label></th>
	            <td width="100%"><input size="50" maxlength="50" type="text" id="resellerFirstName" name="resellerFirstName" value="{$formValues.resellerFirstName}" /> {$invalid.resellerFirstName}</td>
            </tr>
            <tr class="{if $invalid.resellerLastName}highlight{else}{cycle values="alt1,alt2"}{/if}">
	            <th class="nowrap" scope="row"><label for="resellerLastName">{$smarty.const.TRANS_LAST_NAME}</label></th>
	            <td width="100%"><input size="50" maxlength="50" type="text" id="resellerLastName" name="resellerLastName" value="{$formValues.resellerLastName}" /> {$invalid.resellerLastName}</td>
            </tr>
            <tr class="{if $invalid.resellerEmail}highlight{else}{cycle values="alt1,alt2"}{/if}">
	            <th class="nowrap" scope="row"><label for="resellerEmail">{$smarty.const.TRANS_EMAIL}</label></th>
	            <td width="100%"><input size="100" maxlength="100" type="text" id="resellerEmail" name="resellerEmail" value="{$formValues.resellerEmail}" /> {$invalid.resellerEmail}</td>
            </tr>
            <tr class="{if $invalid.countriesID}highlight{else}{cycle values="alt1,alt2"}{/if}">
	            <th class="nowrap" scope="row"><label for="countriesID">{$smarty.const.TRANS_COUNTRY}</label></th>
	            <td width="100%"><select id="countriesID" name="countriesID"> {html_options options=$countryList selected=$formValues.countriesID} </select> {$invalid.countriesID}</td>
            </tr>
            <tr class="{if $invalid.languageID}highlight{else}{cycle values="alt1,alt2"}{/if}">
	            <th class="nowrap" scope="row"><label for="languageID">{$smarty.const.TRANS_LANGUAGE}</label></th>
	            <td width="100%"><select id="languageID" name="languageID"> {html_options options=$languageList selected=$formValues.languageID} </select> {$invalid.languageID}</td>
            </tr>
            <tr class="{if $invalid.resellerStatus}highlight{else}{cycle values="alt1,alt2"}{/if}">
	            <th class="nowrap" scope="row"><label for="resellerStatus">{$smarty.const.TRANS_STATUS}</label></th>
	            <td width="100%"><select id="resellerStatus" name="resellerStatus"> {html_options options=$statusList selected=$formValues.resellerStatus} </select> {$invalid.resellerStatus}</td>
            </tr>
            <tr class="{if $invalid.resellerUsername}highlight{else}{cycle values="alt1,alt2"}{/if}">
	            <th class="nowrap" scope="row"><label for="resellerUsername">{$smarty.const.TRANS_USERNAME}</label></th>
	            <td width="100%"><input size="20" maxlength="20" type="text" id="resellerUsername" name="resellerUsername" value="{$formValues.resellerUsername}" /> {$invalid.resellerUsername}</td>
            </tr>
            <tr class="{if $invalid.resellerPassword}highlight{else}{cycle values="alt1,alt2"}{/if}">
	            <th class="nowrap" scope="row"><label for="resellerPassword">{$smarty.const.TRANS_PASSWORD}</label></th>
	            <td width="100%"><input size="32" maxlength="32" type="password" id="resellerPassword" name="resellerPassword" value="" /> {$invalid.resellerPassword}</td>
            </tr>
            <tr class="{if $invalid.resellerPasswordConfirm}highlight{else}{cycle values="alt1,alt2"}{/if}">
	            <th class="nowrap" scope="row"><label for="resellerPasswordConfirm">{$smarty.const.TRANS_CONFIRM_PASSWORD}</label></th>
	            <td width="100%"><input size="32" maxlength="32" type="password" id="resellerPasswordConfirm" name="resellerPasswordConfirm" value="" /> {$invalid.resellerPasswordConfirm}</td>
            </tr>
            <tr>
	            <td colspan="2">
		            <input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_ADD_RESELLER}" />
	            </td>
            </tr>
            </tbody>
            </table>

		</div>{* box07 *}

    </td>
</tr>

</table>

</form>

{include file="$tplDirectory/footer.tpl"}
