{* $Id: actionLink.tpl 7419 2006-06-13 15:36:57Z mfountain $
 * --------------------------------------------------------------
 * This widget template creates a single action link.
 *
 * Example Usage:
    {include file="$tplDirectory/widgets/actionLink.tpl"
        page=""
        actionName=""
        args=""
        icoImage=""
        icoWidth=""
        icoHeight=""
        icoStyle=""
        altText=""
        titleText=""
        linkText=""
        noSpace=""}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_VIEW" d="View"}
{t c="TRANS_MANAGE" d="Manage"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SETUP" d="Setup"}
{t c="TRANS_CONFIGURE" d="Configure"}
{t c="TRANS_DETAILS" d="Details"}

{************************ ADD AS NEEDED ************************}
{if $icoImage=="view"}
    {assign var="icoImage" value="data_view.gif"}
{elseif $icoImage=="edit"}
    {assign var="icoImage" value="data_edit.gif"}
{elseif $icoImage=="remove"}
    {assign var="icoImage" value="data_delete.gif"}
{elseif $icoImage=="details"}
    {assign var="icoImage" value="data_details.gif"}
{/if}

{if $icoWidth==""}
    {assign var="icoWidth" value="16"}
{/if}

{if $icoHeight==""}
    {assign var="icoHeight" value="16"}
{/if}

{if $icoStyle==""}
    {assign var="icoStyle" value="vertical-align:middle;border-style:none;"}
{/if}

{if $titleText==""}
    {assign var="titleText" value=$altText}
{/if}

{strip}
{if $icoImage != ""}
    <a href="{getHREF page="$page" actionName="$actionName" args="$args"}">
	    <img src="{$imageDirectory}/ico/{$icoImage}" width="{$icoWidth}" height="{$icoHeight}" style="{$icoStyle}" alt="{$smarty.const.$altText}" title="{$smarty.const.$titleText}" />
    </a>
{/if}
{if $linkText != ""}
    {if $icoImage != ""}
        {if $noSpace != "1"}&nbsp;{/if}
    {/if}
    <a href="{getHREF page="$page" actionName="$actionName" args="$args"}">
        {$smarty.const.$linkText}
    </a>
{/if}
{/strip}