{* $Id: ShowHelpdeskTicketDetails.tpl 9448 2006-10-11 22:41:28Z eradtke $
 * --------------------------------------------------------------
 * This template displays the client dashboard.
 *
 * Smarty Variables:
 *  $helpdeskTickets (array of ticket data)
 *
 * 	$cssDirectory	The relative path to the theme's css directory
 *	$jsDirectory	The relative path to the theme's javascript directory
 *	$imageDirectory	The relative path to the theme's image directory
 *	$tplDirectory	The relative path to the theme's template directory
 *
 * Author: Andy Christ
 *}
{t c="TRANS_TICKET_KEY" d="Ticket Key"}
{t c="TRANS_TICKET_RESPOND" d="Respond"}

{include file="$tplDirectory/header.tpl" tabMajor="support" tabMinor="helpdesk"}

<table  border="0" width="98%" cellpadding="0" cellspacing="12"  class="tab01">
<tr>
    <td colspan="2">


		<div class="box07x">
			<div class="st01x"><div style="float: left;"><img src="{$imageDirectory}/ico/ticket-icon.gif" width="30" height="30" border="0" alt="" /></div><h1>{$smarty.const.TRANS_TICKET_KEY}: {$helpdeskTicket.hdTicketKey}</h1></div>
			<table width="100%"  border="0" cellspacing="2" cellpadding="0" class="tab06">
				<tr>
					<th style="text-align: left;">
						<span class="floatleft" style="color: #333333;">{$helpdeskTicket.hdTicketSubject}</span>
					</th>
				</tr>
				<tr>
					<td>
						<span class="floatleft" style="color: #333333;">{$helpdeskTicket.hdTicketBody}</span>
					</td>
				</tr>
				{foreach key=ticketID item=ticketResponse from=$helpdeskTicket.helpdeskTicketResponses}
				{assign var="helpdeskTicketResponse" value=$ticketResponse}
				{assign var="responder" value=$helpdeskTicketResponse.admins.admin}
				{assign var="client" value=$helpdeskTicket.clients.client}
					<tr>
						<td style="text-align: left;">
							{if $responder}
								<b>{$responder.adminUsername}:</b>
							{else}
								<i><b>{$client.contactFirstName} {$client.contactLastName}:</b></i>
							{/if}
							<u>{$helpdeskTicketResponse.hdTicketRespDateCreated|getDateTime:medium}</u><br /><br />
							{$helpdeskTicketResponse.hdTicketRespBody}<br /><br />
						</td>
					</tr>
				{/foreach}
				<tr>
					<td>
					<table width="60%"  border="0" cellspacing="2" cellpadding="0" class="tab06" >
						<form action="helpdesk.php">
							<input type="hidden" name="action" value="{getActionID action="EditHelpdeskTicketResponse"}">
							<input type="hidden" name="hdTicketID" value="{$helpdeskTicket.hdTicketID}">
							<input type="hidden" name="sid" value="{$sid}">
							<tr>
								<th style="text-align: left;">
									<div class="st01">{$smarty.const.TRANS_TICKET_RESPOND}</div>
								</th>
							</tr>
							<tr>
								<td>
									<textarea name="hdTicketResponse" id="hdTicketResponse" cols="70" rows="10"></textarea>
								</td>
							</tr>
							<tr>
								<td>
									{html_radios name="hdTicketStatusID" options=$helpdeskTicketStatus selected=$helpdeskTicket.hdTicketStatusID}
								</td>
							</tr>
							<tr>
								<td>
									<input class="submit" type="submit" name="updateHDTicket" value="save">
								</td>
							</tr>
						</form>
					</table>
					</td>
				</tr>
			</table>


		<br class="clearright" />
		</div>{* box06 *}
        <br />

    </td>
</tr>

</table>

{include file="$tplDirectory/footer.tpl"}