{* $Id: ShowBillingAccounts.tpl 12343 2007-12-11 18:44:53Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of billingaccounts.
 *
 * Smarty Variables:
 *	$billingaccounts (array of billingaccounts that match criteria)
 *
 *}
 {t c="TRANS_MANAGE_BILLING_ACCOUNTS" d="Manage Billing Accounts"}
 {t c="TRANS_ADD_BILLING_ACCOUNT" d="Add Billing Account"}
 {t c="TRANS_ACCOUNT" d="Account"}
 {t c="TRANS_TYPE" d="Type"}
{include file="$tplDirectory/header.tpl" tabMajor="profile" tabMinor="billing"}

<div class="box07x">
	<div class="st01x"><div style="float: left;"><img src="{$imageDirectory}/ico/billing-icon.gif" width="30" height="30" border="0" alt="" /></div><h1>{$smarty.const.TRANS_MANAGE_BILLING_ACCOUNTS}</h1></div>

	<table width="100%"  border="0" cellspacing="1" cellpadding="0" class="listClient">

	<tr>
		<th colspan="5">
			<span class="floatright">
				<a href="{getHREF page="profile.php" actionName="AddBillingAccount"}">
					{$smarty.const.TRANS_ADD_BILLING_ACCOUNT}</a> <a href="{getHREF page="profile.php" actionName="AddBillingAccount"}">
					<img src="{$imageDirectory}/ico/011.gif" width="13" height="13" align="middle" alt="" title=""  style="vertical-align:middle;border-style:none;" />
				</a>
			</span>
		</th>
	</tr>

	<tr class="subHeaderRowClient" bgcolor="#CCCCCC">
		<td class="firstTD" style="text-align: center;">
			{$smarty.const.TRANS_ACCOUNT}
		</td>
		<td  style="text-align: center;">
			{$smarty.const.TRANS_TYPE}
		</td>
		<td  style="text-align: center;">
			{$smarty.const.TRANS_STATUS}
		</td>
		<td  style="text-align: center;">
        {$smarty.const.TRANS_ACTION}
		</td>
	</tr>

	{section name=i loop=$billingAccounts}
		{assign var=billingAccountID value=$billingAccounts[i].billingAccountID}

		<tr>
			<td style="text-align: center;">
				{$billingAccounts[i].billingAccountDisplayName}
			</td>
			<td style="text-align: center;">
				{$billingAccounts[i].billingAccountType|getTypeName:"billingAccount"}
			</td>
			<td style="text-align: center;">
				{$billingAccounts[i].billingAccountStatus|getStatusName:"billingAccount"}
			</td>
			<td style="text-align: center;">
				<a href="{getHREF page="profile.php"
							actionName="EditBillingAccount"
							args="billingAccountID=$billingAccountID"}">
					<img src="{$imageDirectory}/ico/edit.gif" width="13" height="13" align="middle" alt="" title=""  style="vertical-align:middle;border-style:none;" />
				</a> <a href="{getHREF page="profile.php"
                            actionName="EditBillingAccount"
                            args="billingAccountID=$billingAccountID"}">{$smarty.const.TRANS_EDIT}</a>
				&nbsp;
				<a href="{getHREF page="profile.php"
							actionName="RemoveBillingAccount"
							args="billingAccountID=$billingAccountID"}">
					<img src="{$imageDirectory}/ico/remove.gif" width="13" height="13" align="middle" alt="" title=""  style="vertical-align:middle;border-style:none;" />
				</a>     <a href="{getHREF page="profile.php"
                            actionName="RemoveBillingAccount"
                            args="billingAccountID=$billingAccountID"}">{$smarty.const.TRANS_REMOVE}</a>
			</td>
		</tr>
	
	{sectionelse}
		<tr>
			<td style="text-align: left;" colspan="5"><i>{$smarty.const.TRANS_NONE}</i></td>
		</tr>
	{/section}
	</table>
</div>{* box07 *}
<br />

{include file="$tplDirectory/footer.tpl"}