{* $Id: ShowSellerStatus.tpl 10559 2007-01-23 18:02:40Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{t c="TRANS_NOT_A_SELLER_MSG" d="You are not registered as a marketplace seller."}
{t c="TRANS_SIGNUP" d="Signup"}
{t c="TRANS_SELLER_MODERNBILL_API_CONNECTION" d="Seller Modernbill API Connection"}
{t c="TRANS_SELLER_MODERNBILL_API_URL" d="Seller Modernbill API URL"}
{t c="TRANS_REMOTE_USERNAME" d="Remote Username"}
{t c="TRANS_NOT_TESTED" d="Not Tested"}
{t c="TRANS_UP" d="Up"}
{t c="TRANS_TEMPORARILY_DOWN" d="Temporarily Down"}
{t c="TRANS_DOWN" d="Down"}
{t c="TRANS_AUTHENTICATION_FAILURE" d="Authentication Failure"}
{t c="TRANS_DATE_REGISTERED" d="Date Registered"}
{t c="TRANS_INVALID_API_URL" d="Invalid API URL"}
{t c="TRANS_VALID_API_URL" d="Valid API URL"}
{t c="TRANS_NEW_API_URL" d="New API URL"}
{t c="TRANS_CONTINUE" d="Continue"}
{t c="TRANS_CHECKING_API_URL" d="Checking API URL..."}
{t c="TRANS_COMPANY" d="Company"}
{t c="TRANS_COMPANY_URL" d="Company URL"}
{t c="TRANS_CONNECTING_TO_API_URL" d="Connecting to API URL..."}
{t c="TRANS_TEST_API_URL" d="Test API URL"}
{t c="TRANS_UPDATE_API_URL" d="Update API URL"}
{t c="TRANS_INVALID_API_LOGIN_INFORMATION" d="Invalid API Login Information"}

{include file="$tplDirectory/header.tpl" tabMajor="sellers" tabMinor="status" includeAjaxJS="yes"}

<script language="javascript" type="text/javascript">
{literal}
	
	function setCheckingURL(){
		setApiURLResults("<img src='{/literal}{$imageDirectory}{literal}/loading2.gif' align='left' height='16' width='16' /> &nbsp;&nbsp;<b>{/literal}{$smarty.const.TRANS_CONNECTING_TO_API_URL}{literal}</b>");
	}
	
	function setInvalidURL(){
		setApiURLResults("<img src='{/literal}{$imageDirectory}{literal}/ico/delete.gif' align='left' height='16' width='16' /> &nbsp;&nbsp;<font color='red'><b>{/literal}{$smarty.const.TRANS_INVALID_API_URL}{literal}</b></font>");
	}
	
	function setInvalidLogin(){
		setApiURLResults("<img src='{/literal}{$imageDirectory}{literal}/ico/delete.gif' align='left' height='16' width='16' /> &nbsp;&nbsp;<font color='yellow'><b>{/literal}{$smarty.const.TRANS_INVALID_API_LOGIN_INFORMATION}{literal}</b></font>");
	}
	
	function updateSellerAPIURL(){
		setApiURLResults('');
		toggleobjbyid('newAPIURL');
		document.getElementById('sellerAPIURL').focus();
	}
	
	function testSellerAPIURL(){
		hideobjbyid('newAPIURL');
		var xurl = '{/literal}{$sellerInfo.sellerApiURL}{literal}';
		atFetchContent(xurl, handleRegTestResults);
	}

	function runSellerAPIURLUpdate(){
		var xurl = document.getElementById('sellerAPIURL').value;
		atFetchContent(xurl, handleUpdateTestResults);
	}

	function checkURLisAPI(fe){
		var xurl = fe.value;
		if (typeof xurl=="string"){
			if (xurl.indexOf('api.php')>0 && xurl.indexOf('http')==0){
				fe.style.color = 'green';
			} else {
				fe.style.color = 'red';
			}
		} else {
			fe.style.color = 'red';
		}
	}

	function testResultsCompanyName(res){
		if (typeof res=="string"){
			if (res.indexOf('<|>')!=-1){
				return res.substring(0, res.indexOf('<|>'));
			} else {
				return res+'';
			}
		}
	}
	
	function testResultsCompanyURL(res){
		if (typeof res=="string"){
			if (res.indexOf('<|>')!=-1){
				return res.substring(res.indexOf('<|>')+3, res.length)+'';
			} else {
				return '';
			}
		}
	}

	function handleRegTestResults(res){
		var cname = testResultsCompanyName(res);
		var curl = testResultsCompanyURL(res);
		if (cname=="invalid" || cname==""){
			setInvalidURL();
		} else if (cname=="login"){
			setInvalidLogin();
		} else {
			setApiURLResults('<font color="green">{/literal}{$smarty.const.TRANS_VALID_API_URL}<br />{$smarty.const.TRANS_COMPANY}: <strong>'+cname+'</strong><br />{$smarty.const.TRANS_COMPANY_URL}: <strong>'+curl+'</strong>{literal}</font>');
		}
	}
	
	function handleUpdateTestResults(res){
		var cname = testResultsCompanyName(res);
		var curl = testResultsCompanyURL(res);
		if (cname=="invalid" || cname==""){
			setInvalidURL();
		} else if (cname=="login"){
			setInvalidLogin();
		} else {
			setApiURLResults('<font color="green">{/literal}{$smarty.const.TRANS_VALID_API_URL} - <input type="button" class="button" onclick="document.location.href=\'{getHREF actionName="UpdateSellerSettingsResponse"}&sellerApiURL='+escape(lastTestAPIURL)+';\'" value="{$smarty.const.TRANS_UPDATE_API_URL}" /><br />{$smarty.const.TRANS_COMPANY}: <strong>'+cname+'</strong><br />{$smarty.const.TRANS_COMPANY_URL}: <strong>'+curl+'</strong>{literal}</font>');
		}
	}

	var atcp = new cpaint();
	atcp.set_transfer_mode('get');
	atcp.set_response_type('text');
	atcp.set_use_cpaint_api(false);

	var lastTestAPIURL = '';

	function atFetchContent(xurl, cb) {
		lastTestAPIURL = xurl;
		setCheckingURL();
		var atURL = "sellers.php?action={/literal}{getActionID action="TestSellerApiURL"}{literal}&sid={/literal}{$sid}{literal}&sellerApiURL="+escape(xurl);
		atcp.call(atURL, 'atFetchContent', cb);
		return false;
	}

	function setApiURLResults(x){
		if (x==""){
			document.getElementById('atAjaxResult').innerHTML = "";
		} else {
			document.getElementById('atAjaxResult').innerHTML = "<div style='margin: 5px; padding: 3px; border: 1px solid #fff;'>"+x+"</div>";
		}
	}
	
{/literal}
</script>


<div class="box07x">
	<div class="st01x"><div style="float: left;"><img src="{$imageDirectory}/ico/contact-icon.gif" width="30" height="30" border="0" alt="" /></div><h1>{$smarty.const.TRANS_SELLER_STATUS}</h1></div>
	<table width="100%" border="0" cellpadding="0" cellspacing="1" class="listClient">

		{* if $sellerInfo.sellerID *}

			<tr class="{cycle values="alt1,alt2"}">
				<td valign="top" align="right" width="230">{$smarty.const.TRANS_ACTIVE}: </td>
				<td valign="top"><strong>{if $sellerInfo.sellerActive==1}<font color="green">{$smarty.const.TRANS_YES}</font>{else}<font color="red">{$smarty.const.TRANS_NO}</font>{/if}</strong></td>
			</tr>

			<tr class="{cycle values="alt1,alt2"}">
				<td valign="top" align="right" width="230">{$smarty.const.TRANS_DATE_REGISTERED}: </td>
				<td valign="top"><strong>{$sellerInfo.sellerDateRegistered|getDate:long}</strong></td>
			</tr>

			<tr class="{cycle values="alt1,alt2"}">
				<td valign="top" align="right" width="230">{$smarty.const.TRANS_SELLER_MODERNBILL_API_CONNECTION}: </td>
				<td valign="top"><strong><span id="apiStatusSpan">
					{if $sellerInfo.sellerApiStatus==1}
						<font color="green">{$smarty.const.TRANS_UP}</font>
					{elseif $sellerInfo.sellerApiStatus==2}
						<font color="yellow">{$smarty.const.TRANS_TEMPORARILY_DOWN}</font>
					{elseif $sellerInfo.sellerApiStatus==3}
						<font color="red">{$smarty.const.TRANS_DOWN}</font>
					{elseif $sellerInfo.sellerApiStatus==4}
						<font color="yellow">{$smarty.const.TRANS_AUTHENTICATION_FAILURE}</font>
					{else}
						<font color="red">{$smarty.const.TRANS_NOT_TESTED}</font>
					{/if}
				</span></strong></td>
			</tr>

			<tr class="{cycle values="alt1,alt2"}">
				<td valign="top" align="right" width="230">{$smarty.const.TRANS_SELLER_MODERNBILL_API_URL}: </td>
				<td valign="top"><strong>{$sellerInfo.sellerApiURL}</strong> 
				
				<br />{include file="$tplDirectory/widgets/actionLink.tpl"
					page=""
					javascriptLink="updateSellerAPIURL();"
					icoImage="edit"
					icoWidth=""
					icoHeight=""
					icoStyle=""
					altText="TRANS_UPDATE_API_URL"
					titleText="TRANS_UPDATE_API_URL"
					linkText="TRANS_UPDATE_API_URL"
					noSpace="1"
				}
				
				{include file="$tplDirectory/widgets/actionLink.tpl"
					page=""
					javascriptLink="testSellerAPIURL();"
					icoImage="view"
					icoWidth=""
					icoHeight=""
					icoStyle=""
					altText="TRANS_TEST_API_URL"
					titleText="TRANS_TEST_API_URL"
					linkText="TRANS_TEST_API_URL"
					noSpace="1"
				}

				<div id="newAPIURL" style="margin: 5px; padding: 3px; display: none;">
					{$smarty.const.TRANS_NEW_API_URL}: <input type="text" style="color: red;" size="40" name="sellerAPIURL" id="sellerAPIURL" onkeyup="checkURLisAPI(this);" onchange="checkURLisAPI(this);" onmouseout="checkURLisAPI(this);" /> <input type="button" class="button" value="{$smarty.const.TRANS_CONTINUE}" onclick="runSellerAPIURLUpdate();" />
				</div>

				<div id="atAjaxResult"></div>

				</td>
			</tr>

			<tr class="{cycle values="alt1,alt2"}">
				<td valign="top" align="right" width="230">{$smarty.const.TRANS_REMOTE_USERNAME}: </td>
				<td valign="top"><strong>{$sellerInfo.sellerUsername}</strong></td>
			</tr>

		{* else}
			<tr>
				<td>{$smarty.const.TRANS_NOT_A_SELLER_MSG}<br /><br />
					<input type="button" class="button" value="{$smarty.const.TRANS_SIGNUP}" onclick="document.location.href='{getHREF actionName="UpdateSellerVendor"}';" />
				</td>
			</tr>
		{/if *}

	</table>
</div>


{include file="$tplDirectory/footer.tpl"}

