This agreement (the "Agreement") is made and entered into between ModernGigabyte, LLC ("ModernAdvertise.com") and you effective as of the date you elect to participate in the ModernAdvertise partner network (the "Effective Date"). In this Agreement, all references to "Customer" means the entity using and offering the Services and participating in our partner network.
<br /><br />
<b>1. SCOPE OF SERVICES</b>
<br /><br />
A. Services Provided by ModernAdvertise.com
<br /><br />
ModernAdvertise.com shall make certain software and documentation available to Customer, (the "Licensed Software") to enable Customer to distribute Google Adwords Credit promotional codes (the "Services") and to make the Services available to Customer's end users (the "Customer End Users" who, once they avail themselves of ModernAdvertise.com's services, shall be "Referred Users"). ModernAdvertise.com shall not provide the Services until the Referred Users have accepted ModernAdvertise.com's and Google’s standard Services Agreements (the "Services Agreements"), as such Services Agreements may be updated and revised from time to time. Customer acknowledges that the fulfillment by ModernAdvertise.com of certain Services is subject to oversight by third parties, including, without limitation, certain contractual agreements between ModernAdvertise.com and such service providers (collectively, as they may be amended from time to time, the "Third Party Obligations"). Notwithstanding anything to the contrary herein, ModernAdvertise.com reserves the right to modify the Services provided hereunder in order to comply with any such Third Party Obligations.
<br /><br />
B. Integration
<br /><br />
To enable ModernAdvertise.com to provide the Services, Customer agrees that any Customer End Users requiring the Services shall be able to initiate the order process on Customer's Web Site, i.e. the Customer End User shall be able to fill out a form on Customer's Web Site (on those pages regarding Customer's web hosting services) providing all information needed  to provide the Services (collectively, the "Referred User Information"). In addition, the form shall contain hotlinks to generic versions of pages hosted on ModernAdvertise.com's web site containing the ModernAdvertise.com Services Agreement. The hotlinks shall state "Services Agreement". When the Referred User Information is complete and Customer End User has checked the "I accept" box as described below, Customer shall immediately submit the Referred User Information to ModernAdvertise.com by using the Licensed Software supplied by ModernAdvertise.com to Customer.
<br /><br />
C. Services Agreement
<br /><br />
As part of the Service order process, Customer End User must execute ModernAdvertise.com's Services Agreement by checking the "I accept" box; ModernAdvertise.com shall not provide Services to any Customer End User who has not executed the Services Agreement. In the event that Customer itself orders any Service on behalf of its Customer End Users, Customer agrees that it shall cause such Customer End Users to be bound by ModernAdvertise.com's Services Agreement or shall itself execute the Services Agreement as agent for its Customer End Users as disclosed principals. Customer assumes all responsibility and liability for any actions it takes as agent for the Customer End Users.
<br /><br />
D. Customer Support
<br /><br />
ModernAdvertise.com shall provide reasonable support to Customer during the Term during normal business hours (9am to 5pm ET within the United States Monday through Friday) to handle inquiries from Customer regarding the Services and the Licensed Software. Customer shall be solely responsible for providing Customer End User support.
<br /><br />
E. Costs
<br /><br />
ModernAdvertise.com shall provide the Services, including hardware, software and network requirements, at its own expense. Customer shall be solely responsible for the costs of integrating the Licensed Software, including hardware, software and network requirements, and coding of links and buttons.
<br /><br />
F. Promotion
<br /><br />
Customer agrees to display the Google Adwords Marks on Customer's Web Site according to the terms of the Google terms and conditions.
<br /><br />
G. User Information
<br /><br />
ModernAdvertise.com and Customer shall each have all rights in the Referred User Information collected by it during and after the Term (as defined in the Reseller Agreement).
<br /><br />
<b>2. TERM & TERMINATION</b>
<br /><br />
A. Term
<br /><br />
The term of the Agreement shall commence as of the date of the Agreement and shall continue for a period of one (1) year (the "Term") from the Launch Date or until terminated as provided under the Agreement.  The Term shall be extended for additional, consecutive one (1) year periods, unless either party gives the other written notice of termination at least sixty (60) days prior to the expiration of the then current term.
<br /><br />
B. Termination
<br /><br />
Either party may terminate the Agreement if the other party materially breaches its obligations thereunder and such breach remains uncured for thirty (30) days following written notice of the breach given to the breaching party.  ModernAdvertise.com may terminate this Agreement for any or no reason upon thirty (30) days written notice to Customer.  ModernAdvertise.com may terminate the Agreement immediately upon written notice to customer if Customer is in breach of Section 4.E.
<br /><br />
C. Performance
<br /><br />
ModernAdvertise.com reserves the right to terminate the Agreement upon five (5) days written notice in the event that, in ModernAdvertise.com's reasonable judgment, an excessive number of the Referred Users submit secure certificate registrations that are fraudulent.
<br /><br />
D. Effects of Termination
<br /><br />
In the event of termination of the Agreement for any reason, all terms of the Agreement, including without limitation, those which by their nature extend beyond its termination shall remain in effect until fulfilled, and apply to respective successors and assigns.  Neither party shall be liable to the other for damages of any sort resulting solely from terminating the Agreement in accordance with its terms.  If Customer is terminated in breach of Section 4.E, ModernGigabyte also reserves the right to terminate all licenses and/or agreements between Customer and Modernadvertise.com, whether reference by this agreement or otherwise.
<br /><br />
<b>3. SUSPENSION</b>
<br /><br />
A. ModernAdvertise.com may suspend the Services without notice to Customer:
<br /><br />
i.   if Customer fails to abide by the Service Agreements;<br />
	ii. if and for so long as Customer Abuses the Services;<br />
	iii. if and for so long as Customer fails to abide by applicable federal, state and local laws.
<br /><br />
<b>4. OWNERSHIP, LICENSE AND PUBLICITY</b>
<br /><br />
A. Use of ModernAdvertise.com Marks
<br /><br />
ModernAdvertise.com hereby grants to Customer and Customer accepts a limited, non-exclusive, revocable, non-transferable right during the Term to use, display, transmit, distribute and reproduce the ModernAdvertise.com graphical logo and trademark(s) (collectively, the "ModernAdvertise.com Marks"), and content provided by ModernAdvertise.com about the Services, on Customer's Web Site solely for the purpose of providing access to, and information.
<br /><br />
B.  Use of Google Marks
<br /><br />
Use of Google’s Trademarks and Servicemarks are controlled by the Google Adwords terms and conditions, which Customer agrees to abide by and which may be changed from time to time.
<br /><br />
C. Licensed Software
<br /><br />
ModernAdvertise.com hereby grants to Customer, and Customer hereby accepts, a limited, non-exclusive and nontransferable license to use the Licensed Software solely on the server(s) used to host Customer's Web Site(s) and solely for the purposes stated in the Agreement, which license shall terminate upon the termination of the Agreement by either party.  Customer may not provision the Services using any access mechanism other than the Licensed Software.  In the event that ModernAdvertise.com, in its sole discretion, upgrades the Licensed Software, ModernAdvertise.com shall have the option to make such upgrades available to Customer and all such upgrades shall be considered part of the Licensed Software for the purpose of the Agreement.
<br /><br />
D. Ownership of Marks and Other Intellectual Property
<br /><br />
Customer acknowledges that, as between ModernAdvertise.com and Customer, ModernAdvertise.com owns all right, title and interest in the ModernAdvertise.com Marks, the Licensed Software (and any source and object code contained therein) the ModernAdvertise.com domain name and in all components of the ModernAdvertise.com Web site(s), including, if applicable the Custom Site (collectively, the "ModernAdvertise.com IP"), other than the Customer IP (as hereinafter defined) contained thereon.  ModernAdvertise.com represents and warrants that it owns or controls all ModernAdvertise.com IP used or made available to Customer hereunder and that the ModernAdvertise.com IP does not violate or infringe the rights of any third party.  ModernAdvertise.com acknowledges that, as between Customer and ModernAdvertise.com, Customer owns all right, title and interest in the Customer Marks, the Customer domain name(s) and in all components of Customer's own Web site(s) (collectively, the "Customer IP"), other than the ModernAdvertise.com IP contained thereon.  Customer represents and warrants that it owns or controls all Customer IP used or made available to ModernAdvertise.com hereunder and that the Customer IP does not violate or infringe the rights of any third party.
<br /><br />
E. Restrictions
<br /><br />
Customer agrees that it shall not copy, use or permit the use of the Licensed Software, except as expressly set forth herein.  Customer shall not (i) prepare or use derivatives of the Licensed Software; (ii) attempt to dissemble or reverse engineer the Licensed Software; or (iii) use the Licensed Software to communicate with or control a system other than one(s) designated by ModernAdvertise.com.  In addition, Customer shall not abuse the Licensed Software and the Services. Any and all rights in and to the Licensed Software not expressly granted herein are retained by ModernAdvertise.com.
<br /><br />
<b>5. CONFIDENTIALITY</b>
<br /><br />
A. Non-Disclosure
<br /><br />
The parties agree and acknowledge that, as a result of negotiating, entering into and performing the Agreement, each party has and will have access to certain of the other party's Confidential Information (as defined below).  Each party also understands and agrees that misuse and/or disclosure of that information could adversely affect the other party's business.  Accordingly, the parties agree that, during the Term of the Agreement and for a period of three (3) years thereafter, each party shall (a) use and reproduce the other party's Confidential Information only for the purposes of this Agreement and only to the extent necessary for such purpose; (b) restrict disclosure of the other party's Confidential Information to its employees, consultants or independent contractors with a need to know and (c) not disclose the other party's Confidential Information to any third party without prior written approval of the other party.  Notwithstanding the foregoing, it shall not be a breach of the Agreement for either party to disclose Confidential Information of the third party if required to do so under law or in a judicial or other governmental investigation or proceeding, provided the other party has been given prior notice and the disclosing party has sought all reasonably available safeguards against widespread dissemination prior to such disclosure.
<br /><br />
B. Confidential Information Defined
<br /><br />
As used in the Agreement, the term "Confidential Information" refers to: (i) the terms and conditions of the Agreement; (ii) each party's trade secrets, current or future business plans, strategies, opportunities, methods and/or practices; and (iii) other information relating to either party that is not generally known to the public, including information about either party's personnel, customers, designs, protocols, know-how, processes, costs, prices, finances and research and development.  Each party agrees that the Referred User data collected and aggregated by the other party is Confidential Information of such other party.  In addition, each party agrees that all processes and protocols provided by the other party hereunder are Confidential Information of such other party.  It is further understood and agreed that for purposes of the Agreement, "Confidential Information" shall include the Licensed Software, all modifications, enhancements, upgrades and improvements thereto and all specifications, programs, source code, object code, documentation, diagrams and other materials of any type whatsoever (tangible or intangible and machine readable or human readable) contained or revealed in any of the foregoing.  Notwithstanding the foregoing, the term "Confidential Information" specifically excludes (a) information that is now in the public domain or subsequently enters the public domain by publication or otherwise through no action or fault of the other party; (b) information that is known to either party without restriction, prior to receipt from the other party under this Agreement, from its own independent sources as evidenced by such party's written records, and which was not acquired, directly or indirectly, from the other party; (c) information that either party receives from any third party reasonably known by such receiving party to have a legal right to transmit such information, and not under any obligation to keep such information confidential; and (d) information independently developed by either party's employees or agents provided that either party can show that those same employees or agents had no access to the Confidential Information received hereunder.
<br /><br />
<b>6. FORCE MAJEURE</b>
<br /><br />
Neither party shall be in default or liable for any loss or damage resulting from delays in performance or from failure to perform or comply with terms of the Agreement (other than the obligation to make payments, which shall not be affected by this provision) due to any causes beyond its reasonable control, which causes include but are not limited to Act of God or the public enemy; riots and insurrections; war; fire; strikes and other labor difficulties (whether or not the party is in a position to concede to such demands); embargoes; judicial action; lack of or inability to obtain export permits or approvals, necessary labor, materials, energy, components or machinery; acts of civil or military authorities.
<br /><br />
<b>7.  ADDITIONAL REPRESENTATIONS AND WARRANTIES</b>
<br /><br />
A.  Each party represents and warrants that it has the right to enter into the Agreement, to grant the rights granted hereunder and that its entry into the Agreement does not and will not violate its obligations to any third party.  In addition, each party represents and warrants that its signatory to the Agreement is duly authorized to bind it and that, upon execution by both parties, the Agreement shall be valid and binding upon it.  Customer further represents and warrants that if it acts as an agent on behalf of Customer End Users, it is duly authorized to do so.
<br /><br />
<b>8. LIMITATION OF LIABILITY</b>
<br /><br />
A. EXCEPT AS EXPRESSLY WARRANTED HEREIN, THE SERVICES AND THE LICENSED SOFTWARE ARE PROVIDED ON AN "AS IS" AND "AS AVAILABLE" BASIS AND MODERNADVERTISE.COM DOES NOT MAKE ANY WARRANTIES, EXPRESS OR IMPLIED, WITH RESPECT TO ITS WEB SITE(S), THE LICENSED SOFTWARE, THE RELIABILITY, SECURITY, CONTINUATION OR SUCCESS THEREOF, THE MATERIALS CONTAINED THEREIN, THE SERVERS USED OR THE GOODS OR SERVICES OFFERED BY MODERNADVERTISE.COM AND EACH PARTY EXPRESSLY DISCLAIMS ANY WARRANTIES, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
<br /><br />
B. UNDER NO CIRCUMSTANCES SHALL EITHER PARTY BE LIABLE TO THE OTHER PARTY FOR INDIRECT, INCIDENTAL, CONSEQUENTIAL, SPECIAL OR EXEMPLARY DAMAGES (EVEN IF SUCH DAMAGES ARE FORESEEABLE OR THAT PARTY HAS BEEN ADVISED OR HAS CONSTRUCTIVE KNOWLEDGE OF THE POSSIBILITY OF SUCH DAMAGES), ARISING FROM SUCH PARTY'S PERFORMANCE OR NON-PERFORMANCE PURSUANT TO ANY PROVISION OF THE AGREEMENT OR THE OPERATION OF SUCH PARTY'S SITE (INCLUDING SUCH DAMAGES INCURRED BY THIRD PARTIES), SUCH AS, BUT NOT LIMITED TO, LOSS OF REVENUE OR ANTICIPATED PROFITS OR LOST BUSINESS.  IN NO EVENT SHALL EITHER PARTY BE LIABLE FOR DAMAGES IN EXCESS OF THE AMOUNT PAYABLE TO MODERNADVERTISE.COM UNDER THE AGREEMENT.  NOTWITHSTANDING ANYTHING HEREIN TO THE CONTRARY, HOWEVER, THIS SECTION SHALL NOT LIMIT EITHER PARTY'S LIABILITY TO THE OTHER FOR (A) WILLFUL AND MALICIOUS MISCONDUCT; (B) INDEMNIFICATION OR CONFIDENTIALITY OBLIGATIONS HEREUNDER.
<br /><br />
<b>9. INDEMNITY</b>
<br /><br />
A. Ideminification.
<br /><br />
Each party (the "indemnifying party") shall, at its own expense, indemnify, defend and hold the other party and its directors, officers, employees, representatives, subsidiaries and affiliates, harmless against any third party claims, suits, actions or proceedings based on or arising from a breach of the indemnifying party's representations or warranties hereunder.
<br /><br />
B. Settlement.
<br /><br />
Neither party shall, without prior written consent of the other party, settle, compromise or consent to the entry of any judgment with respect to any pending or threatened claim unless the settlement, compromise or consent provides for and includes an express, unconditional release of all claims, damages, liabilities, costs and expenses, including reasonable legal fees and expenses, against the indemnified party.
<br /><br />
<b>10. NOTIFICATION</b>
<br /><br />
A. Any notice required to be given hereunder shall be given in writing and delivered personally or by Federal express or other recognized overnight delivery service to each of the parties at their respective addresses herein above set forth or at such other addresses as any party may hereafter notify the other of in such manner.
<br /><br />
	To ModernAdvertise.com:
<br /><br />
	ModernAdvertise.com<br />
	aka ModernGigabyte, LLC<br />
	Attn: Jonathan McCarrick<br />
	In-House Counsel<br />
	201 East Jefferson St.<br />
	Suite 202<br />
	Louisville, KY 40202
<br /><br />
	To Customer:
<br /><br />
	As listed in Application
<br /><br />
<b>11. RELATIONSHIP OF THE PARTIES</b>
<br /><br />
Except as a party may be specifically authorized in writing by the other, nothing herein contained shall be construed as authorizing a party to bind the other in any way nor as constituting a party an agent or representative of the other.
<br /><br />
<b>12. TAXES</b>
<br /><br />
Each party shall be responsible for and pay its own import duties, levies or imposts, value added, sales taxes, use taxes and any other taxes imposed by any jurisdiction as a result of (a) entry into the Agreement (b) the performance of any of the provisions of the Agreement or (c) the transfer of any property, rights or any other grant hereunder.
<br /><br />
<b>13. GOVERNING LAW</b>
<br /><br />
The Agreement shall be governed by the laws of the State of Kentucky, USA, and both Customer and ModernAdvertise.com consent to jurisdiction and venue in any and all disputes hereunder in the state or federal courts of the County of Jefferson, Kentucky.
<br /><br />
<b>14. ASSIGNMENT</b>
<br /><br />
Neither party may assign the Agreement, or any of its rights, interests or obligations without the prior written approval of the other party, which approval shall not be unreasonable withheld, provided however that either party shall have the right to assign its rights and obligations hereunder without consent of the other party to a party which acquires the assignor by merger or sale, or which acquires all or substantially of the assignor's stock or assets or which controls, is controlled by, or is under the common control with the assignor.  All of the terms of the Agreement shall be binding upon and inure to the benefit of the parties hereto and their respective successors and assigns.
<br /><br />
<b>15. ENTIRETY</b>
<br /><br />
The Agreement shall not be effective until signed by both parties.  The Agreement constitutes the entire agreement between the parties with respect to the Services and all other subject matter hereof and supersedes all prior communications.  The Agreement shall not be modified except by written agreement dated subsequent to the date of the Agreement and signed on behalf of ModernAdvertise.com and Customer by their respective duly authorized representatives.
